//RasterSchrift_201d.js
// 22.10.14 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / hsa@ringier.ch
//DESCRIPTION:Rastertext erzeugen

// vorbeugenderweise das Anzeigen von Dialogen aktivieren
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// testen, ob ein Dokument geffnet ist
if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// das aktuelle Dokument
curDoc = app.documents[0];

// die Auswahl ...
var curSel = app.selection ;
// ... und deren Typ
if (curSel.length != 0) {
	var curType = curSel[0].constructor.name;
}
else {
	alert ("Es ist nichts ausgewhlt.", "Stop");
	exit();
}

if (curType == "Group") {
	alert ("Nicht Gruppen auswhlen, bitte.", "Stop");
	exit();
}
else if (curType == "TextFrame") {
	var sourceFrame = curSel[0];
	var curText = sourceFrame.contents;
}
else if (curType == "InsertionPoint") {
	var sourceFrame = curSel[0].parentTextFrames[0];
	var curText = sourceFrame.contents;
}
else if (curSel[0].hasOwnProperty("baseline")) {
	var sourceFrame = curSel[0].parentTextFrames[0];
	var curText = curSel[0].contents;
}
else {
	alert ("Bitte einen Textrahmen auswhlen.", "Stop");
	exit();
}
var sp = app.activeWindow.activeSpread.index; 

if (curText.length == 0) {
	alert ("Die Auswahl enthlt keinen Text.", "Stop");
	exit();
}

// die Version speichern
var appVers = (app.version[0])*1;

// die Namen der fixen Farbfelder definieren
noColor    = "[None]";
regisColor = "[Registration]";
paperColor = "[Paper]";
blackColor = "[Black]";

// die Sprache des Programms speichern
var curLang = (app.locale)*1;

// die Namen der Farbfelder vorbereiten (in FR and DE)
if (curLang   == 1279477362) { // = Franzsisch
	noColor      = "[Sans]";
	regisColor   = "[Registration]";
	paperColor   = "[Papier]";
	blackColor   = "[Noir]";
	if (appVers == 4) {
		noColor    = "[Aucun]";
		regisColor = "[Registration]";
	}
}
else if (curLang == 1279477613) { // = Deutsch
	noColor      = "[Ohne]";
	regisColor   = "[Passermarken]";
	paperColor   = "[Papier]";
	blackColor   = "[Schwarz]";
	if (appVers == 4) {
		noColor    = "[Keine]";
		regisColor = "[Passkreuze]";
	}
}

// die Funktion aufrufen, welche die gespeicherten Vorgaben einliest
var allPrefs = getPrefs();
// die Werte ausziehen, wenn die Vorgabendatei existiert
if (allPrefs != "") {
	var prefVal = allPrefs.split("\n");
	var cType = prefVal[0]*1;
	rb1 = 1;
	rb2 = 0;
	rb3 = 0;
	if (cType == 1) {
		rb1 = 0;
		rb2 = 1;
	}
	else if (cType == 2) {
		rb1 = 0;
		rb3 = 1;
	}
	nRw_T = ["5","6","7","8","9","10"];  
	rId_T = prefVal[1]*1;
	dVal  = prefVal[2]*1;
	rValT = prefVal[3]*1;
	curD  = prefVal[4]*1;
	bNm_T = prefVal[5];
	if (bNm_T == "Black") { bNm_T = blackColor; }
	else if (bNm_T == "Paper") { bNm_T = paperColor; }
	else if (bNm_T == "Registration") { bNm_T = regisColor; }
	else if (bNm_T == "None") { bNm_T = noColor; }
	bgT_T = prefVal[6]*1;
	var sNm_T = prefVal[6];
	if (sNm_T == "Black") { sNm_T = blackColor; }
	else if (sNm_T == "Paper") { sNm_T = paperColor; }
	else if (sNm_T == "Registration") { sNm_T = regisColor; }
	else if (sNm_T == "None") { sNm_T = noColor; }
	stT_T = prefVal[8]*1;
	stW_T = prefVal[9]*1;
	sty_T = new Array ("Regular", "Regular | italic", "Bold", "Bold | italic");
	sId_T = prefVal[10]*1;
	stS_T = prefVal[11]*1;
	cb1   = prefVal[12];
	if (cb1  == "true") { cb1 = true; } else { cb1 = false; }
	cb2   = prefVal[13];
	if (cb2  == "true") { cb2 = true; } else { cb2 = false; }
	cb3   = prefVal[14];
	if (cb3  == "true") { cb3 = true; } else { cb3 = false; }
	var doShn  = prefVal[15];
	if (doShn == "true") {
		ck1 = true;
	}
	else {
		ck1 = false;
	}
	var sType = prefVal[16]*1;
	rb4 = 1;
	rb5 = 0;
	rb6 = 0;
	if (sType == 1) {
		rb4 = 0;
		rb5 = 1;
	}
	else if (sType == 2) {
		rb4 = 0;
		rb6 = 1;
	}
	dValS = prefVal[17]*1;
	rValS = prefVal[18]*1;
	offX  = prefVal[19]*1;
	offY  = prefVal[20]*1;
	bNm_S = prefVal[21];
	if (bNm_S == "Black") { bNm_S = blackColor; }
	else if (bNm_S == "Paper") { bNm_S = paperColor; }
	else if (bNm_S == "Registration") { bNm_S = regisColor; }
	else if (bNm_S == "None") { bNm_S = noColor; }
	bgT_S = prefVal[22]*1;
	var doBgr  = prefVal[23];
	if (doBgr == "true") {
		ck2 = true;
	}
	else {
		ck2 = false;
	}
	var bType = prefVal[24]*1;
	rb7 = 1;
	rb8 = 0;
	rb9 = 0;
	if (bType == 1) {
		rb7 = 0;
		rb8 = 1;
	}
	else if (bType == 2) {
		rb7 = 0;
		rb9 = 1;
	}
	rValB = prefVal[25]*1;
	bNm_B = prefVal[26];
	if (bNm_B == "Black") { bNm_B = blackColor; }
	else if (bNm_B == "Paper") { bNm_B = paperColor; }
	else if (bNm_B == "Registration") { bNm_B = regisColor; }
	else if (bNm_B == "None") { bNm_B = noColor; }
	bgT_B = prefVal[27]*1;
	var sNm_B = prefVal[28];
	if (sNm_B == "Black") { sNm_B = blackColor; }
	else if (sNm_B == "Paper") { sNm_B = paperColor; }
	else if (sNm_B == "Registration") { sNm_B = regisColor; }
	else if (sNm_B == "None") { sNm_B = noColor; }
	stT_B  = prefVal[29]*1;
	stW_B  = prefVal[30]*1;
}
else {
	// wenn die Prferenzen-Datei nicht gefunden wurde
	// dann auf die Vorgabenwerte zurckgreifen
	rb1   =   1;
	rb2   =   0;
	rb3   =   0;
	nRw_T = new Array ("5","6","7","8","9","10");
	rId_T =   2;
	dVal  =   5;
	rValT =   0;
	curD  = 0.5;
	bNm_T = "C=0 M=100 Y=0 K=0";
	bgT_T = 100;
	sNm_T = noColor;
	stT_T =   0;
	stW_T =   0;
	sty_T = new Array ("Regular", "Regular | italic", "Bold", "Bold | italic");
	sId_T =   0;
	stS_T =  12;
	cb1   =   1;
	cb2   =   0;
	cb3   =   0;
	ck1   = false;
	rb4   =   0;
	rb5   =   0;
	rb6   =   1;
	dValS =   2;
	rValS = -10;
	offX  = 0.75;
	offY  = 0.3;
	bNm_S = paperColor;
	bgT_S = 100;
	ck2   = false;
	rb7   =   1;
	rb8   =   0;
	rb9   =   0;
	rValB =   0;
	bNm_B = blackColor;
	bgT_B =  15;
	sNm_B = noColor;
	stT_B =   0;
	stW_B =   0;
}

// die Funktion aufrufen, welche die Arrays der Farben vorbereitet
bgrColor_T = getColorList(bNm_T);
bgrCol_T   = bgrColor_T[0];
bInd_T     = bgrColor_T[1];
strColor_T = getColorList(sNm_T);
strCol_T   = strColor_T[0];
sInd_T     = strColor_T[1];
bgrColor_S = getColorList(bNm_S);
bgrCol_S   = bgrColor_S[0];
bInd_S     = bgrColor_S[1];
bgrColor_B = getColorList(bNm_B);
bgrCol_B   = bgrColor_B[0];
bInd_B     = bgrColor_B[1];
strColor_B = getColorList(sNm_B);
strCol_B   = strColor_B[0];
sInd_B     = strColor_B[1];

// die Funktion aufrufen, welche den Dialog zeigt und auswertet
var anArray  = askUser();
var type_T   = anArray[0];
var rows_T   = anArray[1];
var size_T   = anArray[2];
var rota_T   = anArray[3]*1;
var dist_T   = anArray[4];
var bColor_T = anArray[5];
var bgrT_T   = anArray[6];
var sColor_T = anArray[7];
var strT_T   = anArray[8];
var strW_T   = anArray[9];
var styl_T   = anArray[10];
var sher_T   = anArray[11];
var corr_T   = anArray[12];
var shrt_T   = anArray[13];
var expt_T   = anArray[14];
var doShn    = anArray[15];
if (doShn   == true) {
	var type_S   = anArray[16];
	var size_S   = anArray[17];
	var rota_S   = anArray[18]*1;
	var offX_S   = anArray[19]*1;
	var offY_S   = anArray[20]*1;
	var bColor_S = anArray[21];
	var bgrT_S   = anArray[22];
}
var doBgr    = anArray[23];
if (doBgr   == true) {
	var type_B   = anArray[24];
	var rota_B   = anArray[25]*1;
	var bColor_B = anArray[26];
	var bgrT_B   = anArray[27];
	var sColor_B = anArray[28];
	var strT_B   = anArray[29];
	var strW_B   = anArray[30];
}

// Masseinheiten, Linealursprung und Nullpunkt prfen und ndern
// die Masseinheiten speichern
// wenn nicht 2053991795 (= Millimeter), auf Millimeter umstellen
hM = curDoc.viewPreferences.horizontalMeasurementUnits;
vM = curDoc.viewPreferences.verticalMeasurementUnits;
if (hM != 2053991795) {
	curDoc.viewPreferences.horizontalMeasurementUnits = MeasurementUnits.millimeters;
}
if (vM != 2053991795) {
	curDoc.viewPreferences.verticalMeasurementUnits = MeasurementUnits.millimeters;
}
// den Linealursprung auf "Druckbogen" setzen
rO = curDoc.viewPreferences.rulerOrigin;
if (rO != 1380143983) {
	curDoc.viewPreferences.rulerOrigin = RulerOrigin.SPREAD_ORIGIN;
}
// den Nullpunkt auf Null/Null setzen
zP = curDoc.zeroPoint; 
if (zP != [0,0]) {
	curDoc.zeroPoint = [0,0];
}
// den Referenzpunkt auf "Mitte" setzen
oldPoint = app.layoutWindows[0].transformReferencePoint;
app.layoutWindows[0].transformReferencePoint = AnchorPoint.CENTER_ANCHOR;

// die Position des ausgewhlten Textrahmens
var gB = sourceFrame.geometricBounds;
// der Startpunkt links oben
var yStart = gB[0];
var xStart = gB[1];
var yOrig  = yStart;
var xOrig  = xStart;
if (doBgr == true) {
	yStart = yStart + size_T + dist_T;
}

// die Werte der Matrix generieren lassen
var posArray = buildPosVal(rows_T+9, size_T, dist_T);

// die Funktion aufrufen, welche die Positionen der Punkte in einen assoziativem Array setzt
var alphaArray = new Array();
if (rows_T == 0) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_5R(alphaArray);
	}
	else {
		alphaArray = buildArray_5B(alphaArray);
	}
}
else if (rows_T == 1) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_6R(alphaArray);
	}
	else {
		alphaArray = buildArray_6B(alphaArray);
	}
}
else if (rows_T == 2) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_7R(alphaArray);
	}
	else {
		alphaArray = buildArray_7B(alphaArray);
	}
}
else if (rows_T == 3) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_8R(alphaArray);
	}
	else {
		alphaArray = buildArray_8B(alphaArray);
	}
}
else if (rows_T == 4) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_9R(alphaArray);
	}
	else {
		alphaArray = buildArray_9B(alphaArray);
	}
}
else if (rows_T == 5) {
	if (styl_T == 0 || styl_T == 1) {
		alphaArray = buildArray_10R(alphaArray);
	}
	else {
		alphaArray = buildArray_10B(alphaArray);
	}
}

// die Namen der Objektstile auflisten
var allObjStyles = curDoc.objectStyles.everyItem().name;
var objNamesString = "|" + allObjStyles.join("|") + "|";

// einen Objektstil fr die Textobjekte erzeugen
for (var n=1; n<99; n++) {
	var curName = "t_" + ("0"+n).slice(-2);
	if ((objNamesString.indexOf("|" + curName + "|")) == -1) {
		break;
	}
}
var txtStyle  = curDoc.objectStyles.add();
txtStyle.name = curName;
txtStyle.properties = {fillColor:bColor_T, fillTint:bgrT_T, 
	strokeAlignment:StrokeAlignment.INSIDE_ALIGNMENT, strokeColor:sColor_T, strokeWeight:strW_T, strokeTint:strT_T};

// einen Objektstil fr die Glanzlicht-Objekte erzeugen
if (doShn == true) {
	for (var n=1; n<99; n++) {
		var curName = "g_" + ("0"+n).slice(-2);
		if ((objNamesString.indexOf("|" + curName + "|")) == -1) {
			break;
		}
	}
	var shnStyle  = curDoc.objectStyles.add();
	shnStyle.name = curName;
	shnStyle.properties = {fillColor:bColor_S, fillTint:bgrT_S, 
		strokeAlignment:StrokeAlignment.INSIDE_ALIGNMENT, strokeColor:"None", strokeWeight:0, strokeTint:0};
}

// einen Objektstil fr die Hintergrundobjekte erzeugen
if (doBgr == true) {
	var allObjStyles = curDoc.objectStyles.everyItem().name;
	for (var n=1; n<99; n++) {
		var curName = "h_" + ("0"+n).slice(-2);
		if ((objNamesString.indexOf("|" + curName + "|")) == -1) {
			break;
		}
	}
	var bgrStyle  = curDoc.objectStyles.add();
	bgrStyle.name = curName;
	bgrStyle.properties = {fillColor:bColor_B, fillTint:bgrT_B, 
		strokeAlignment:StrokeAlignment.INSIDE_ALIGNMENT, strokeColor:sColor_B, strokeWeight:strW_B, strokeTint:strT_B};
}

// die aktive Ebene speichern
var actLayer = app.activeWindow.activeLayer;

// die Ebene "RasterSchrift" erzeugen
var typeLayer = curDoc.layers.item("RasterSchrift");
try {
	typeLayer.locked = false;
}
catch (e){
	typeLayer = curDoc.layers.add();
	typeLayer.name = "RasterSchrift";
}
app.activeWindow.activeLayer = typeLayer;

// das Hintergrundobjekt erzeugen
if (doBgr == true) { // wenn Hintergrund gewnscht ist
	if (type_B == 0) { // wenn "Kreis"
		var newCircle_B = curDoc.spreads[sp].ovals.add({geometricBounds:[0, 0, size_T, size_T]});
		newCircle_B.applyObjectStyle(bgrStyle);
	}
	else if (type_B == 1) { // wenn "Quadrat"
		var newSquare_B = curDoc.spreads[sp].rectangles.add({geometricBounds:[0, 0, size_T, size_T]});
		newSquare_B.applyObjectStyle(bgrStyle);
	}
}

// das Textobjekt erzeugen
if (type_T == 0) { // wenn "Kreis"
	var newCircle_T = curDoc.spreads[sp].ovals.add({geometricBounds:[0, 0, size_T, size_T]});
	newCircle_T.applyObjectStyle(txtStyle);
}
else if (type_T == 1) { // wenn "Quadrat"
	var newSquare_T = curDoc.spreads[sp].rectangles.add({geometricBounds:[0, 0, size_T, size_T]});
	newSquare_T.applyObjectStyle(txtStyle);
}

// das Glanzlichtobjekt erzeugen
if (doShn == true) { // wenn Glanzlichter gewnscht sind
	if (type_S == 0) { // wenn "Kreis"
		var newCircle_S = curDoc.spreads[sp].ovals.add({geometricBounds:[0, 0, size_S, size_S]});
		newCircle_S.applyObjectStyle(shnStyle);
	}
	else if (type_S == 1) { // wenn "Quadrat"
		var newSquare_S = curDoc.spreads[sp].rectangles.add({geometricBounds:[0, 0, size_S, size_S]});
		newSquare_S.applyObjectStyle(shnStyle);
	}
}

// wenn "Stern", dann den Muster-Stern erzeugen
if (type_T == 2 || type_B == 2 || type_S == 2) {
	var starList  = [[0, 3.820], [3.090, 6.180], [1.910, 10], [5, 7.639],[8.090, 10], [6.910, 6.180], [10, 3.820], [6.180, 3.820], [5, 0], [3.820, 3.820]];
	var newStar_T = curDoc.spreads[sp].polygons.add();
	newStar_T.applyObjectStyle(txtStyle);
	newStar_T.paths[0].entirePath = starList;
	newStar_T.geometricBounds = [0,0,size_T,size_T];
	if (type_B == 2) {
		newStar_B = newStar_T.duplicate([0,0]);
		newStar_B.applyObjectStyle(bgrStyle);
		newStar_B.geometricBounds = [0,0,size_T,size_T];
	}
	if (type_S == 2) {
		newStar_S = newStar_T.duplicate([0,0]);
		newStar_S.applyObjectStyle(shnStyle);
		newStar_S.geometricBounds = [0,0,size_S,size_S];
	}
}

// die Anzahl Zeichen speichern
var nChars = curText.length;

// Arrays vorbereiten (werden am Schluss zum Gruppieren gebraucht)
var defArray = new Array();
var objArray = new Array();

// eine erste Spalte von Hintergrund-Objekten zu Beginn 
if (doBgr == true) { // wenn Hintergrund gewnscht ist
	var bgrPosList = new Array(0,10,20,30,40,50,60,70,80,90,100,110);
	if (nChars > 5) {
		app.scriptPreferences.enableRedraw = false;
	}
	for (var n=0; n<rows_T+7; n++) {
		v  = bgrPosList[n];
		y1 = yStart + posArray[v][0];
		x1 = xStart + posArray[v][1];
		// den aktuellen Punkt erzeugen
		if (type_B == 0) { // wenn "Kreis"
			var newFrame = newCircle_B.duplicate([x1, y1]);
		}
		else if (type_B == 1) { // wenn "Quadrat"
			var newFrame = newSquare_B.duplicate([x1, y1]);
			newFrame.rotationAngle = rota_B;
		}
		else if (type_B == 2) { // wenn "Stern"
			var newFrame = newStar_B.duplicate([x1, y1]);
			newFrame.rotationAngle = rota_B;
		}
		objArray.push(newFrame);
	}
	xStart = xStart + size_T + dist_T;
	if (nChars > 5) {
		app.scriptPreferences.enableRedraw = true;
		$.sleep(123);
	}
}

// auf Zeichenpaare prfen, bei welchen der Abstand verkleinert werden sollte
var kernPairs = new Array("Ta", "Te", "To", "Tr", "Ts", "Tu", "Ty", "Tz", "L", "L'", "a", "e", "o");
var kernArray = new Array();
for (var k=0; k<kernPairs.length; k++) {
	var curInd = curText.indexOf(kernPairs[k]);
	if (curInd != -1) {
		kernArray.push(curInd);
	}
}

// ein Array zum Auflisten nichtvorhandener Zeichen 
var notThereArray = new Array();

// eine Schleife durch die Zeichen der Auswahl
for (var c=0; c<curText.length; c++) {
	if (nChars > 5) {
		app.scriptPreferences.enableRedraw = false;
	}
	var curChar = curText[c];
	if (curChar == "\r" || curChar == "\n") { // aktuelles Zeichen = Return (oder Shift-Return)
		defArray.push(objArray);
		objArray = new Array();
		yStart = yStart + ((rows_T+7)*(size_T+dist_T));
		xStart = xOrig;
		// die erste Spalte von Hintergrund-Objekten zu Beginn 
		if (doBgr == true) { // wenn Hintergrund gewnscht ist
			var bgrPosList = new Array(0,10,20,30,40,50,60,70,80,90,100,110);
			if (nChars > 5) {
				app.scriptPreferences.enableRedraw = false;
			}
			for (var n=0; n<rows_T+7; n++) {
				v  = bgrPosList[n];
				y1 = yStart + posArray[v][0];
				x1 = xStart + posArray[v][1];
				y2 = y1 + size_T;
				x2 = x1 + size_T;
				// den aktuellen Punkt erzeugen
				if (type_B == 0) { // wenn "Kreis"
					var newFrame = newCircle_B.duplicate([x1, y1]);
				}
				else if (type_B == 1) { // wenn "Quadrat"
					var newFrame = newSquare_B.duplicate([x1, y1]);
					newFrame.rotationAngle = rota_B;
				}
				else if (type_B == 2) { // wenn "Stern"
					var newFrame = newStar_B.duplicate([x1, y1]);
					newFrame.rotationAngle = rota_B;
				}
				objArray.push(newFrame);
			}
			xStart = xStart + size_T + dist_T;
			if (nChars > 5) {
				app.scriptPreferences.enableRedraw = true;
				$.sleep(123);
			}
		}
		continue;
	}
	else if (curChar == "\t") { // aktuelles Zeichen = Tab
		curChar = " ";
	}
	// prfen, ob das aktuelle Zeichen vorgesehen ist
	if (!alphaArray[curChar]) {
		notThereArray.push(curChar);
		continue;
	}
	// wenn kurze Oberlngen gefragt sind
	if (shrt_T == true) {
		if      (curChar == "b") { curChar = "bs"; }
		else if (curChar == "d") { curChar = "ds"; }
		else if (curChar == "h") { curChar = "hs"; }
		else if (curChar == "f") { curChar = "fs"; }
		else if (curChar == "i") { if (expt_T == false) { curChar = "is"; } }
		else if (curChar == "") { if (expt_T == false) { curChar = "s"; } }
		else if (curChar == "") { if (expt_T == false) { curChar = "s"; } }
		else if (curChar == "") { if (expt_T == false) { curChar = "s"; } }
		else if (curChar == "j") { if (expt_T == false) { curChar = "js"; } }
		else if (curChar == "k") { curChar = "ks"; }
		else if (curChar == "l") { curChar = "ls"; }
		else if (curChar == "") { curChar = "s"; }
	}
	if (doBgr == true) { // wenn Hintergrund gewnscht ist
		var bgrPosList = alphaArray[curChar][2];
		for (var n=0; n<bgrPosList.length; n++) {
			v  = bgrPosList[n];
			y1 = yStart + posArray[v][0];
			x1 = xStart + posArray[v][1];
			y2 = y1 + size_T;
			x2 = x1 + size_T;
			// den aktuellen Punkt duplizieren
			if (type_B == 0) { // wenn "Kreis"
				var newFrame = newCircle_B.duplicate([x1, y1]);
			}
			else if (type_B == 1) { // wenn "Quadrat"
				var newFrame = newSquare_B.duplicate([x1, y1]);
				newFrame.rotationAngle = rota_B;
			}
			else if (type_B == 2) { // wenn "Stern"
				var newFrame = newStar_B.duplicate([x1, y1]);
				newFrame.rotationAngle = rota_B;
			}
			objArray.push(newFrame);
		}
	}
	var txtPosList = alphaArray[curChar][1];
	for (var n=0; n<txtPosList.length; n++) { // eine Schleife, um die Textobjekte zu erzeugen
		v  = txtPosList[n];
		y1 = yStart + posArray[v][0];
		x1 = xStart + posArray[v][1];
		y2 = y1 + size_T;
		x2 = x1 + size_T;
		// den aktuellen Punkt duplizieren
		if (type_T == 0) { // wenn "Kreis"
			var newFrame = newCircle_T.duplicate([x1, y1]);
		}
		else if (type_T == 1) { // wenn "Quadrat"
			var newFrame = newSquare_T.duplicate([x1, y1]);
			newFrame.rotationAngle = rota_T;
		}
		else if (type_T == 2) { // wenn "Stern"
			var newFrame = newStar_T.duplicate([x1, y1]);
			newFrame.rotationAngle = rota_T;
		}
		objArray.push(newFrame);
		if (doShn == true) { // wenn Glanzlicht gewnscht ist
			y1 = (y1 + offY_S);
			x1 = (x1 + offX_S);
			y2 = y1 + size_S;
			x2 = x1 + size_S;
			// das aktuelle Glanzlicht-Objekt duplizieren
			if (type_S == 0) { // wenn "Kreis"
				var newFrame = newCircle_S.duplicate([x1, y1]);
			}
			else if (type_S == 1) { // wenn "Quadrat"
				var newFrame = newSquare_S.duplicate([x1, y1]);
				newFrame.rotationAngle = rota_S;
			}
			else if (type_S == 2) { // wenn "Stern"
				var newFrame = newStar_S.duplicate([x1, y1]);
				newFrame.rotationAngle = rota_S;
				newFrame.bringToFront();
			}
			objArray.push(newFrame);
		}
	}
	var noKern = true;
	for (var k=0; k<kernArray.length; k++) {
		if (c == kernArray[k]) {
			noKern = false;
			break;
		}
	}	
	if (doBgr == true) { // wenn Hintergrund gewnscht ist
		if (noKern == true) {
			y1 = yStart;
			x1 = xStart+(((alphaArray[curChar][0]*1))*(size_T+dist_T));
			for (var n=0; n<rows_T+7; n++) {
				// den aktuellen Punkt duplizieren
				if (type_B == 0) { // wenn "Kreis"
					var newFrame = newCircle_B.duplicate([x1, y1]);
				}
				else if (type_B == 1) { // wenn "Quadrat"
					var newFrame = newSquare_B.duplicate([x1, y1]);
					newFrame.rotationAngle = rota_B;
				}
				else if (type_B == 2) { // wenn "Stern"
					var newFrame = newStar_B.duplicate([x1, y1]);
					newFrame.rotationAngle = rota_B;
				}
				objArray.push(newFrame);
				y1 = y1 + size_T + dist_T;
			}
		}
	}
	if (nChars > 5) {
		app.scriptPreferences.enableRedraw = true;
		$.sleep(399);
	}
	// der horizontale Startpunkt fr das nchste Zeichen
	if (noKern == true) {
		xStart = xStart+(((alphaArray[curChar][0]*1)+1)*(size_T+dist_T));
	}
	else {
		xStart = xStart+(((alphaArray[curChar][0]*1))*(size_T+dist_T));
	}
}

defArray.push(objArray);

// die Musterobjekte entfernen
try {
	newCircle_T.remove();
}
catch (e) {
}
try {
	newSquare_T.remove();
}
catch (e) {
}
try {
	newStar_T.remove();
}
catch (e) {
}

try {
	newCircle_S.remove();
}
catch (e) {
}
try {
	newSquare_S.remove();
}
catch (e) {
}
try {
	newStar_S.remove();
}
catch (e) {
}

try {
	newCircle_B.remove();
}
catch (e) {
}
try {
	newSquare_B.remove();
}
catch (e) {
}
try {
	newStar_B.remove();
}
catch (e) {
}

// eine Schleife durch den(die) Objektarray(s)
for (var a=0; a<defArray.length; a++) {
	// die Objekte gruppieren ...
	var objGroup = curDoc.groups.add(defArray[a]);
	
	// wenn "italic" ...
	if (styl_T == 1 || styl_T == 3) {
		// ... den Scherwinkel zuweisen ...
		objGroup.shearAngle = sher_T;
		// ... die Position ermitteln ...
		var gB = objGroup.geometricBounds;
		// ... und nach rechts rcken
		objGroup.move(undefined, [(xOrig-gB[1]), 0]);
		if (sher_T != 0) {
			if (corr_T == true) {
				for (s=0; s<defArray[a].length; s++) {
					defArray[a][s].shearAngle = 0;
				}
			}
		}
	}
}

// die Einstellungs-nderungen zurcksetzen //////////////////////////////////////
// die Masseinheiten zurcksetzen (falls notwendig) 
if (hM != 2053991795) {
	curDoc.viewPreferences.horizontalMeasurementUnits = hM;
}
if (vM != 2053991795) {
	curDoc.viewPreferences.verticalMeasurementUnits = vM;
}
// den Linealursprung wiederherstellen
if (rO != 1380143983) {
	curDoc.viewPreferences.rulerOrigin = rO;
}
// den Nullpunkt zurcksetzen (falls notwendig) 
if (zP != [0,0]) { 
	curDoc.zeroPoint = zP; 
}
// den Referenzpunkt zurcksetzen
app.layoutWindows[0].transformReferencePoint = oldPoint;

// die ursprnglich ausgewhlte Ebene wieder auswhlen
app.activeWindow.activeLayer = actLayer;

// die nichtvorgesehenen Zeichen zhlen
var nNotThere = notThereArray.length;
if (nNotThere > 0) {
	var notThereString = notThereArray.join(" ");
	alert ("" + nNotThere + " Zeichen nicht vorgesehen: " + notThereString, "Sorry");
	app.findTextPreferences = app.changeTextPreferences = null;
	app.changeTextPreferences.fillColor = curDoc.colors.itemByName("Magenta");
	// eine Schleife durch die unbekannten Zeichen
	for (var n=0; n<nNotThere; n++) {
		app.findTextPreferences.findWhat = notThereArray[n];
		sourceFrame.parentStory.changeText();
	}
	app.findTextPreferences = app.changeTextPreferences = null;
}



// die Funktionen ////////////////////////////////////////////////////////////////

// die Funktion, welche die Informationen vorbereitet ////////////////////////////
function getPrefs() {
	var defStr = "";
	// die Datei lesen, welche die gespeicherten Werte enthlt
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/grid_201.txt");
	}
	else {
		var f = new File("~/Library/Preferences/grid_201.txt");
	}
	var fileIsOpen = f.open("r");
	if (fileIsOpen) {
		try {
			defStr = f.read();
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
	return defStr;
}

// die Funktion, welche die Listen der Fll- und Kontur-Farben vorbereitet ///////
function getColorList(bName) {
	// eine Variable als Referenz zu den Farbfeldern des aktiven Dokuments definieren
	var allSwatches = curDoc.swatches;
	
	// prfen, ob die Vorgabefarbe existiert
	if (bName != blackColor && bName != paperColor && bName != noColor && bName != regisColor) {
		try {
			curDoc.swatches.itemByName(bName).name;
		}
		catch (e) {
			bName = blackColor;
		}
	}
	
	// die Liste der Farben zusammenstellen;
	// "None", "Paper", "Black" und "Registration" umbenennen;
	// die Position der Vorgabefarbe feststellen
	var colorList = new Array();
	for (var n=0; n<allSwatches.length; n++) {
		cName = allSwatches.item(n).name;
		if (cName == "None") {
			cName = noColor;
		}
		else if (cName == "Paper") {
			cName = paperColor;
		}
		else if (cName == "Black") {
			cName = blackColor;
		}
		else if (cName == "Registration") {
			cName = regisColor;
		}
		if (bName == cName) {
			bIndex = n;
		}
		if (cName != "Registration") {
			colorList.push(cName);
		}
	}
	return [colorList, bIndex];
}

// den Dialog vorbereiten und anzeigen ///////////////////////////////////////////
function askUser() {
	try {
		app.dialogs.everyItem().destroy();
	}
	catch (e) {
	}
	var labelWidth1 =  90;
	var labelWidth2 = 100;
	var labelWidth3 =  69;
	var labelWidth4 =  88;
	var fieldWidth  =  32;
	var aDialog = app.dialogs.add({name:"RasterSchrift"});
	with (aDialog.dialogColumns.add()) {
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Textobjekte-Einstellungen"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Punktform", minWidth:labelWidth1});
					with(typeBttns_T = radiobuttonGroups.add()){
						radiobuttonControls.add({staticLabel:"Kreis",   checkedState:rb1});
						radiobuttonControls.add({staticLabel:"Quadrat", checkedState:rb2});
						radiobuttonControls.add({staticLabel:"Stern",   checkedState:rb3});
					}
					staticTexts.add({staticLabel:"Reihen", minWidth:80});
					var nRows_T = dropdowns.add({stringList:nRw_T, selectedIndex:rId_T, minWidth:32});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Durchmesser", minWidth:labelWidth1});
					var sizeField_T = realEditboxes.add({editValue:dVal, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"mm", minWidth:12});
					staticTexts.add({staticLabel:"Drehwinkel", minWidth:100});
					var rotaField_T = realEditboxes.add({editValue:rValT, minimumValue:-45, maximumValue:45, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"", minWidth:4});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Abstand", minWidth:labelWidth1});
					var distField_T = realEditboxes.add({editValue:curD, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"mm"});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Fllfarbe", minWidth:labelWidth1});
					var bgrColor_T = dropdowns.add({stringList:bgrCol_T, selectedIndex:bInd_T, minWidth:215});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Tonwert", minWidth:labelWidth1});
					var bgrTint_T = realEditboxes.add({editValue:bgT_T, minimumValue:0, maximumValue:100, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"%", minWidth:8});
					staticTexts.add({staticLabel:" ", minWidth:40});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Konturfarbe", minWidth:labelWidth1});
					var strColor_T = dropdowns.add({stringList:strCol_T, selectedIndex:sInd_T, minWidth:215});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Tonwert", minWidth:labelWidth1});
					var strTint_T = realEditboxes.add({editValue:stT_T, minimumValue:0, maximumValue:100, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"%", minWidth:8});
					staticTexts.add({staticLabel:"Konturstrke", minWidth:105});
					var strWeight_T = realEditboxes.add({editValue:stW_T, minimumValue:0, maximumValue:5, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"pt", minWidth:12});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Schriftstil", minWidth:labelWidth1});
					var txtStyle_T = dropdowns.add({stringList:sty_T, selectedIndex:sId_T, minWidth:215});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Scherwinkel", minWidth:labelWidth1});
					var txtShear_T = realEditboxes.add({editValue:stS_T, minimumValue:-60, maximumValue:60, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"  (die Neigung fr \"italic\")", minWidth:12});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Korrektur", minWidth:labelWidth1});
					var corShear_T = checkboxControls.add({staticLabel:"kursive Objekte entzerren", checkedState:cb1, minWidth:labelWidth2});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Oberlngen", minWidth:labelWidth1});
					var ascEnder_T = checkboxControls.add({staticLabel:"kurze Form", checkedState:cb2, minWidth:labelWidth2});
					var ascExcpt_T = checkboxControls.add({staticLabel:"ausser i und j", checkedState:cb3, minWidth:labelWidth3});
				}
			}
		}
		staticTexts.add({staticLabel:" "});
		var doShine = enablingGroups.add({staticLabel:"Glanzlichter anbringen", checkedState:ck1});
		with (doShine) {
			with (dialogColumns.add()) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Punktform", minWidth:labelWidth4});
					with(typeBttns_S = radiobuttonGroups.add()){
						radiobuttonControls.add({staticLabel:"Kreis",   checkedState:rb4});
						radiobuttonControls.add({staticLabel:"Quadrat", checkedState:rb5});
						radiobuttonControls.add({staticLabel:"Stern",   checkedState:rb6});
					}
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Durchmesser", minWidth:labelWidth4});
					var sizeField_S = realEditboxes.add({editValue:dValS, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"mm", minWidth:12});
					staticTexts.add({staticLabel:"Drehwinkel", minWidth:99});
					var rotaField_S = realEditboxes.add({editValue:rValS, minimumValue:-45, maximumValue:45, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"", minWidth:4});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Versatz X", minWidth:labelWidth4});
					var offFieldX_S = realEditboxes.add({editValue:offX, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"Y", minWidth:16});
					var offFieldY_S = realEditboxes.add({editValue:offY, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"mm"});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Fllfarbe", minWidth:labelWidth4});
					var bgrColor_S = dropdowns.add({stringList:bgrCol_S, selectedIndex:bInd_S, minWidth:130});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Tonwert", minWidth:labelWidth4});
					var bgrTint_S = realEditboxes.add({editValue:bgT_S, minimumValue:0, maximumValue:100, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"%", minWidth:8});
				}
			}
		}
		staticTexts.add({staticLabel:" "});
		var doBackground = enablingGroups.add({staticLabel:"Hintergrundraster-Einstellungen", checkedState:ck2});
		with (doBackground) {
			with (dialogColumns.add()) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Punktform", minWidth:labelWidth4});
					with(typeBttns_B = radiobuttonGroups.add()) {
						radiobuttonControls.add({staticLabel:"Kreis",   checkedState:rb7});
						radiobuttonControls.add({staticLabel:"Quadrat", checkedState:rb8});
						radiobuttonControls.add({staticLabel:"Stern",   checkedState:rb9});
					}
					staticTexts.add({staticLabel:"Drehwinkel", minWidth:96});
					var rotaField_B = realEditboxes.add({editValue:rValB, minimumValue:-45, maximumValue:45, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"", minWidth:4});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Fllfarbe", minWidth:labelWidth4});
					var bgrColor_B = dropdowns.add({stringList:bgrCol_B, selectedIndex:bInd_B, minWidth:130});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Tonwert", minWidth:labelWidth4});
					var bgrTint_B = realEditboxes.add({editValue:bgT_B, minimumValue:0, maximumValue:100, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"%", minWidth:8});
					staticTexts.add({staticLabel:" ", minWidth:40});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Konturfarbe", minWidth:labelWidth4});
					var strColor_B = dropdowns.add({stringList:strCol_B, selectedIndex:sInd_B, minWidth:130});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Tonwert", minWidth:labelWidth4});
					var strTint_B = realEditboxes.add({editValue:stT_B, minimumValue:0, maximumValue:100, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"%", minWidth:8});
					staticTexts.add({staticLabel:"Konturstrke", minWidth:100});
					var strWeight_B = realEditboxes.add({editValue:stW_B, minimumValue:0, maximumValue:5, minWidth:fieldWidth});
					staticTexts.add({staticLabel:"pt", minWidth:12});
				}
			}
		}
	}
	if(aDialog.show() == true) {
		// die Werte fr die Textobjekte
		var type_T = typeBttns_T.selectedButton;
		var rows_T = nRows_T.selectedIndex;
		var size_T = sizeField_T.editValue;
		var dist_T = distField_T.editValue;
		var rota_T = rotaField_T.editValue;
		var bgrIndex_T = bgrColor_T.selectedIndex;
		var bColor_T   = curDoc.swatches[bgrIndex_T].name;
		if (bColor_T == blackColor) { bColor_T = "Black"; }
		else if (bColor_T == paperColor) { bColor_T = "Paper"; }
		else if (bColor_T == regisColor) { bColor_T = "Registration"; }
		else if (bColor_T == noColor) { bColor_T = "None"; }
		var bgrT_T = bgrTint_T.editValue;
		var strIndex_T = strColor_T.selectedIndex;
		var sColor_T = curDoc.swatches[strIndex_T].name;
		if (sColor_T == blackColor) { sColor_T = "Black"; }
		else if (sColor_T == paperColor) { sColor_T = "Paper"; }
		else if (sColor_T == regisColor) { sColor_T = "Registration"; }
		else if (sColor_T == noColor) { sColor_T = "None"; }
		var strT_T = strTint_T.editValue;
		var strW_T = strWeight_T.editValue;
		var styl_T = txtStyle_T.selectedIndex;
		var sher_T = txtShear_T.editValue;
		var corr_T = corShear_T.checkedState;
		var asce_T = ascEnder_T.checkedState;
		var expt_T = ascExcpt_T.checkedState;
		
		// die Werte fr die Glanzlichtobjekte
		var doShn  = doShine.checkedState;
		var type_S = typeBttns_S.selectedButton;
		var size_S = sizeField_S.editValue;
		var rota_S = rotaField_S.editValue;
		var offX_S = offFieldX_S.editValue;
		var offY_S = offFieldY_S.editValue;
		var bgrIndex_S = bgrColor_S.selectedIndex;
		var bColor_S   = curDoc.swatches[bgrIndex_S].name;
		if (bColor_S  == blackColor) { bColor_S = "Black"; }
		else if (bColor_S == paperColor) { bColor_S = "Paper"; }
		else if (bColor_S == regisColor) { bColor_S = "Registration"; }
		else if (bColor_S == noColor) { bColor_S = "None"; }
		var bgrT_S = bgrTint_S.editValue;
		
		// die Werte fr die Hintergrund-Objekte 
		var doBgr  = doBackground.checkedState;
		var type_B = typeBttns_B.selectedButton;
		var rota_B = rotaField_B.editValue;
		var bgrIndex_B = bgrColor_B.selectedIndex;
		var bColor_B   = curDoc.swatches[bgrIndex_B].name;
		if (bColor_B  == blackColor) { bColor_B = "Black"; }
		else if (bColor_B == paperColor) { bColor_B = "Paper"; }
		else if (bColor_B == regisColor) { bColor_B = "Registration"; }
		else if (bColor_B == noColor) { bColor_B = "None"; }
		var bgrT_B = bgrTint_B.editValue;
		var strIndex_B = strColor_B.selectedIndex;
		var sColor_B = curDoc.swatches[strIndex_B].name;
		if (sColor_B == blackColor) { sColor_B = "Black"; }
		else if (sColor_B == paperColor) { sColor_B = "Paper"; }
		else if (sColor_B == regisColor) { sColor_B = "Registration"; }
		else if (sColor_B == noColor) { sColor_B = "None"; }
		var strT_B = strTint_B.editValue;
		var strW_B = strWeight_B.editValue;

		aDialog.destroy();
		var prefsList = new Array (type_T, rows_T, size_T, rota_T, dist_T, bColor_T, bgrT_T, sColor_T, strT_T, strW_T, styl_T, sher_T, corr_T, asce_T, expt_T, 
		doShn, type_S, size_S, rota_S, offX_S, offY_S, bColor_S, bgrT_S, 
		doBgr, type_B, rota_B, bColor_B, bgrT_B, sColor_B, strT_B, strW_B);
		var prefString = prefsList.join("\n");
		writeResult(prefString);
		return prefsList;
	}
	else {
		aDialog.destroy();
		exit();
	}
}

// das Ergebnis in eine Datei schreiben //////////////////////////////////////////
function writeResult(curPrefs, fiName) {
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/grid_201.txt");
	}
	else {
		var f = File("~/Library/Preferences/grid_201.txt");
	}
	var fileIsOpen = f.open("w");
	if (fileIsOpen) {
		try {
			f.write(curPrefs);
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
}

// die Funktionen zum Bilden der Matrix-Werte //////////////////////////////////////
function buildPosVal(nRows, size_T, dist_T) {
	var posArray = new Array();
	var y1 = 0;
	var x1 = 0;
	for (var n=0; n<nRows; n++) {
		for (var m=0; m<10; m++) {
			posArray.push([y1, x1]);
			x1 += size_T+dist_T;
		}
		y1 = y1+size_T+dist_T;
		x1 = 0;
	}
	return posArray;
}

// den aktuellen Array der Positionen bilden /////////////////////////////////////
// 5 Reihen, Regular
function buildArray_5R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,31,32,33,34,40,44,50,54], [0,1,2,3,4,10,14,21,22,23,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,31,32,33,40,44,50,51,52,53], [0,1,2,3,4,14,21,22,23,34,41,42,43,54,60,61,62,63,64]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,40,44,51,52,53], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,60,61,62,63,64]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,31,32,33,40,50,51,52,53], [0,1,2,3,21,22,23,41,42,43,60,61,62,63]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,31,32,33,40,50], [0,1,2,3,21,22,23,41,42,43,51,52,53,60,61,62,63]];
	alphaArray["G"] = [[5], [11,12,13,14,20,30,32,33,34,40,44,51,52,53,54], [0,1,2,3,4,10,21,22,23,24,31,41,42,43,50,60,61,62,63,64]];
	alphaArray["H"] = [[5], [10,14,20,24,30,31,32,33,34,40,44,50,54], [0,1,2,3,4,11,12,13,21,22,23,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray["I"] = [[1], [10,20,30,40,50], [0,60]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,40,44,51,52,53], [0,1,2,3,4,20,21,22,23,30,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["K"] = [[5], [10,14,20,23,30,31,32,40,43,50,54], [0,1,2,3,4,11,12,13,21,22,24,33,34,41,42,44,51,52,53,60,61,62,63,64]];
	alphaArray["L"] = [[4], [10,20,30,40,50,51,52,53], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,60,61,62,63]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,60,61,62,63,64,65,66]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,60,61,62,63,64]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,31,32,33,40,50], [0,1,2,3,4,14,21,22,23,34,41,42,43,44,51,52,53,54,60,61,62,63,64]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,33,34,40,44,51,52,53,55], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,35,41,42,43,45,50,54,60,61,62,63,64,65]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,31,32,33,40,44,50,54], [0,1,2,3,4,14,21,22,23,34,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray["S"] = [[5], [11,12,13,14,20,31,32,33,44,50,51,52,53], [0,1,2,3,4,10,21,22,23,24,30,34,40,41,42,43,54,60,61,62,63,64]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,51,52,53], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,41,43,52], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,40,42,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,41,43,45,47,52,56], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,40,42,44,46,48,50,51,53,54,55,57,58,60,61,62,63,64,65,66,67,68]];
	alphaArray["X"] = [[5], [10,14,21,23,32,41,43,50,54], [0,1,2,3,4,11,12,13,20,22,24,30,31,33,34,40,42,44,51,52,53,60,61,62,63,64]];
	alphaArray["Y"] = [[5], [10,14,20,24,31,33,42,52], [0,1,2,3,4,11,12,13,21,22,23,30,32,34,40,41,43,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["t"] = [[5], [10,11,12,13,14,23,32,41,50,51,52,53,54], [0,1,2,3,4,20,21,22,24,30,31,33,34,40,42,43,44,60,61,62,63,64]];
	alphaArray["a"] = [[4], [20,21,22,31,32,33,40,43,51,52,53], [0,1,2,3,10,11,12,13,23,30,41,42,50,60,61,62,63]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,51,52], [1,2,3,11,12,13,23,31,32,41,42,53,60,61,62,63]];
	alphaArray["c"] = [[4], [21,22,30,33,40,51,52,53], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,50,60,61,62,63]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,51,52,53], [0,1,2,10,11,12,20,31,32,41,42,50,60,61,62,63]];
	alphaArray["e"] = [[4], [21,22,30,31,32,33,40,51,52,53], [0,1,2,3,10,11,12,13,20,23,41,42,43,50,60,61,62,63]];
	alphaArray["f"] = [[4], [2,3,11,20,21,22,23,31,41,51], [0,1,10,12,13,30,32,33,40,42,43,50,52,53,60,61,62,63]];
	alphaArray["g"] = [[4], [21,22,23,30,33,41,42,43,53,60,61,62], [0,1,2,3,10,11,12,13,20,31,32,40,50,51,52,63]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53], [1,2,3,11,12,13,23,31,32,41,42,51,52,60,61,62,63]];
	alphaArray["i"] = [[1], [0,20,30,40,50], [10,60]];
	alphaArray["j"] = [[2], [1,21,31,41,51,60], [0,10,11,20,30,40,50,61]];
	alphaArray["k"] = [[4], [0,10,20,22,23,30,31,40,42,50,53], [1,2,3,11,12,13,21,32,33,41,43,51,52,60,61,62,63]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50], [60]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,60,61,62,63,64,65,66]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,60,61,62,63]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,51,52], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,50,53,60,61,62,63]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,51,52,60], [0,1,2,3,10,11,12,13,23,31,32,41,42,53,61,62,63]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,51,52,53,63], [0,1,2,3,10,11,12,13,20,31,32,41,42,50,60,61,62]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50], [0,1,2,10,11,12,22,31,41,42,51,52,60,61,62]];
	alphaArray["s"] = [[4], [21,22,23,30,31,32,43,50,51,52], [0,1,2,3,10,11,12,13,20,33,40,41,42,53,60,61,62,63]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,52], [0,1,2,10,12,30,32,40,42,50,51,60,61,62]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,51,52,53], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,50,60,61,62,63]];
	alphaArray["v"] = [[4], [20,23,30,33,40,42,50,51], [0,1,2,3,10,11,12,13,21,22,31,32,41,43,52,53,60,61,62,63]];
	alphaArray["w"] = [[7], [20,23,26,30,33,36,41,43,45,52,54], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,21,22,24,25,31,32,34,35,40,42,44,46,50,51,53,55,56,60,61,62,63,64,65,66]];
	alphaArray["x"] = [[4], [20,23,31,32,40,43,50,53], [0,1,2,3,10,11,12,13,21,22,30,33,41,42,51,52,60,61,62,63]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,51,52,53,63], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,50,60,61,62]];
	alphaArray["z"] = [[4], [20,21,22,23,32,41,50,51,52,53], [0,1,2,3,10,11,12,13,30,31,33,40,42,43,60,61,62,63]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,50,51,52,53,54], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,60,61,62,63,64]];
	alphaArray["2"] = [[5], [11,12,13,20,24,32,33,41,50,51,52,53,54], [0,1,2,3,4,10,14,21,22,23,30,31,34,40,42,43,44,60,61,62,63,64]];
	alphaArray["3"] = [[5], [11,12,13,20,24,32,33,40,44,51,52,53], [0,1,2,3,4,10,14,21,22,23,30,31,34,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,41,42,43,44,53], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,50,51,52,54,60,61,62,63,64]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,31,32,33,44,50,51,52,53], [0,1,2,3,4,21,22,23,24,34,40,41,42,43,54,60,61,62,63,64]];
	alphaArray["6"] = [[5], [11,12,13,14,20,30,31,32,33,40,44,51,52,53], [0,1,2,3,4,10,21,22,23,24,34,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,33,42,51], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,60,61,62,63,64]];
	alphaArray["8"] = [[5], [11,12,13,20,24,31,32,33,40,44,51,52,53], [0,1,2,3,4,10,14,21,22,23,30,34,41,42,43,50,54,60,61,62,63,64]];
	alphaArray["9"] = [[5], [11,12,13,20,24,31,32,33,34,44,50,51,52,53], [0,1,2,3,4,10,14,21,22,23,30,40,41,42,43,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,31,32,33,34,40,44,50,54], [0,2,4,10,14,21,22,23,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,31,32,33,34,40,44,50,54], [0,2,3,4,10,14,21,22,23,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,31,32,33,34,40,44,50,54], [0,1,3,4,10,12,14,21,22,23,41,42,43,51,52,53,60,61,62,63,64]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,31,32,33,40,50,51,52,53], [0,1,3,21,22,23,41,42,43,60,61,62,63]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,31,32,33,40,50,51,52,53], [0,2,3,21,22,23,41,42,43,60,61,62,63]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,30,31,32,33,34,40,50,51,52,53,54], [0,2,4,21,22,23,24,41,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,30,31,32,33,34,40,50,51,52,53,54], [0,1,3,4,12,21,22,23,24,41,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,50,51,52], [1,2,20,22,30,32,40,42,60,61,62]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,50,51,52], [1,20,22,30,32,40,42,60,61,62]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,50,51,52], [0,2,11,20,22,30,32,40,42,60,61,62]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,51,52,53], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,51,52,53], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,51,52,53], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,51,52,53], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,51,52,53], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,51,52,53], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,50,54,60,61,62,63,64]];
	alphaArray[""] = [[4], [1,3,20,21,22,31,32,33,40,43,51,52,53], [0,2,10,11,12,13,23,30,41,42,50,60,61,62,63]];
	alphaArray[""] = [[4], [1,12,20,21,22,31,32,33,40,43,51,52,53], [0,2,3,10,11,13,23,30,41,42,50,60,61,62,63]];
	alphaArray[""] = [[4], [2,11,13,20,21,22,31,32,33,40,43,51,52,53], [0,1,3,10,12,23,30,41,42,50,60,61,62,63]];
	alphaArray[""] = [[4], [0,2,21,22,30,31,32,33,40,51,52,53], [1,3,10,11,12,13,20,23,41,42,43,50,60,61,62,63]];
	alphaArray[""] = [[4], [2,11,21,22,30,31,32,33,40,51,52,53], [0,1,3,10,12,13,20,23,41,42,43,50,60,61,62,63]];
	alphaArray[""] = [[4], [1,12,21,22,30,31,32,33,40,51,52,53], [0,2,3,10,11,13,20,23,41,42,43,50,60,61,62,63]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,31,32,33,40,51,52,53], [0,1,3,10,12,20,23,41,42,43,50,60,61,62,63]];
	alphaArray[""] = [[1], [20,30,40,50], [0,10,60]];
	alphaArray[""] = [[2], [0,11,21,31,41,51], [1,10,20,30,40,50,60,61]];
	alphaArray[""] = [[3], [0,2,21,31,41,51], [1,10,11,12,20,22,30,32,40,42,50,52,60,61,62]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51], [0,2,11,20,22,30,32,40,42,50,52,60,61,62]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,51,52], [1,2,10,11,12,13,20,23,31,32,41,42,50,53,60,61,62,63]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,51,52], [0,1,3,10,12,20,23,31,32,41,42,50,53,60,61,62,63]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,51,52,53], [1,2,10,11,12,13,21,22,31,32,41,42,50,60,61,62,63]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,51,52,53], [0,2,3,10,11,13,21,22,31,32,41,42,50,60,61,62,63]];
	alphaArray[""] = [[4], [2,11,13,20,23,30,33,40,43,51,52,53], [0,1,3,10,12,21,22,31,32,41,42,50,60,61,62,63]];
	alphaArray["!"] = [[1], [10,20,30,50], [0,40,60]];
	alphaArray["?"] = [[5], [11,12,13,20,24,32,33,52], [0,1,2,3,4,10,14,21,22,23,30,31,34,40,41,42,43,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["("] = [[2], [11,20,30,40,51], [0,1,10,21,31,41,50,60,61]];
	alphaArray[")"] = [[2], [10,21,31,41,50], [0,1,11,20,30,40,51,60,61]];
	alphaArray["/"] = [[4], [3,22,41,60], [0,1,2,10,11,12,13,20,21,23,30,31,32,33,40,42,43,50,51,52,53,61,62,63]];
	alphaArray["\\"] = [[4], [0,21,42,63], [1,2,3,10,11,12,13,20,22,23,30,31,32,33,40,41,43,50,51,52,53,60,61,62]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60], []];
	alphaArray["."] = [[1], [50], [0,10,20,30,40,60]];
	alphaArray[","] = [[2], [51,60], [0,1,10,11,20,21,30,31,40,41,50,61]];
	alphaArray[":"] = [[1], [20,50], [0,10,30,40,60]];
	alphaArray[";"] = [[2], [21,51,60], [0,1,10,11,20,30,31,40,41,50,61]];
	alphaArray["-"] = [[3], [30,31,32], [0,1,2,10,11,12,20,21,22,40,41,42,50,51,52,60,61,62]];
	alphaArray[""] = [[5], [30,31,32,33,34], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64]];
	alphaArray["+"] = [[5], [12,22,30,31,32,33,34,42,52], [0,1,2,3,4,10,11,13,14,20,21,23,24,40,41,43,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["="] = [[5], [20,21,22,23,24,40,41,42,43,44], [0,1,2,3,4,10,11,12,13,14,30,31,32,33,34,50,51,52,53,54,60,61,62,63,64]];
	alphaArray["_"] = [[4], [50,51,52,53], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,60,61,62,63]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60]];
	alphaArray["\""] = [[2], [10,11,20,21], [0,1,30,31,40,41,50,51,60,61]];
	alphaArray["$"] = [[5], [2,11,12,13,14,20,22,31,32,33,42,44,50,51,52,53,62], [0,1,3,4,10,21,23,24,30,34,40,41,43,54,60,61,63,64]];
	alphaArray["%"] = [[5], [10,11,14,20,21,23,32,41,43,44,50,53,54], [0,1,2,3,4,12,13,22,24,30,31,33,34,40,42,51,52,60,61,62,63,64]];
	alphaArray["&"] = [[4], [11,12,13,21,23,31,32,33,34,40,43,51,52,53,54], [0,1,2,3,4,10,14,20,22,24,30,41,42,44,50,60,61,62,63,64]];
	alphaArray["@"] = [[4], [11,12,13,20,24,30,32,33,34,40,42,44,50,53,61,62,63,64], [0,1,2,3,4,10,14,21,22,23,31,41,43,51,52,54,60]];
	alphaArray[""] = [[5], [12,14,21,23,30,32,41,43,52,54], [0,1,2,3,4,10,11,13,20,22,24,31,33,34,40,42,44,50,51,53,60,61,62,63,64]];
	alphaArray[""] = [[5], [10,12,21,23,32,34,41,43,50,52], [0,1,2,3,4,11,13,14,20,22,24,30,31,33,40,42,44,51,53,54,60,61,62,63,64]];
	alphaArray[""] = [[2], [31,40,51], [0,1,10,11,20,21,30,41,50,60,61]];
	alphaArray[""] = [[2], [30,41,50], [0,1,10,11,20,21,31,40,51,60,61]];
	alphaArray[""] = [[4], [41,43,51,53,60,62], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,42,50,52,61,63]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63]];
	alphaArray[""] = [[2], [41,51,60], [0,1,10,11,20,21,30,31,40,50,61]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61]];
	alphaArray["<"] = [[3], [12,21,30,41,52], [0,1,2,10,11,20,22,31,32,40,42,50,51,60,61,62]];
	alphaArray[">"] = [[3], [10,21,32,41,50], [0,1,2,11,12,20,22,30,31,40,42,51,52,60,61,62]];
	alphaArray["*"] = [[3], [1,10,11,12,20,21,22,31], [0,2,30,32,40,41,42,50,51,52,60,61,62]];
	alphaArray["..."] = [[3], [50,51,52], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,60,61,62]];
	alphaArray[""] = [[7], [11,12,13,14,15,16,20,23,30,31,32,33,34,35,36,40,43,50,53,54,55,56], [0,1,2,3,4,5,6,10,21,22,24,25,26,41,42,44,45,46,51,52,60,61,62,63,64,65,66]];
	alphaArray[""] = [[7], [11,12,13,14,15,16,20,23,30,33,34,35,36,40,43,51,52,53,54,55,56], [0,1,2,3,4,5,6,10,21,22,24,25,26,31,32,41,42,44,45,46,50,60,61,62,63,64,65,66]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,40,44,51,52,53,62], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,50,54,60,61,63,64]];
	alphaArray[""] = [[7], [20,21,22,24,25,31,32,33,34,35,36,40,43,51,52,54,55,56], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,30,41,42,44,45,46,50,53,60,61,62,63,64,65,66]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,34,35,36,40,43,51,52,54,55,56], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,41,42,44,45,46,50,53,60,61,62,63,64,65,66]];
	alphaArray[""] = [[4], [21,22,30,33,40,51,52,53,61], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,50,60,62,63]];
	alphaArray[""] = [[4], [1,2,10,13,20,22,30,33,40,43,50,52], [0,3,11,12,21,23,31,32,41,42,51,53,60,61,62,63]];
	alphaArray[""] = [[5], [12,13,14,21,30,31,32,33,41,52,53,54], [0,1,2,3,4,10,11,20,22,23,24,34,40,42,43,44,50,51,60,61,62,63,64]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,51,52], [0,1,2,3,11,12,13,23,31,32,41,42,53,60,61,62,63]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,51,52,53], [0,1,2,3,10,11,12,20,31,32,41,42,50,60,61,62,63]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,61,62,63]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,60,61,62,63]];
	alphaArray["is"] = [[1], [10,30,40,50], [0,20,60]];
	alphaArray["s"] = [[2], [10,21,31,41,51], [0,1,11,20,30,40,50,60,61]];
	alphaArray["s"] = [[3], [10,12,21,31,41,51], [0,1,2,11,20,22,30,32,40,42,50,52,60,61,62]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51], [0,1,2,10,12,21,30,32,40,42,50,52,60,61,62]];
	alphaArray["js"] = [[2], [11,31,41,51,60], [0,1,10,20,21,30,40,50,61]];
	alphaArray["ks"] = [[4], [10,20,22,23,30,31,40,42,50,53], [0,1,2,3,11,12,13,21,32,33,41,43,51,52,60,61,62,63]];
	alphaArray["ls"] = [[1], [10,20,30,40,50], [0,60]];
	alphaArray["s"] = [[4], [11,12,20,23,30,32,40,43,50,52], [0,1,2,3,10,13,21,22,31,33,41,42,51,53,60,61,62,63]];
	return alphaArray;
}
	
// 5 Reihen, Bold
function buildArray_5B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55], [0,1,2,3,4,5,10,15,22,23,42,43,52,53,60,61,62,63,64,65]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,32,33,34,40,41,44,45,50,51,52,53,54], [0,1,2,3,4,5,15,22,23,35,42,43,55,60,61,62,63,64,65]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,60,61,62,63,64,65]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,52,53,54], [0,1,2,3,4,22,23,24,42,43,44,60,61,62,63,64]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51], [0,1,2,3,4,22,23,24,42,43,44,52,53,54,60,61,62,63,64]];
	alphaArray["G"] = [[6], [11,12,13,14,15,20,21,30,31,33,34,35,40,41,44,45,51,52,53,54,55], [0,1,2,3,4,5,10,22,23,24,25,32,42,43,50,60,61,62,63,64,65]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55], [0,1,2,3,4,5,12,13,22,23,42,43,52,53,60,61,62,63,64,65]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51], [0,1,60,61]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,24,25,34,35,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,43,44,50,51,54,55], [0,1,2,3,4,5,12,13,22,25,34,35,42,45,52,53,60,61,62,63,64,65]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,52,53,54], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,60,61,62,63,64]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,43,45,46,50,51,55,56], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,42,44,52,53,54,60,61,62,63,64,65,66]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,43,44,45,50,51,54,55], [0,1,2,3,4,5,11,12,13,22,23,33,42,52,53,60,61,62,63,64,65]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,54,55,60,61,62,63,64,65]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,24,25,30,31,33,34,35,40,41,44,45,51,52,53,54,55,66], [0,1,2,3,4,5,6,10,15,16,22,23,26,32,36,42,43,46,50,56,60,61,62,63,64,65]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,32,33,34,40,41,44,45,50,51,54,55], [0,1,2,3,4,5,15,22,23,35,42,43,52,53,60,61,62,63,64,65]];
	alphaArray["S"] = [[6], [11,12,13,14,15,20,21,31,32,33,34,44,45,50,51,52,53,54], [0,1,2,3,4,5,10,22,23,24,25,30,35,40,41,42,43,55,60,61,62,63,64,65]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,22,23,32,33,42,43,52,53], [0,1,2,3,4,5,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,41,43,44,52], [0,1,2,3,4,5,12,13,22,23,32,33,40,42,45,50,51,53,54,55,60,61,62,63,64,65]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,41,42,43,46,47,48,52,57], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,40,44,45,49,50,51,53,54,55,56,58,59,60,61,62,63,64,65,66,67,68,69]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,32,33,40,41,44,45,50,51,54,55], [0,1,2,3,4,5,12,13,22,23,30,31,34,35,42,43,52,53,60,61,62,63,64,65]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,31,32,33,34,42,43,52,53], [0,1,2,3,4,5,12,13,22,23,30,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,23,24,32,33,41,42,50,51,52,53,54,55], [0,1,2,3,4,5,20,21,22,25,30,31,34,35,40,43,44,45,60,61,62,63,64,65]];
	alphaArray["a"] = [[5], [20,21,22,23,31,32,33,34,40,41,43,44,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,24,30,42,50,60,61,62,63,64]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53], [2,3,4,12,13,14,24,32,42,54,60,61,62,63,64]];
	alphaArray["c"] = [[5], [21,22,23,30,31,33,34,40,41,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,50,60,61,62,63,64]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [0,1,2,10,11,12,20,32,42,50,60,61,62,63,64]];
	alphaArray["e"] = [[5], [21,22,23,30,31,32,33,34,40,41,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,24,42,43,44,50,60,61,62,63,64]];
	alphaArray["f"] = [[5], [2,3,4,11,12,20,21,22,23,24,31,32,41,42,51,52], [0,1,10,13,14,30,33,34,40,43,44,50,53,54,60,61,62,63,64]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,33,34,41,42,43,44,53,54,60,61,62,63], [0,1,2,3,4,10,11,12,13,14,20,32,40,50,51,52,64]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54], [2,3,4,12,13,14,24,32,42,52,60,61,62,63,64]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51], [10,11,60,61]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,60,61], [0,10,11,12,20,30,40,50,62]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,40,41,43,44,50,51,53,54], [2,3,4,12,13,14,22,33,34,42,52,60,61,62,63,64]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51], [60,61]];
	alphaArray["m"] = [[8], [20,21,22,23,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,24,27,32,35,42,45,52,55,60,61,62,63,64,65,66,67]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,60,61,62,63,64]];
	alphaArray["o"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,51,52,53], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,50,54,60,61,62,63,64]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,60,61], [0,1,2,3,4,10,11,12,13,14,24,32,42,54,62,63,64]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,51,52,53,54,63,64], [0,1,2,3,4,10,11,12,13,14,20,32,42,50,60,61,62]];
	alphaArray["r"] = [[5], [20,22,23,30,31,33,34,40,41,50,51], [0,1,2,3,4,10,11,12,13,14,21,24,32,42,43,44,52,53,54,60,61,62,63,64]];
	alphaArray["s"] = [[5], [21,22,23,24,30,31,32,33,43,44,50,51,52,53], [0,1,2,3,4,10,11,12,13,14,20,34,40,41,42,54,60,61,62,63,64]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,31,32,41,42,52,53], [0,1,2,3,10,13,30,33,40,43,50,51,60,61,62,63]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,22,32,42,50,60,61,62,63,64]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,41,43,52], [0,1,2,3,4,10,11,12,13,14,22,32,40,42,44,50,51,53,54,60,61,62,63,64]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,41,42,43,44,45,46,52,55], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,40,47,50,51,53,54,56,57,60,61,62,63,64,65,66,67]];
	alphaArray["x"] = [[5], [20,21,23,24,31,32,33,40,41,43,44,50,51,53,54], [0,1,2,3,4,10,11,12,13,14,22,30,34,42,52,60,61,62,63,64]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,41,42,43,44,53,54,60,61,62,63], [0,1,2,3,4,10,11,12,13,14,22,32,40,50,51,52,64]];
	alphaArray["z"] = [[5], [20,21,22,23,24,32,33,41,42,50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,30,31,34,40,43,44,60,61,62,63,64]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,32,33,42,43,50,51,52,53,54,55], [0,1,2,3,4,5,10,11,14,15,20,24,25,31,34,35,40,41,44,45,60,61,62,63,64,65]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,24,25,33,34,41,42,50,51,52,53,54,55], [0,1,2,3,4,5,10,15,22,23,30,31,32,35,40,43,44,45,60,61,62,63,64,65]];
	alphaArray["3"] = [[6], [11,12,13,14,20,24,25,32,33,34,40,44,45,51,52,53,54], [0,1,2,3,4,5,10,15,21,22,23,30,31,35,41,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,33,34,40,41,42,43,44,45,53,54], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,32,35,50,51,52,55,60,61,62,63,64,65]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,30,31,32,33,34,44,45,50,51,52,53,54], [0,1,2,3,4,5,22,23,24,25,35,40,41,42,43,55,60,61,62,63,64,65]];
	alphaArray["6"] = [[6], [11,12,13,14,15,20,21,30,31,32,33,34,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,10,22,23,24,25,35,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,60,61,62,63,64,65]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,24,25,31,32,33,34,40,41,44,45,51,52,53,54], [0,1,2,3,4,5,10,15,22,23,30,35,42,43,50,55,60,61,62,63,64,65]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,24,25,31,32,33,34,35,44,45,50,51,52,53,54], [0,1,2,3,4,5,10,15,22,23,30,40,41,42,43,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55], [0,2,3,5,10,15,22,23,42,43,52,53,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55], [0,3,4,5,10,15,22,23,42,43,52,53,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55], [0,1,4,5,10,12,13,15,22,23,42,43,52,53,60,61,62,63,64,65]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,52,53,54], [0,1,4,22,23,24,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,52,53,54], [0,3,4,22,23,24,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,52,53,54], [0,2,4,22,23,24,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,30,31,32,33,34,40,41,50,51,52,53,54], [0,1,3,4,12,22,23,24,42,43,44,60,61,62,63,64]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,21,22,31,32,41,42,50,51,52,53], [2,3,20,23,30,33,40,43,60,61,62,63]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,21,22,31,32,41,42,50,51,52,53], [1,2,20,23,30,33,40,43,60,61,62,63]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,50,51,52,53], [0,3,11,12,20,23,30,33,40,43,60,61,62,63]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,2,3,5,10,15,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,3,4,5,10,15,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,2,3,5,12,13,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,3,4,5,12,13,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54], [0,1,4,5,12,13,22,23,32,33,42,43,50,55,60,61,62,63,64,65]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,22,23,31,32,33,34,40,41,43,44,51,52,53,54], [2,10,11,12,13,14,24,30,42,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,12,20,21,22,23,31,32,33,34,40,41,43,44,51,52,53,54], [0,2,3,4,10,11,13,14,24,30,42,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,20,21,22,23,31,32,33,34,40,41,43,44,51,52,53,54], [0,1,3,4,10,12,14,24,30,42,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,32,33,34,40,41,51,52,53,54], [2,10,11,12,13,14,20,24,42,43,44,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,3,12,21,22,23,30,31,32,33,34,40,41,51,52,53,54], [0,1,4,10,11,13,14,20,24,42,43,44,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,2,12,21,22,23,30,31,32,33,34,40,41,51,52,53,54], [0,3,4,10,11,13,14,20,24,42,43,44,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,32,33,34,40,41,51,52,53,54], [0,1,3,4,10,12,14,20,24,42,43,44,50,60,61,62,63,64]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51], [0,1,10,11,60,61]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51], [1,10,60,61]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,61,62,63]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52], [0,3,11,12,20,23,30,33,40,43,50,53,60,61,62,63]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,51,52,53], [2,10,11,12,13,14,20,24,32,42,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,51,52,53], [0,1,3,4,10,12,14,20,24,32,42,50,54,60,61,62,63,64]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [2,10,11,12,13,14,22,32,42,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [0,2,3,4,10,11,13,14,22,32,42,50,60,61,62,63,64]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [0,1,3,4,10,12,14,22,32,42,50,60,61,62,63,64]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,50,51], [0,1,40,41,60,61]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,33,34,52,53], [0,1,2,3,4,5,10,15,22,23,30,31,32,35,40,41,42,43,44,45,50,51,54,55,60,61,62,63,64,65]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,51,52], [0,1,2,10,22,32,42,50,60,61,62]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,50,51], [0,1,2,12,20,30,40,52,60,61,62]];
	alphaArray["/"] = [[5], [3,4,13,22,23,32,41,42,51,60,61], [0,1,2,10,11,12,14,20,21,24,30,31,33,34,40,43,44,50,52,53,54,62,63,64]];
	alphaArray["\\"] = [[5], [0,1,11,21,22,32,42,43,53,63,64], [2,3,4,10,12,13,14,20,23,24,30,31,33,34,40,41,44,50,51,52,54,60,61,62]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60], []];
	alphaArray["."] = [[2], [50,51], [0,1,10,11,20,21,30,31,40,41,60,61]];
	alphaArray[","] = [[3], [51,52,60,61], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,62]];
	alphaArray[":"] = [[2], [20,21,50,51], [0,1,10,11,30,31,40,41,60,61]];
	alphaArray[";"] = [[3], [21,22,51,52,60,61], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,62]];
	alphaArray["-"] = [[4], [30,31,32,33], [0,1,2,3,10,11,12,13,20,21,22,23,40,41,42,43,50,51,52,53,60,61,62,63]];
	alphaArray[""] = [[6], [30,31,32,33,34,35], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,40,41,42,43,44,45,50,51,52,53,54,55,60,61,62,63,64,65]];
	alphaArray["+"] = [[6], [12,13,22,23,30,31,32,33,34,35,42,43,52,53], [0,1,2,3,4,5,10,11,14,15,20,21,24,25,40,41,44,45,50,51,54,55,60,61,62,63,64,65]];
	alphaArray["="] = [[5], [20,21,22,23,24,40,41,42,43,44], [0,1,2,3,4,10,11,12,13,14,30,31,32,33,34,50,51,52,53,54,60,61,62,63,64]];
	alphaArray["_"] = [[5], [50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,60,61,62,63,64]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,16,20,21,23,31,32,33,34,35,43,45,46,50,51,52,53,54,55,63], [0,1,2,4,5,6,10,22,24,25,26,30,36,40,41,42,44,56,60,61,62,64,65,66]];
	alphaArray["%"] = [[6], [0,1,4,5,10,11,13,14,23,31,32,41,44,45,50,51,54,55], [2,3,12,15,20,21,22,24,25,30,33,34,35,40,42,43,52,53,60,61,62,63,64,65]];
	alphaArray["&"] = [[8], [12,13,14,21,22,24,25,30,31,33,34,37,40,41,44,45,46,51,52,53,54,56], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,23,26,27,32,35,36,42,43,47,50,55,57,60,61,62,63,64,65,66,67]];
	alphaArray["@"] = [[8], [11,12,13,14,15,16,20,21,26,27,30,31,33,34,36,37,40,41,43,44,45,50,51,61,62,63,64,65], [0,1,2,3,4,5,6,7,10,17,22,23,24,25,32,35,42,46,47,52,53,54,55,56,57,60,66,67]];
	alphaArray[""] = [[7], [12,13,15,16,21,22,24,25,30,31,33,34,41,42,44,45,52,53,55,56], [0,1,2,3,4,5,6,10,11,14,20,23,26,32,35,36,40,43,46,50,51,54,60,61,62,63,64,65,66]];
	alphaArray[""] = [[7], [10,11,13,14,21,22,24,25,32,33,35,36,41,42,44,45,50,51,53,54], [0,1,2,3,4,5,6,12,15,16,20,23,26,30,31,34,40,43,46,52,55,56,60,61,62,63,64,65,66]];
	alphaArray[""] = [[4], [12,13,21,22,30,31,41,42,52,53], [0,1,2,3,10,11,20,23,32,33,40,43,50,51,60,61,62,63]];
	alphaArray[""] = [[4], [10,11,21,22,32,33,41,42,50,51], [0,1,2,3,12,13,20,23,30,31,40,43,52,53,60,61,62,63]];
	alphaArray[""] = [[4], [41,43,51,53,60,62], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,42,50,52,61,63]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63]];
	alphaArray[""] = [[2], [41,51,60], [0,1,10,11,20,21,30,31,40,50,61]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61]];
	alphaArray["<"] = [[4], [12,13,21,22,30,31,41,42,52,53], [0,1,2,3,10,11,20,23,32,33,40,43,50,51,60,61,62,63]];
	alphaArray[">"] = [[4], [10,11,21,22,32,33,41,42,50,51], [0,1,2,3,12,13,20,23,30,31,40,43,52,53,60,61,62,63]];
	alphaArray["*"] = [[4], [1,2,10,11,12,13,20,21,22,23,31,32], [0,3,30,33,40,41,42,43,50,51,52,53,60,61,62,63]];
	alphaArray["..."] = [[3], [50,51,52], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,60,61,62]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,32,33,34,35,36,37,38,39,40,41,44,45,50,51,54,55,56,57,58,59], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,42,43,46,47,48,49,52,53,60,61,62,63,64,65,66,67,68,69]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,36,37,38,39,40,41,44,45,51,52,53,54,55,56,57,58,59], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,42,43,46,47,48,49,50,60,61,62,63,64,65,66,67,68,69]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,44,45,51,52,53,54,62,63], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,50,55,60,61,64,65]];
	alphaArray[""] = [[8], [20,21,22,23,25,26,31,32,33,34,35,36,37,40,41,43,44,51,52,53,54,55,56,57], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,24,27,30,42,45,46,47,50,60,61,62,63,64,65,66,67]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,35,36,37,40,41,43,44,51,52,53,55,56,57], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,42,45,46,47,50,54,60,61,62,63,64,65,66,67]];
	alphaArray[""] = [[5], [21,22,23,30,31,33,34,40,41,51,52,53,54,62], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,50,60,61,63,64]];
	alphaArray[""] = [[5], [1,2,3,10,11,14,20,21,23,30,31,34,40,41,43,44,50,51,53], [0,4,12,13,22,24,32,33,42,52,54,60,61,62,63,64]];
	alphaArray[""] = [[7], [12,13,14,15,21,22,25,26,30,31,32,33,41,42,45,46,52,53,54,55], [0,1,2,3,4,5,6,10,11,16,20,23,24,34,35,36,40,43,44,50,51,56,60,61,62,63,64,65,66]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53], [0,1,2,3,4,12,13,14,24,32,42,54,60,61,62,63,64]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,33,34,40,41,43,44,51,52,53,54], [0,1,2,3,4,10,11,12,20,32,42,50,60,61,62,63,64]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,41,42,51,52], [0,1,2,3,4,10,11,20,23,24,40,43,44,50,53,54,60,61,62,63,64]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54], [0,1,2,3,4,12,13,14,24,32,42,52,60,61,62,63,64]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51], [0,1,20,21,60,61]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51], [0,1,11,20,60,61]];
	alphaArray["s"] = [[4], [10,13,21,22,31,32,41,42,51,52], [0,1,2,3,11,12,20,23,30,33,40,43,50,53,60,61,62,63]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,61,62,63]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,60,61], [0,1,2,10,20,21,22,30,40,50,62]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,40,41,43,44,50,51,53,54], [0,1,2,3,4,12,13,14,22,33,34,42,52,60,61,62,63,64]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51], [0,1,60,61]];
	alphaArray["s"] = [[5], [11,12,13,20,21,23,24,30,31,33,40,41,43,44,50,51,53], [0,1,2,3,4,10,14,22,32,34,42,52,54,60,61,62,63,64]];
	return alphaArray;
}
	
// 6 Reihen, Regular
function buildArray_6R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64], [0,1,2,3,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,31,32,33,40,44,50,54,60,61,62,63], [0,1,2,3,4,14,21,22,23,34,41,42,43,51,52,53,64,70,71,72,73,74]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,40,50,54,61,62,63], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,54,60,61,62,63], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,51,52,53,64,70,71,72,73,74]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,31,32,33,40,50,60,61,62,63], [0,1,2,3,21,22,23,41,42,43,51,52,53,70,71,72,73]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,31,32,33,40,50,60], [0,1,2,3,21,22,23,41,42,43,51,52,53,61,62,63,70,71,72,73]];
	alphaArray["G"] = [[5], [11,12,13,20,24,30,40,42,43,44,50,54,61,62,63,64], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,51,52,53,60,70,71,72,73,74]];
	alphaArray["H"] = [[5], [10,14,20,24,30,31,32,33,34,40,44,50,54,60,64], [0,1,2,3,4,11,12,13,21,22,23,41,42,43,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray["I"] = [[1], [10,20,30,40,50,60], [0,70]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,44,50,54,61,62,63], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["K"] = [[5], [10,14,20,23,30,32,40,41,42,50,53,60,64], [0,1,2,3,4,11,12,13,21,22,24,31,33,34,43,44,51,52,54,61,62,63,70,71,72,73,74]];
	alphaArray["L"] = [[4], [10,20,30,40,50,60,61,62,63], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,70,71,72,73]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56,60,66], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,61,62,63,64,65,70,71,72,73,74,75,76]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54,60,64], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,61,62,63], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,60], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,54,61,62,63,64,70,71,72,73,74]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,34,40,43,44,50,54,61,62,63,65], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,33,35,41,42,45,51,52,53,55,60,64,70,71,72,73,74,75]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,54,60,64], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray["S"] = [[5], [11,12,13,14,20,31,32,33,44,50,54,61,62,63], [0,1,2,3,4,10,21,22,23,24,30,34,40,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52,62], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,50,54,61,62,63], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,40,44,51,53,62], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,50,52,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,40,44,48,51,53,55,57,62,66], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,41,42,43,45,46,47,50,52,54,56,58,60,61,63,64,65,67,68,70,71,72,73,74,75,76,77,78]];
	alphaArray["X"] = [[5], [10,14,21,23,32,41,43,50,54,60,64], [0,1,2,3,4,11,12,13,20,22,24,30,31,33,34,40,42,44,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray["Y"] = [[5], [10,14,20,24,31,33,42,52,62], [0,1,2,3,4,11,12,13,21,22,23,30,32,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["Z"] = [[5], [10,11,12,13,14,23,32,41,50,60,61,62,63,64], [0,1,2,3,4,20,21,22,24,30,31,33,34,40,42,43,44,51,52,53,54,70,71,72,73,74]];
	alphaArray["a"] = [[4], [20,21,22,33,41,42,43,50,53,61,62,63], [0,1,2,3,10,11,12,13,23,30,31,32,40,51,52,60,70,71,72,73]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,61,62], [1,2,3,11,12,13,23,31,32,41,42,51,52,63,70,71,72,73]];
	alphaArray["c"] = [[4], [21,22,30,33,40,50,53,61,62], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,60,63,70,71,72,73]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,50,53,61,62,63], [0,1,2,10,11,12,20,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray["e"] = [[4], [21,22,30,33,40,41,42,43,50,61,62,63], [0,1,2,3,10,11,12,13,20,23,31,32,51,52,53,60,70,71,72,73]];
	alphaArray["f"] = [[4], [2,3,11,21,30,31,32,33,41,51,61], [0,1,10,12,13,20,22,23,40,42,43,50,52,53,60,62,63,70,71,72,73]];
	alphaArray["g"] = [[4], [21,22,23,30,33,40,43,51,52,53,63,70,71,72], [0,1,2,3,10,11,12,13,20,31,32,41,42,50,60,61,62,73]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,70,71,72,73]];
	alphaArray["i"] = [[1], [0,20,30,40,50,60], [10,70]];
	alphaArray["j"] = [[2], [1,21,31,41,51,61,70], [0,10,11,20,30,40,50,60,71]];
	alphaArray["k"] = [[4], [0,10,20,23,30,32,40,41,50,52,60,63], [1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,70,71,72,73]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50,60], [70]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,66], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,70,71,72,73,74,75,76]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53,60,63], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,70,71,72,73]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,50,53,61,62], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,60,63,70,71,72,73]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,53,60,61,62,70], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,63,71,72,73]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,50,53,61,62,63,73], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,60,70,71,72]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50,60], [0,1,2,10,11,12,22,31,41,42,51,52,61,62,70,71,72]];
	alphaArray["s"] = [[4], [21,22,23,30,41,42,53,60,61,62], [0,1,2,3,10,11,12,13,20,31,32,33,40,43,50,51,52,63,70,71,72,73]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,51,62], [0,1,2,10,12,30,32,40,42,50,52,60,61,70,71,72]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,50,53,61,62,63], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray["v"] = [[4], [20,23,30,33,40,43,50,52,60,61], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,53,62,63,70,71,72,73]];
	alphaArray["w"] = [[7], [20,23,26,30,33,36,40,43,46,51,53,55,62,64], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,21,22,24,25,31,32,34,35,41,42,44,45,50,52,54,56,60,61,63,65,66,70,71,72,73,74,75,76]];
	alphaArray["x"] = [[4], [20,23,30,33,41,42,50,53,60,63], [0,1,2,3,10,11,12,13,21,22,31,32,40,43,51,52,61,62,70,71,72,73]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,50,53,61,62,63,73], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,60,70,71,72]];
	alphaArray["z"] = [[4], [20,21,22,23,32,41,50,60,61,62,63], [0,1,2,3,10,11,12,13,30,31,33,40,42,43,51,52,53,70,71,72,73]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,61,62,63], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,52,60,61,62,63,64], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,50,51,53,54,70,71,72,73,74]];
	alphaArray["2"] = [[5], [11,12,13,20,24,33,42,51,60,61,62,63,64], [0,1,2,3,4,10,14,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,70,71,72,73,74]];
	alphaArray["3"] = [[5], [11,12,13,20,24,32,33,44,50,54,61,62,63], [0,1,2,3,4,10,14,21,22,23,30,31,34,40,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,41,42,43,44,53,63], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,50,51,52,54,60,61,62,64,70,71,72,73,74]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,31,32,33,44,50,54,61,62,63], [0,1,2,3,4,21,22,23,24,34,40,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["6"] = [[5], [11,12,13,14,20,30,31,32,33,40,44,50,54,61,62,63], [0,1,2,3,4,10,21,22,23,24,34,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,33,42,51,61], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,60,62,63,64,70,71,72,73,74]];
	alphaArray["8"] = [[5], [11,12,13,20,24,31,32,33,40,44,50,54,61,62,63], [0,1,2,3,4,10,14,21,22,23,30,34,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray["9"] = [[5], [11,12,13,20,24,30,34,41,42,43,44,54,60,61,62,63], [0,1,2,3,4,10,14,21,22,23,31,32,33,40,50,51,52,53,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64], [0,2,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64], [0,2,3,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,41,42,43,44,50,54,60,64], [0,1,3,4,10,12,14,21,22,23,31,32,33,51,52,53,61,62,63,70,71,72,73,74]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,31,32,33,40,50,60,61,62,63], [0,1,3,21,22,23,41,42,43,51,52,53,70,71,72,73]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,31,32,33,40,50,60,61,62,63], [0,2,3,21,22,23,41,42,43,51,52,53,70,71,72,73]];
	alphaArray[""] = [[4], [1,3,10,11,12,13,20,30,31,32,33,40,50,60,61,62,63], [0,2,21,22,23,41,42,43,51,52,53,70,71,72,73]];
	alphaArray[""] = [[4], [2,10,11,13,20,30,31,32,33,40,50,60,61,62,63], [0,1,3,12,21,22,23,41,42,43,51,52,53,70,71,72,73]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,51,60,61,62], [1,2,20,22,30,32,40,42,50,52,70,71,72]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,51,60,61,62], [1,20,22,30,32,40,42,50,52,70,71,72]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,60,61,62], [0,2,11,20,22,30,32,40,42,50,52,70,71,72]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,61,62,63], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,61,62,63], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,61,62,63], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,50,54,61,62,63], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,50,54,61,62,63], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,50,54,61,62,63], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,51,52,53,60,64,70,71,72,73,74]];
	alphaArray[""] = [[4], [1,3,20,21,22,33,41,42,43,50,53,61,62,63], [0,2,10,11,12,13,23,30,31,32,40,51,52,60,70,71,72,73]];
	alphaArray[""] = [[4], [1,12,20,21,22,33,41,42,43,50,53,61,62,63], [0,2,3,10,11,13,23,30,31,32,40,51,52,60,70,71,72,73]];
	alphaArray[""] = [[4], [2,11,13,20,21,22,33,41,42,43,50,53,61,62,63], [0,1,3,10,12,23,30,31,32,40,51,52,60,70,71,72,73]];
	alphaArray[""] = [[4], [0,2,21,22,30,33,40,41,42,43,50,61,62,63], [1,3,10,11,12,13,20,23,31,32,51,52,53,60,70,71,72,73]];
	alphaArray[""] = [[4], [2,11,21,22,30,33,40,41,42,43,50,61,62,63], [0,1,3,10,12,13,20,23,31,32,51,52,53,60,70,71,72,73]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,40,41,42,43,50,61,62,63], [0,2,3,10,11,13,20,23,31,32,51,52,53,60,70,71,72,73]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,41,42,43,50,61,62,63], [0,1,2,3,10,12,20,23,31,32,51,52,53,60,70,71,72,73]];
	alphaArray[""] = [[1], [20,30,40,50,60], [0,10,70]];
	alphaArray[""] = [[2], [0,11,21,31,41,51,61], [1,10,20,30,40,50,60,70,71]];
	alphaArray[""] = [[3], [0,2,21,31,41,51,61], [1,10,11,12,20,22,30,32,40,42,50,52,60,62,70,71,72]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,71,72]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,61,62], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,60,63,70,71,72,73]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,61,62], [0,1,3,10,12,20,23,31,32,41,42,51,52,60,63,70,71,72,73]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,50,53,61,62,63], [1,2,10,11,12,13,21,22,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,50,53,61,62,63], [0,2,3,10,11,13,21,22,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray[""] = [[4], [2,11,13,20,23,30,33,40,43,50,53,61,62,63], [0,1,3,10,12,21,22,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray["!"] = [[1], [10,20,30,40,60], [0,50,70]];
	alphaArray["?"] = [[5], [11,12,13,20,24,34,42,43,62], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,44,50,51,52,53,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["("] = [[2], [11,20,30,40,50,61], [0,1,10,21,31,41,51,60,70,71]];
	alphaArray[")"] = [[2], [10,21,31,41,51,60], [0,1,11,20,30,40,50,61,70,71]];
	alphaArray["/"] = [[4], [3,22,41,60], [0,1,2,10,11,12,13,20,21,23,30,31,32,33,40,42,43,50,51,52,53,61,62,63,70,71,72,73]];
	alphaArray["\\"] = [[4], [0,21,42,63], [1,2,3,10,11,12,13,20,22,23,30,31,32,33,40,41,43,50,51,52,53,60,61,62,70,71,72,73]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70], []];
	alphaArray["."] = [[1], [60], [0,10,20,30,40,50,70]];
	alphaArray[","] = [[2], [61,70], [0,1,10,11,20,21,30,31,40,41,50,51,60,71]];
	alphaArray[":"] = [[1], [20,60], [0,10,30,40,50,70]];
	alphaArray[";"] = [[2], [21,61,70], [0,1,10,11,20,30,31,40,41,50,51,60,71]];
	alphaArray["-"] = [[3], [40,41,42], [0,1,2,10,11,12,20,21,22,30,31,32,50,51,52,60,61,62,70,71,72]];
	alphaArray[""] = [[5], [40,41,42,43,44], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74]];
	alphaArray["+"] = [[5], [22,32,40,41,42,43,44,52,62], [0,1,2,3,4,10,11,12,13,14,20,21,23,24,30,31,33,34,50,51,53,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["="] = [[5], [30,31,32,33,34,50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,40,41,42,43,44,60,61,62,63,64,70,71,72,73,74]];
	alphaArray["_"] = [[4], [60,61,62,63], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,70,71,72,73]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61,70,71]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60,70]];
	alphaArray["\""] = [[2], [10,11,20,21], [0,1,30,31,40,41,50,51,60,61,70,71]];
	alphaArray["$"] = [[5], [2,11,12,13,14,20,22,31,32,33,42,44,50,52,54,61,62,63,72], [0,1,3,4,10,21,23,24,30,34,40,41,43,51,53,60,64,70,71,73,74]];
	alphaArray["%"] = [[6], [11,15,20,22,24,31,33,42,44,51,53,55,60,64], [0,1,2,3,4,5,10,12,13,14,21,23,25,30,32,34,35,40,41,43,45,50,52,54,61,62,63,65,70,71,72,73,74,75]];
	alphaArray["&"] = [[4], [11,12,13,21,23,31,33,40,42,50,53,61,62,64], [0,1,2,3,4,10,14,20,22,24,30,32,34,41,43,44,51,52,54,60,63,70,71,72,73,74]];
	alphaArray["@"] = [[4], [21,22,23,30,34,40,42,43,44,50,52,54,60,63,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,20,24,31,32,33,41,51,53,61,62,64,70]];
	alphaArray[""] = [[5], [22,24,31,33,40,42,51,53,62,64], [0,1,2,3,4,10,11,12,13,14,20,21,23,30,32,34,41,43,44,50,52,54,60,61,63,70,71,72,73,74]];
	alphaArray[""] = [[5], [20,22,31,33,42,44,51,53,60,62], [0,1,2,3,4,10,11,12,13,14,21,23,24,30,32,34,40,41,43,50,52,54,61,63,64,70,71,72,73,74]];
	alphaArray[""] = [[2], [41,50,61], [0,1,10,11,20,21,30,31,40,51,60,70,71]];
	alphaArray[""] = [[2], [40,51,60], [0,1,10,11,20,21,30,31,41,50,61,70,71]];
	alphaArray[""] = [[4], [51,53,61,63,70,72], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,52,60,62,71,73]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73]];
	alphaArray[""] = [[2], [51,61,70], [0,1,10,11,20,21,30,31,40,41,50,60,71]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71]];
	alphaArray["<"] = [[3], [22,31,40,51,62], [0,1,2,10,11,12,20,21,30,32,41,42,50,52,60,61,70,71,72]];
	alphaArray[">"] = [[3], [20,31,42,51,60], [0,1,2,10,11,12,21,22,30,32,40,41,50,52,61,62,70,71,72]];
	alphaArray["*"] = [[5], [2,10,12,14,21,22,23,30,32,34,42], [0,1,3,4,11,13,20,24,31,33,40,41,43,44,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74]];
	alphaArray["..."] = [[3], [60,61,62], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,70,71,72]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,31,32,33,34,35,36,37,38,40,44,50,54,60,64,65,66,67,68], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,41,42,43,45,46,47,48,51,52,53,55,56,57,58,61,62,63,70,71,72,73,74,75,76,77,78]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,35,36,37,38,40,44,50,54,61,62,63,64,65,66,67,68], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,41,42,43,45,46,47,48,51,52,53,55,56,57,58,60,70,71,72,73,74,75,76,77,78]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,40,50,54,61,62,63,72], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,60,64,70,71,73,74]];
	alphaArray[""] = [[7], [20,21,22,24,25,33,36,41,42,43,44,45,46,50,53,61,62,64,65,66], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,30,31,32,34,35,40,51,52,54,55,56,60,63,70,71,72,73,74,75,76]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,40,43,44,45,46,50,53,61,62,64,65,66], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,41,42,51,52,54,55,56,60,63,70,71,72,73,74,75,76]];
	alphaArray[""] = [[4], [21,22,30,33,40,50,53,61,62,72], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,60,63,70,71,73]];
	alphaArray[""] = [[4], [1,2,10,13,20,22,30,33,40,43,50,53,60,62], [0,3,11,12,21,23,31,32,41,42,51,52,61,63,70,71,72,73]];
	alphaArray[""] = [[5], [12,13,21,24,30,31,32,33,40,41,42,43,51,54,62,63], [0,1,2,3,4,10,11,14,20,22,23,34,44,50,52,53,60,61,64,70,71,72,73,74]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,61,62], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,63,70,71,72,73]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,50,53,61,62,63], [0,1,2,3,10,11,12,20,31,32,41,42,51,52,60,70,71,72,73]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51,61], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,62,63,70,71,72,73]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,70,71,72,73]];
	alphaArray["is"] = [[1], [10,30,40,50,60], [0,20,70]];
	alphaArray["s"] = [[2], [10,21,31,41,51,61], [0,1,11,20,30,40,50,60,70,71]];
	alphaArray["s"] = [[3], [10,12,31,41,51,61], [0,1,2,11,20,21,22,30,32,40,42,50,52,60,62,70,71,72]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51,61], [0,1,2,10,12,21,30,32,40,42,50,52,60,62,70,71,72]];
	alphaArray["js"] = [[2], [11,31,41,51,61,70], [0,1,10,20,21,30,40,50,60,71]];
	alphaArray["ks"] = [[4], [10,20,23,30,32,40,41,50,52,60,63], [0,1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,70,71,72,73]];
	alphaArray["ls"] = [[1], [10,20,30,40,50,60], [0,70]];
	alphaArray["s"] = [[4], [11,12,20,23,30,32,40,43,50,53,60,62], [0,1,2,3,10,13,21,22,31,33,41,42,51,52,61,63,70,71,72,73]];
	return alphaArray;
}

// 6 Reihen, Bold
function buildArray_6B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65], [0,1,2,3,4,5,10,15,22,23,32,33,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,32,33,34,40,41,44,45,50,51,54,55,60,61,62,63,64], [0,1,2,3,4,5,15,22,23,35,42,43,52,53,65,70,71,72,73,74,75]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64], [0,1,2,3,4,5,15,22,23,32,33,42,43,52,53,65,70,71,72,73,74,75]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61,62,63,64], [0,1,2,3,4,22,23,24,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61], [0,1,2,3,4,22,23,24,42,43,44,52,53,54,62,63,64,70,71,72,73,74]];
	alphaArray["G"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,43,44,45,50,51,54,55,61,62,63,64,65], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,52,53,60,70,71,72,73,74,75]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55,60,61,64,65], [0,1,2,3,4,5,12,13,22,23,42,43,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61], [0,1,70,71]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,24,25,34,35,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,40,41,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,42,43,50,51,53,54,60,61,64,65], [0,1,2,3,4,5,12,13,22,25,34,35,44,45,52,55,62,63,70,71,72,73,74,75]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,60,61,62,63,64], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,43,45,46,50,51,55,56,60,61,65,66], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,42,44,52,53,54,62,63,64,70,71,72,73,74,75,76]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,43,44,45,50,51,54,55,60,61,64,65], [0,1,2,3,4,5,11,12,13,22,23,33,42,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,60,61], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,54,55,62,63,64,65,70,71,72,73,74,75]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,43,44,45,50,51,54,55,61,62,63,64,65,76], [0,1,2,3,4,5,6,10,15,16,22,23,26,32,33,36,42,46,52,53,56,60,66,70,71,72,73,74,75]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,54,55,60,61,64,65], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["S"] = [[6], [11,12,13,14,15,20,21,31,32,33,34,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,22,23,24,25,30,35,40,41,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,22,23,32,33,42,43,52,53,62,63], [0,1,2,3,4,5,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,72,73,74,75]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,53,54,62], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,50,52,55,60,61,63,64,65,70,71,72,73,74,75]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,40,41,44,45,48,49,51,52,53,56,57,58,62,67], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,42,43,46,47,50,54,55,59,60,61,63,64,65,66,68,69,70,71,72,73,74,75,76,77,78,79]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,32,33,41,44,50,51,54,55,60,61,64,65], [0,1,2,3,4,5,12,13,22,23,30,31,34,35,40,42,43,45,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,41,42,43,44,52,53,62,63], [0,1,2,3,4,5,12,13,22,23,32,33,40,45,50,51,54,55,60,61,64,65,70,71,72,73,74,75]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,23,24,32,33,41,42,50,51,60,61,62,63,64,65], [0,1,2,3,4,5,20,21,22,25,30,31,34,35,40,43,44,45,52,53,54,55,70,71,72,73,74,75]];
	alphaArray["a"] = [[5], [20,21,22,23,33,34,41,42,43,44,50,51,53,54,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,24,30,31,32,40,52,60,70,71,72,73,74]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,62,63], [2,3,4,12,13,14,24,32,42,52,64,70,71,72,73,74]];
	alphaArray["c"] = [[5], [21,22,23,30,31,33,34,40,41,50,51,53,54,61,62,63], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,60,64,70,71,72,73,74]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [0,1,2,10,11,12,20,32,42,52,60,70,71,72,73,74]];
	alphaArray["e"] = [[5], [21,22,23,30,31,33,34,40,41,42,43,44,50,51,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,20,24,32,52,53,54,60,70,71,72,73,74]];
	alphaArray["f"] = [[5], [2,3,4,11,12,21,22,30,31,32,33,34,41,42,51,52,61,62], [0,1,10,13,14,20,23,24,40,43,44,50,53,54,60,63,64,70,71,72,73,74]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,51,52,53,54,63,64,70,71,72,73], [0,1,2,3,4,10,11,12,13,14,20,32,42,50,60,61,62,74]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64], [2,3,4,12,13,14,24,32,42,52,62,70,71,72,73,74]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51,60,61], [10,11,70,71]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,61,62,70,71], [0,10,11,12,20,30,40,50,60,72]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,53,54,60,61,63,64], [2,3,4,12,13,14,22,34,43,44,52,62,70,71,72,73,74]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51,60,61], [70,71]];
	alphaArray["m"] = [[8], [20,21,22,24,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,23,27,32,35,42,45,52,55,62,65,70,71,72,73,74,75,76,77]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,70,71,72,73,74]];
	alphaArray["o"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,52,60,64,70,71,72,73,74]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,62,63,70,71], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,64,72,73,74]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64,73,74], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,60,70,71,72]];
	alphaArray["r"] = [[5], [20,22,23,30,31,33,34,40,41,50,51,60,61], [0,1,2,3,4,10,11,12,13,14,21,24,32,42,43,44,52,53,54,62,63,64,70,71,72,73,74]];
	alphaArray["s"] = [[5], [21,22,23,24,30,31,41,42,43,53,54,60,61,62,63], [0,1,2,3,4,10,11,12,13,14,20,32,33,34,40,44,50,51,52,64,70,71,72,73,74]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,31,32,41,42,51,52,62,63], [0,1,2,3,10,13,30,33,40,43,50,53,60,61,70,71,72,73]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,60,70,71,72,73,74]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,51,53,62], [0,1,2,3,4,10,11,12,13,14,22,32,42,50,52,54,60,61,63,64,70,71,72,73,74]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,40,41,43,44,46,47,51,52,53,54,55,56,62,65], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,42,45,50,57,60,61,63,64,66,67,70,71,72,73,74,75,76,77]];
	alphaArray["x"] = [[5], [20,21,23,24,30,31,33,34,41,42,43,50,51,53,54,60,61,63,64], [0,1,2,3,4,10,11,12,13,14,22,32,40,44,52,62,70,71,72,73,74]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,51,52,53,54,63,64,70,71,72,73], [0,1,2,3,4,10,11,12,13,14,22,32,42,50,60,61,62,74]];
	alphaArray["z"] = [[5], [20,21,22,23,24,32,33,41,42,50,51,60,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,30,31,34,40,43,44,52,53,54,70,71,72,73,74]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,32,33,42,43,52,53,60,61,62,63,64,65], [0,1,2,3,4,5,10,11,14,15,20,24,25,31,34,35,40,41,44,45,50,51,54,55,70,71,72,73,74,75]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,24,25,33,34,42,43,51,52,60,61,62,63,64,65], [0,1,2,3,4,5,10,15,22,23,30,31,32,35,40,41,44,45,50,53,54,55,70,71,72,73,74,75]];
	alphaArray["3"] = [[6], [11,12,13,14,20,24,25,32,33,34,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,15,21,22,23,30,31,35,40,41,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,33,34,40,43,44,50,51,52,53,54,55,63,64], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,32,35,41,42,45,60,61,62,65,70,71,72,73,74,75]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,30,31,32,33,34,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,22,23,24,25,35,40,41,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["6"] = [[6], [11,12,13,14,15,20,21,30,31,32,33,34,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,22,23,24,25,35,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,61,62], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,60,63,64,65,70,71,72,73,74,75]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,24,25,31,32,33,34,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,2,3,4,5,10,15,22,23,30,35,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,41,42,43,44,45,54,55,60,61,62,63,64], [0,1,2,3,4,5,10,15,22,23,32,33,40,50,51,52,53,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65], [0,2,3,5,10,15,22,23,32,33,52,53,62,63,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65], [0,3,4,5,10,15,22,23,32,33,52,53,62,63,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65], [0,1,4,5,10,12,13,15,22,23,32,33,52,53,62,63,70,71,72,73,74,75]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61,62,63,64], [0,1,4,22,23,24,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61,62,63,64], [0,3,4,22,23,24,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61,62,63,64], [0,2,4,22,23,24,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,30,31,32,33,34,40,41,50,51,60,61,62,63,64], [0,1,3,4,12,22,23,24,42,43,44,52,53,54,70,71,72,73,74]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,21,22,31,32,41,42,51,52,60,61,62,63], [2,3,20,23,30,33,40,43,50,53,70,71,72,73]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,21,22,31,32,41,42,51,52,60,61,62,63], [1,2,20,23,30,33,40,43,50,53,70,71,72,73]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,60,61,62,63], [0,3,11,12,20,23,30,33,40,43,50,53,70,71,72,73]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,2,3,5,10,15,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,3,4,5,10,15,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,2,3,5,12,13,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,3,4,5,12,13,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,62,63,64], [0,1,4,5,12,13,22,23,32,33,42,43,52,53,60,65,70,71,72,73,74,75]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,22,23,33,34,41,42,43,44,50,51,53,54,61,62,63,64], [2,10,11,12,13,14,24,30,31,32,40,52,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,2,12,13,20,21,22,23,33,34,41,42,43,44,50,51,53,54,61,62,63,64], [0,3,4,10,11,14,24,30,31,32,40,52,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,20,21,22,23,33,34,41,42,43,44,50,51,53,54,61,62,63,64], [0,1,3,4,10,12,14,24,30,31,32,40,52,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,42,43,44,50,51,61,62,63,64], [2,10,11,12,13,14,20,24,32,52,53,54,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,3,11,12,21,22,23,30,31,33,34,40,41,42,43,44,50,51,61,62,63,64], [0,1,4,10,13,14,20,24,32,52,53,54,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,40,41,42,43,44,50,51,61,62,63,64], [0,3,4,10,11,14,20,24,32,52,53,54,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,42,43,44,50,51,61,62,63,64], [0,1,3,4,10,12,14,20,24,32,52,53,54,60,70,71,72,73,74]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51,60,61], [0,1,10,11,70,71]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51,60,61], [1,10,70,71]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52,61,62], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,63,70,71,72,73]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,71,72,73]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63], [2,10,11,12,13,14,20,24,32,42,52,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63], [0,1,3,4,10,12,14,20,24,32,42,52,60,64,70,71,72,73,74]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [2,10,11,12,13,14,22,32,42,52,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [0,2,3,4,10,11,13,14,22,32,42,52,60,70,71,72,73,74]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [0,1,3,4,10,12,14,22,32,42,52,60,70,71,72,73,74]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,40,41,60,61], [0,1,50,51,70,71]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,33,34,42,43,62,63], [0,1,2,3,4,5,10,15,22,23,30,31,32,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,72,73,74,75]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,50,51,61,62], [0,1,2,10,22,32,42,52,60,70,71,72]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,51,52,60,61], [0,1,2,12,20,30,40,50,62,70,71,72]];
	alphaArray["/"] = [[5], [13,14,23,32,33,42,51,52,61,70,71], [0,1,2,3,4,10,11,12,20,21,22,24,30,31,34,40,41,43,44,50,53,54,60,62,63,64,72,73,74]];
	alphaArray["\\"] = [[5], [10,11,21,31,32,42,52,53,63,73,74], [0,1,2,3,4,12,13,14,20,22,23,24,30,33,34,40,41,43,44,50,51,54,60,61,62,64,70,71,72]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70], []];
	alphaArray["."] = [[2], [60,61], [0,1,10,11,20,21,30,31,40,41,50,51,70,71]];
	alphaArray[","] = [[3], [61,62,70,71], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,72]];
	alphaArray[":"] = [[2], [20,21,60,61], [0,1,10,11,30,31,40,41,50,51,70,71]];
	alphaArray[";"] = [[3], [21,22,61,62,70,71], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,51,52,60,72]];
	alphaArray["-"] = [[4], [40,41,42,43], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,50,51,52,53,60,61,62,63,70,71,72,73]];
	alphaArray[""] = [[6], [40,41,42,43,44,45], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,50,51,52,53,54,55,60,61,62,63,64,65,70,71,72,73,74,75]];
	alphaArray["+"] = [[6], [22,23,32,33,40,41,42,43,44,45,52,53,62,63], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,24,25,30,31,34,35,50,51,54,55,60,61,64,65,70,71,72,73,74,75]];
	alphaArray["="] = [[5], [30,31,32,33,34,50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,40,41,42,43,44,60,61,62,63,64,70,71,72,73,74]];
	alphaArray["_"] = [[5], [60,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,70,71,72,73,74]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60,70]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,16,20,21,23,31,32,33,34,35,43,45,46,50,51,53,55,56,61,62,63,64,65,73], [0,1,2,4,5,6,10,22,24,25,26,30,36,40,41,42,44,52,54,60,66,70,71,72,74,75,76]];
	alphaArray["%"] = [[6], [10,11,14,15,20,21,23,24,33,41,42,51,54,55,60,61,64,65], [0,1,2,3,4,5,12,13,22,25,30,31,32,34,35,40,43,44,45,50,52,53,62,63,70,71,72,73,74,75]];
	alphaArray["&"] = [[8], [12,13,14,21,22,24,25,30,31,33,34,37,40,41,44,45,46,50,51,55,56,61,62,63,64,66], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,23,26,27,32,35,36,42,43,47,52,53,54,57,60,65,67,70,71,72,73,74,75,76,77]];
	alphaArray["@"] = [[8], [21,22,23,24,25,26,30,31,36,37,40,41,43,44,46,47,50,51,53,54,55,60,61,71,72,73,74,75], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,27,32,33,34,35,42,45,52,56,57,62,63,64,65,66,67,70,76,77]];
	alphaArray[""] = [[7], [22,23,25,26,31,32,34,35,40,41,43,44,51,52,54,55,62,63,65,66], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,24,30,33,36,42,45,46,50,53,56,60,61,64,70,71,72,73,74,75,76]];
	alphaArray[""] = [[7], [20,21,23,24,31,32,34,35,42,43,45,46,51,52,54,55,60,61,63,64], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,22,25,26,30,33,36,40,41,44,50,53,56,62,65,66,70,71,72,73,74,75,76]];
	alphaArray[""] = [[4], [22,23,31,32,40,41,51,52,62,63], [0,1,2,3,10,11,12,13,20,21,30,33,42,43,50,53,60,61,70,71,72,73]];
	alphaArray[""] = [[4], [20,21,31,32,42,43,51,52,60,61], [0,1,2,3,10,11,12,13,22,23,30,33,40,41,50,53,62,63,70,71,72,73]];
	alphaArray[""] = [[4], [51,53,61,63,70,72], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,52,60,62,71,73]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73]];
	alphaArray[""] = [[2], [51,61,70], [0,1,10,11,20,21,30,31,40,41,50,60,71]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71]];
	alphaArray["<"] = [[4], [22,23,31,32,40,41,51,52,62,63], [0,1,2,3,10,11,12,13,20,21,30,33,42,43,50,53,60,61,70,71,72,73]];
	alphaArray[">"] = [[4], [20,21,31,32,42,43,51,52,60,61], [0,1,2,3,10,11,12,13,22,23,30,33,40,41,50,53,62,63,70,71,72,73]];
	alphaArray["*"] = [[6], [2,3,10,12,13,15,21,22,23,24,30,32,33,35,42,43], [0,1,4,5,11,14,20,25,31,34,40,41,44,45,50,51,52,53,54,55,60,61,62,63,64,65,70,71,72,73,74,75]];
	alphaArray["..."] = [[3], [60,61,62], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,70,71,72]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,32,33,34,35,36,37,38,39,40,41,44,45,50,51,54,55,60,61,64,65,66,67,68,69], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,42,43,46,47,48,49,52,53,56,57,58,59,62,63,70,71,72,73,74,75,76,77,78,79]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,36,37,38,39,40,41,44,45,50,51,54,55,61,62,63,64,65,66,67,68,69], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,42,43,46,47,48,49,52,53,56,57,58,59,60,70,71,72,73,74,75,76,77,78,79]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,54,55,61,62,63,64,72,73], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,60,65,70,71,74,75]];
	alphaArray[""] = [[8], [20,21,22,23,25,26,33,34,36,37,41,42,43,44,45,46,47,50,51,53,54,61,62,63,64,65,66,67], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,24,27,30,31,32,35,40,52,55,56,57,60,70,71,72,73,74,75,76,77]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,36,37,40,41,43,44,45,46,47,50,51,53,54,61,62,63,65,66,67], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,35,42,52,55,56,57,60,64,70,71,72,73,74,75,76,77]];
	alphaArray[""] = [[5], [21,22,23,30,31,33,34,40,41,50,51,53,54,61,62,63,72], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,60,64,70,71,73,74]];
	alphaArray[""] = [[5], [1,2,3,10,11,14,20,21,23,30,31,34,40,41,43,44,50,51,53,54,60,61,63], [0,4,12,13,22,24,32,33,42,52,62,64,70,71,72,73,74]];
	alphaArray[""] = [[7], [12,13,14,15,21,22,26,30,31,32,33,34,41,42,51,52,55,56,62,63,64,65], [0,1,2,3,4,5,6,10,11,16,20,23,24,25,35,36,40,43,44,45,46,50,53,54,60,61,66,70,71,72,73,74,75,76]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,62,63], [0,1,2,3,4,12,13,14,24,32,42,52,64,70,71,72,73,74]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64], [0,1,2,3,4,10,11,12,20,32,42,52,60,70,71,72,73,74]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,41,42,51,52,61,62], [0,1,2,3,4,10,11,20,23,24,40,43,44,50,53,54,60,63,64,70,71,72,73,74]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64], [0,1,2,3,4,12,13,14,24,32,42,52,62,70,71,72,73,74]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51,60,61], [0,1,20,21,70,71]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51,60,61], [0,1,11,20,70,71]];
	alphaArray["s"] = [[4], [10,13,31,32,41,42,51,52,61,62], [0,1,2,3,11,12,20,21,22,23,30,33,40,43,50,53,60,63,70,71,72,73]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52,61,62], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,63,70,71,72,73]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,61,62,70,71], [0,1,2,10,20,21,22,30,40,50,60,72]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,40,41,42,43,50,51,53,54,60,61,63,64], [0,1,2,3,4,12,13,14,22,33,34,44,52,62,70,71,72,73,74]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61], [0,1,70,71]];
	alphaArray["s"] = [[5], [11,12,13,20,21,24,30,31,33,40,41,44,50,51,53,54,60,61,63], [0,1,2,3,4,10,14,22,23,32,34,42,43,52,62,64,70,71,72,73,74]];
	return alphaArray;
}

// 7 Reihen, Regular
function buildArray_7R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74], [0,1,2,3,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,54,60,64,70,71,72,73], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,61,62,63,74,80,81,82,83,84]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,40,50,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,54,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,54,60,64,70,71,72,73], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,74,80,81,82,83,84]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,40,41,42,43,50,60,70,71,72,73], [0,1,2,3,21,22,23,31,32,33,51,52,53,61,62,63,80,81,82,83]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,40,41,42,43,50,60,70], [0,1,2,3,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83]];
	alphaArray["G"] = [[5], [11,12,13,20,24,30,40,42,43,44,50,54,60,64,71,72,73,74], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,51,52,53,61,62,63,70,80,81,82,83,84]];
	alphaArray["H"] = [[5], [10,14,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray["I"] = [[1], [10,20,30,40,50,60,70], [0,80]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,44,54,60,64,71,72,73], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["K"] = [[5], [10,14,20,23,30,32,40,41,50,52,60,63,70,74], [0,1,2,3,4,11,12,13,21,22,24,31,33,34,42,43,44,51,53,54,61,62,64,71,72,73,80,81,82,83,84]];
	alphaArray["L"] = [[4], [10,20,30,40,50,60,70,71,72,73], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,80,81,82,83]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56,60,66,70,76], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,61,62,63,64,65,71,72,73,74,75,80,81,82,83,84,85,86]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54,60,64,70,74], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,60,70], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,54,61,62,63,64,71,72,73,74,80,81,82,83,84]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,34,40,44,50,53,54,60,64,71,72,73,75], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,33,35,41,42,43,45,51,52,55,61,62,63,65,70,74,80,81,82,83,84,85]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,54,60,64,70,74], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray["S"] = [[5], [11,12,13,20,24,30,41,42,43,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,40,44,50,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52,62,72], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,40,44,50,54,61,63,72], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,60,62,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,40,44,48,50,54,58,61,63,65,67,72,76], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,41,42,43,45,46,47,51,52,53,55,56,57,60,62,64,66,68,70,71,73,74,75,77,78,80,81,82,83,84,85,86,87,88]];
	alphaArray["X"] = [[5], [10,14,20,24,31,33,42,51,53,60,64,70,74], [0,1,2,3,4,11,12,13,21,22,23,30,32,34,40,41,43,44,50,52,54,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray["Y"] = [[5], [10,14,20,24,30,34,41,43,52,62,72], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,40,42,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["Z"] = [[5], [10,11,12,13,14,24,33,42,51,60,70,71,72,73,74], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,61,62,63,64,80,81,82,83,84]];
	alphaArray["a"] = [[4], [20,21,22,33,41,42,43,50,53,60,63,71,72,73], [0,1,2,3,10,11,12,13,23,30,31,32,40,51,52,61,62,70,80,81,82,83]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,71,72], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,73,80,81,82,83]];
	alphaArray["c"] = [[4], [21,22,30,33,40,50,60,63,71,72], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,50,53,60,63,71,72,73], [0,1,2,10,11,12,20,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray["e"] = [[4], [21,22,30,33,40,41,42,43,50,60,63,71,72], [0,1,2,3,10,11,12,13,20,23,31,32,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray["f"] = [[4], [2,3,11,21,30,31,32,33,41,51,61,71], [0,1,10,12,13,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,81,82,83]];
	alphaArray["g"] = [[4], [21,22,23,30,33,40,43,51,52,53,63,70,73,81,82], [0,1,2,3,10,11,12,13,20,31,32,41,42,50,60,61,62,71,72,80,83]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,80,81,82,83]];
	alphaArray["i"] = [[1], [0,20,30,40,50,60,70], [10,80]];
	alphaArray["j"] = [[2], [1,21,31,41,51,61,71,80], [0,10,11,20,30,40,50,60,70,81]];
	alphaArray["k"] = [[4], [0,10,20,23,30,32,40,41,50,52,60,63,70,73], [1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,71,72,80,81,82,83]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50,60,70], [80]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,80,81,82,83,84,85,86]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,80,81,82,83]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,50,53,60,63,71,72], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,61,62,70,73,80,81,82,83]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,71,72,80], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,73,81,82,83]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,71,72,73,83], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,70,80,81,82]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50,60,70], [0,1,2,10,11,12,22,31,41,42,51,52,61,62,71,72,80,81,82]];
	alphaArray["s"] = [[4], [21,22,23,30,41,42,53,60,63,71,72], [0,1,2,3,10,11,12,13,20,31,32,33,40,43,50,51,52,61,62,70,73,80,81,82,83]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,51,61,72], [0,1,2,10,12,30,32,40,42,50,52,60,62,70,71,80,81,82]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,50,53,60,63,71,72,73], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray["v"] = [[4], [20,23,30,33,40,43,50,53,60,62,71], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,63,70,72,73,80,81,82,83]];
	alphaArray["w"] = [[7], [20,23,26,30,33,36,40,43,46,50,53,56,61,63,65,72,74], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,21,22,24,25,31,32,34,35,41,42,44,45,51,52,54,55,60,62,64,66,70,71,73,75,76,80,81,82,83,84,85,86]];
	alphaArray["x"] = [[4], [20,23,30,33,41,42,50,53,60,63,70,73], [0,1,2,3,10,11,12,13,21,22,31,32,40,43,51,52,61,62,71,72,80,81,82,83]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,50,53,61,62,63,73,80,81,82], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,60,70,71,72,83]];
	alphaArray["z"] = [[4], [20,21,22,23,33,42,51,60,70,71,72,73], [0,1,2,3,10,11,12,13,30,31,32,40,41,43,50,52,53,61,62,63,80,81,82,83]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,52,62,70,71,72,73,74], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,80,81,82,83,84]];
	alphaArray["2"] = [[5], [11,12,13,20,24,34,43,52,61,70,71,72,73,74], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,80,81,82,83,84]];
	alphaArray["3"] = [[5], [11,12,13,20,24,34,42,43,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,44,50,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,43,50,51,52,53,54,63,73], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,41,42,44,60,61,62,64,70,71,72,74,80,81,82,83,84]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,40,41,42,43,54,60,64,71,72,73], [0,1,2,3,4,21,22,23,24,31,32,33,34,44,50,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["6"] = [[5], [11,12,13,20,24,30,40,41,42,43,50,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,44,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,33,42,51,61,71], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,60,62,63,64,70,72,73,74,80,81,82,83,84]];
	alphaArray["8"] = [[5], [11,12,13,20,24,30,34,41,42,43,50,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,40,44,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray["9"] = [[5], [11,12,13,20,24,30,34,41,42,43,44,54,60,64,71,72,73], [0,1,2,3,4,10,14,21,22,23,31,32,33,40,50,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74], [0,2,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74], [0,2,3,4,10,14,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74], [0,1,3,4,10,12,14,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,80,81,82,83,84]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,40,41,42,43,50,60,70,71,72,73], [0,1,3,21,22,23,31,32,33,51,52,53,61,62,63,80,81,82,83]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,40,41,42,43,50,60,70,71,72,73], [0,2,3,21,22,23,31,32,33,51,52,53,61,62,63,80,81,82,83]];
	alphaArray[""] = [[4], [1,3,10,11,12,13,20,30,40,41,42,43,50,60,70,71,72,73], [0,2,21,22,23,31,32,33,51,52,53,61,62,63,80,81,82,83]];
	alphaArray[""] = [[4], [2,10,11,13,20,30,40,41,42,43,50,60,70,71,72,73], [0,1,3,12,21,22,23,31,32,33,51,52,53,61,62,63,80,81,82,83]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,51,61,70,71,72], [1,2,20,22,30,32,40,42,50,52,60,62,80,81,82]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,51,61,70,71,72], [1,20,22,30,32,40,42,50,52,60,62,80,81,82]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,70,71,72], [0,2,11,20,22,30,32,40,42,50,52,60,62,80,81,82]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,50,54,60,64,71,72,73], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,74,80,81,82,83,84]];
	alphaArray[""] = [[4], [0,3,20,21,22,33,41,42,43,50,53,60,63,71,72,73], [1,2,10,11,12,13,23,30,31,32,40,51,52,61,62,70,80,81,82,83]];
	alphaArray[""] = [[4], [1,12,20,21,22,33,41,42,43,50,53,60,63,71,72,73], [0,2,3,10,11,13,23,30,31,32,40,51,52,61,62,70,80,81,82,83]];
	alphaArray[""] = [[4], [2,11,13,20,21,22,33,41,42,43,50,53,60,63,71,72,73], [0,1,3,10,12,23,30,31,32,40,51,52,61,62,70,80,81,82,83]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,41,42,43,50,60,63,71,72], [1,2,10,11,12,13,20,23,31,32,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [2,11,21,22,30,33,40,41,42,43,50,60,63,71,72], [0,1,3,10,12,13,20,23,31,32,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,40,41,42,43,50,60,63,71,72], [0,2,3,10,11,13,20,23,31,32,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,41,42,43,50,60,63,71,72], [0,1,3,10,12,20,23,31,32,51,52,53,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[1], [20,30,40,50,60,70], [0,10,80]];
	alphaArray[""] = [[2], [0,11,21,31,41,51,61,71], [1,10,20,30,40,50,60,70,80,81]];
	alphaArray[""] = [[3], [0,2,21,31,41,51,61,71], [1,10,11,12,20,22,30,32,40,42,50,52,60,62,70,72,80,81,82]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,81,82]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,60,63,71,72], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,60,63,71,72], [0,1,3,10,12,20,23,31,32,41,42,51,52,61,62,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,50,53,60,63,71,72,73], [1,2,10,11,12,13,21,22,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,50,53,60,63,71,72,73], [0,2,3,10,11,13,21,22,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray[""] = [[4], [2,11,13,30,33,40,43,50,53,60,63,71,72,73], [0,1,3,10,12,20,21,22,23,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray["!"] = [[1], [10,20,30,40,50,70], [0,60,80]];
	alphaArray["?"] = [[5], [11,12,13,20,24,34,43,52,72], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,61,62,63,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["("] = [[2], [11,20,30,40,50,60,71], [0,1,10,21,31,41,51,61,70,80,81]];
	alphaArray[")"] = [[2], [10,21,31,41,51,61,70], [0,1,11,20,30,40,50,60,71,80,81]];
	alphaArray["/"] = [[4], [13,32,51,70], [0,1,2,3,10,11,12,20,21,22,23,30,31,33,40,41,42,43,50,52,53,60,61,62,63,71,72,73,80,81,82,83]];
	alphaArray["\\"] = [[4], [10,31,52,73], [0,1,2,3,11,12,13,20,21,22,23,30,32,33,40,41,42,43,50,51,53,60,61,62,63,70,71,72,80,81,82,83]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80], []];
	alphaArray["."] = [[1], [70], [0,10,20,30,40,50,60,80]];
	alphaArray[","] = [[2], [71,80], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,81]];
	alphaArray[":"] = [[1], [20,70], [0,10,30,40,50,60,80]];
	alphaArray[";"] = [[2], [21,71,80], [0,1,10,11,20,30,31,40,41,50,51,60,61,70,81]];
	alphaArray["-"] = [[3], [40,41,42], [0,1,2,10,11,12,20,21,22,30,31,32,50,51,52,60,61,62,70,71,72,80,81,82]];
	alphaArray[""] = [[5], [40,41,42,43,44], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84]];
	alphaArray["+"] = [[5], [32,42,50,51,52,53,54,62,72], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,33,34,40,41,43,44,60,61,63,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["="] = [[5], [40,41,42,43,44,60,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,50,51,52,53,54,70,71,72,73,74,80,81,82,83,84]];
	alphaArray["_"] = [[4], [70,71,72,73], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,80,81,82,83]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61,70,71,80,81]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60,70,80]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81]];
	alphaArray["$"] = [[5], [2,11,12,13,20,22,24,30,32,41,42,43,52,54,60,62,64,71,72,73,82], [0,1,3,4,10,14,21,23,31,33,34,40,44,50,51,53,61,63,70,74,80,81,83,84]];
	alphaArray["%"] = [[6], [11,14,20,22,31,33,52,54,63,65,71,74], [0,1,2,3,4,5,10,12,13,15,21,23,24,25,30,32,34,35,40,41,42,43,44,45,50,51,53,55,60,61,62,64,70,72,73,75,80,81,82,83,84,85]];
	alphaArray["&"] = [[6], [11,12,13,21,23,31,33,40,42,45,50,53,54,60,64,71,72,73,75], [0,1,2,3,4,5,10,14,15,20,22,24,25,30,32,34,35,41,43,44,51,52,55,61,62,63,65,70,74,80,81,82,83,84,85]];
	alphaArray["@"] = [[7], [21,22,23,24,25,30,36,40,42,43,44,46,50,52,54,56,60,62,63,64,65,70,81,82,83,84], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,26,31,32,33,34,35,41,45,51,53,55,61,66,71,72,73,74,75,76,80,85,86]];
	alphaArray[""] = [[5], [32,34,41,43,50,52,61,63,72,74], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,33,40,42,44,51,53,54,60,62,64,70,71,73,80,81,82,83,84]];
	alphaArray[""] = [[5], [30,32,41,43,52,54,61,63,70,72], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,31,33,34,40,42,44,50,51,53,60,62,64,71,73,74,80,81,82,83,84]];
	alphaArray[""] = [[3], [32,41,50,61,72], [0,1,2,10,11,12,20,21,22,30,31,40,42,51,52,60,62,70,71,80,81,82]];
	alphaArray[""] = [[3], [30,41,52,61,70], [0,1,2,10,11,12,20,21,22,31,32,40,42,50,51,60,62,71,72,80,81,82]];
	alphaArray[""] = [[3], [61,62,71,72,80,81], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,70,82]];
	alphaArray[""] = [[3], [10,11,20,21,31,32], [0,1,2,12,22,30,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82]];
	alphaArray[""] = [[2], [61,71,80], [0,1,10,11,20,21,30,31,40,41,50,51,60,70,81]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81]];
	alphaArray["<"] = [[3], [32,41,50,61,72], [0,1,2,10,11,12,20,21,22,30,31,40,42,51,52,60,62,70,71,80,81,82]];
	alphaArray[">"] = [[3], [30,41,52,61,70], [0,1,2,10,11,12,20,21,22,31,32,40,42,50,51,60,62,71,72,80,81,82]];
	alphaArray["*"] = [[5], [2,10,12,14,21,22,23,31,32,33,40,42,44,52], [0,1,3,4,11,13,20,24,30,34,41,43,50,51,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84]];
	alphaArray["..."] = [[3], [70,71,72], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,80,81,82]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,41,42,43,44,45,46,47,48,50,54,60,64,70,74,75,76,77,78], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,51,52,53,55,56,57,58,61,62,63,65,66,67,68,71,72,73,80,81,82,83,84,85,86,87,88]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,45,46,47,48,50,54,60,64,71,72,73,74,75,76,77,78], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,51,52,53,55,56,57,58,61,62,63,65,66,67,68,70,80,81,82,83,84,85,86,87,88]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,40,50,60,64,71,72,73,82], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,54,61,62,63,70,74,80,81,83,84]];
	alphaArray[""] = [[7], [20,21,22,24,25,33,36,41,42,43,44,45,46,50,53,60,63,66,71,72,74,75], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,30,31,32,34,35,40,51,52,54,55,56,61,62,64,65,70,73,76,80,81,82,83,84,85,86]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,40,43,44,45,46,50,53,60,63,66,71,72,74,75], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,41,42,51,52,54,55,56,61,62,64,65,70,73,76,80,81,82,83,84,85,86]];
	alphaArray[""] = [[4], [21,22,30,33,40,50,60,63,71,72,82], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,53,61,62,70,73,80,81,83]];
	alphaArray[""] = [[4], [1,2,10,13,20,23,30,32,40,43,50,53,60,63,70,72], [0,3,11,12,21,22,31,33,41,42,51,52,61,62,71,73,80,81,82,83]];
	alphaArray[""] = [[6], [12,13,14,21,25,31,40,41,42,43,44,51,61,65,72,73,74], [0,1,2,3,4,5,10,11,15,20,22,23,24,30,32,33,34,35,45,50,52,53,54,55,60,62,63,64,70,71,75,80,81,82,83,84,85]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,71,72], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,73,80,81,82,83]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,50,53,60,63,71,72,73], [0,1,2,3,10,11,12,20,31,32,41,42,51,52,61,62,70,80,81,82,83]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51,61,71], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,81,82,83]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,80,81,82,83]];
	alphaArray["is"] = [[1], [10,30,40,50,60,70], [0,20,80]];
	alphaArray["s"] = [[2], [10,21,31,41,51,61,71], [0,1,11,20,30,40,50,60,70,80,81]];
	alphaArray["s"] = [[3], [10,12,31,41,51,61,71], [0,1,2,11,20,21,22,30,32,40,42,50,52,60,62,70,72,80,81,82]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51,61,71], [0,1,2,10,12,21,30,32,40,42,50,52,60,62,70,72,80,81,82]];
	alphaArray["js"] = [[2], [11,31,41,51,61,71,80], [0,1,10,20,21,30,40,50,60,70,81]];
	alphaArray["ks"] = [[4], [10,20,23,30,32,40,41,50,52,60,63,70,73], [0,1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,71,72,80,81,82,83]];
	alphaArray["ls"] = [[1], [10,20,30,40,50,60,70], [0,80]];
	alphaArray["s"] = [[4], [11,12,20,23,30,33,40,42,50,53,60,63,70,72], [0,1,2,3,10,13,21,22,31,32,41,43,51,52,61,62,71,73,80,81,82,83]];
	return alphaArray;
}

// 7 Reihen, Bold
function buildArray_7B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,1,2,3,4,5,10,15,22,23,32,33,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,54,55,60,61,64,65,70,71,72,73,74], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,62,63,75,80,81,82,83,84,85]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,72,73,74], [0,1,2,3,4,5,15,22,23,32,33,42,43,52,53,62,63,75,80,81,82,83,84,85]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,72,73,74], [0,1,2,3,4,22,23,24,32,33,34,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71], [0,1,2,3,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,80,81,82,83,84]];
	alphaArray["G"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,43,44,45,50,51,54,55,60,61,64,65,71,72,73,74,75], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,52,53,62,63,70,80,81,82,83,84,85]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,1,2,3,4,5,12,13,22,23,32,33,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71], [0,1,80,81]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,24,25,34,35,44,45,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,42,50,51,52,53,60,61,63,64,70,71,74,75], [0,1,2,3,4,5,12,13,22,25,34,35,43,44,45,54,55,62,65,72,73,80,81,82,83,84,85]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,72,73,74], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,43,45,46,50,51,55,56,60,61,65,66,70,71,75,76], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,42,44,52,53,54,62,63,64,72,73,74,80,81,82,83,84,85,86]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,1,2,3,4,5,11,12,13,22,23,33,42,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,60,61,70,71], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,54,55,62,63,64,65,72,73,74,75,80,81,82,83,84,85]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,53,54,55,60,61,64,65,71,72,73,74,75,86], [0,1,2,3,4,5,6,10,15,16,22,23,26,32,33,36,42,43,46,52,56,62,63,66,70,76,80,81,82,83,84,85]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,54,55,60,61,64,65,70,71,74,75], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["S"] = [[6], [11,12,13,14,20,21,24,25,30,31,41,42,43,44,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,40,45,50,51,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,22,23,32,33,42,43,52,53,62,63,72,73], [0,1,2,3,4,5,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,82,83,84,85]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,61,63,64,72], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,60,62,65,70,71,73,74,75,80,81,82,83,84,85]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,40,41,44,45,48,49,50,51,54,55,58,59,61,62,63,66,67,68,72,77], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,42,43,46,47,52,53,56,57,60,64,65,69,70,71,73,74,75,76,78,79,80,81,82,83,84,85,86,87,88,89]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,31,34,42,43,51,54,60,61,64,65,70,71,74,75], [0,1,2,3,4,5,12,13,22,23,30,32,33,35,40,41,44,45,50,52,53,55,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,41,42,43,44,52,53,62,63,72,73], [0,1,2,3,4,5,12,13,22,23,32,33,40,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,82,83,84,85]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,60,61,70,71,72,73,74,75], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,62,63,64,65,80,81,82,83,84,85]];
	alphaArray["a"] = [[5], [20,21,22,23,33,34,41,42,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,24,30,31,32,40,52,62,70,80,81,82,83,84]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73], [2,3,4,12,13,14,24,32,42,52,62,74,80,81,82,83,84]];
	alphaArray["c"] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,63,64,71,72,73], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,2,10,11,12,20,32,42,52,62,70,80,81,82,83,84]];
	alphaArray["e"] = [[5], [21,22,23,30,31,33,34,40,41,42,43,44,50,51,60,61,63,64,71,72,73], [0,1,2,3,4,10,11,12,13,14,20,24,32,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray["f"] = [[5], [2,3,4,11,12,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72], [0,1,10,13,14,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,81,82,83,84]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,51,52,53,54,63,64,70,71,73,74,81,82,83], [0,1,2,3,4,10,11,12,13,14,20,32,42,50,60,61,62,72,80,84]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74], [2,3,4,12,13,14,24,32,42,52,62,72,80,81,82,83,84]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51,60,61,70,71], [10,11,80,81]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,61,62,71,72,80,81], [0,10,11,12,20,30,40,50,60,70,82]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,53,60,61,63,64,70,71,73,74], [2,3,4,12,13,14,22,34,43,44,52,54,62,72,80,81,82,83,84]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71], [80,81]];
	alphaArray["m"] = [[8], [20,21,22,24,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,23,27,32,35,42,45,52,55,62,65,72,75,80,81,82,83,84,85,86,87]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,72,80,81,82,83,84]];
	alphaArray["o"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,52,62,70,74,80,81,82,83,84]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73,80,81], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,74,82,83,84]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74,83,84], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,62,70,80,81,82]];
	alphaArray["r"] = [[5], [20,22,23,30,31,33,34,40,41,50,51,60,61,70,71], [0,1,2,3,4,10,11,12,13,14,21,24,32,42,43,44,52,53,54,62,63,64,72,73,74,80,81,82,83,84]];
	alphaArray["s"] = [[5], [21,22,23,24,30,31,41,42,43,53,54,60,61,63,64,71,72,73], [0,1,2,3,4,10,11,12,13,14,20,32,33,34,40,44,50,51,52,62,70,74,80,81,82,83,84]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,31,32,41,42,51,52,61,62,72,73], [0,1,2,3,10,13,30,33,40,43,50,53,60,63,70,71,80,81,82,83]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,70,80,81,82,83,84]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,63,72], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,60,62,64,70,71,73,74,80,81,82,83,84]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,61,62,63,64,65,66,72,75], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,42,45,52,55,60,67,70,71,73,74,76,77,80,81,82,83,84,85,86,87]];
	alphaArray["x"] = [[5], [20,21,23,24,30,31,33,34,41,42,43,51,53,60,61,63,64,70,71,73,74], [0,1,2,3,4,10,11,12,13,14,22,32,40,44,50,52,54,62,72,80,81,82,83,84]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64,73,74,80,81,82,83], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,60,70,71,72,84]];
	alphaArray["z"] = [[5], [20,21,22,23,24,33,34,42,43,51,52,60,61,70,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,30,31,32,40,41,44,50,53,54,62,63,64,80,81,82,83,84]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,32,33,42,43,52,53,62,63,70,71,72,73,74,75], [0,1,2,3,4,5,10,11,14,15,20,24,25,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,80,81,82,83,84,85]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,24,25,34,35,43,44,52,53,61,62,70,71,72,73,74,75], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,45,50,51,54,55,60,63,64,65,80,81,82,83,84,85]];
	alphaArray["3"] = [[6], [11,12,13,14,20,21,24,25,34,35,42,43,44,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,45,50,51,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,33,34,40,43,44,50,51,52,53,54,55,63,64,73,74], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,32,35,41,42,45,60,61,62,65,70,71,72,75,80,81,82,83,84,85]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,30,31,40,41,42,43,44,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,22,23,24,25,32,33,34,35,45,50,51,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["6"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,42,43,44,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,45,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,61,62,71,72], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,60,63,64,65,70,73,74,75,80,81,82,83,84,85]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,41,42,43,44,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,40,45,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,41,42,43,44,45,54,55,60,61,64,65,71,72,73,74], [0,1,2,3,4,5,10,15,22,23,32,33,40,50,51,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,2,3,5,10,15,22,23,32,33,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,3,4,5,10,15,22,23,32,33,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75], [0,1,4,5,10,12,13,15,22,23,32,33,52,53,62,63,72,73,80,81,82,83,84,85]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,72,73,74], [0,1,4,22,23,24,32,33,34,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,72,73,74], [0,3,4,22,23,24,32,33,34,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,72,73,74], [0,2,4,22,23,24,32,33,34,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,72,73,74], [0,1,3,4,12,22,23,24,32,33,34,52,53,54,62,63,64,80,81,82,83,84]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,21,22,31,32,41,42,51,52,61,62,70,71,72,73], [2,3,20,23,30,33,40,43,50,53,60,63,80,81,82,83]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,70,71,72,73], [1,2,20,23,30,33,40,43,50,53,60,63,80,81,82,83]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,70,71,72,73], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,80,81,82,83]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,2,3,5,10,15,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,2,3,5,12,13,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,72,73,74], [0,1,4,5,12,13,22,23,32,33,42,43,52,53,62,63,70,75,80,81,82,83,84,85]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,22,23,33,34,41,42,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [2,10,11,12,13,14,24,30,31,32,40,52,62,70,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,2,12,13,20,21,22,23,33,34,41,42,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,3,4,10,11,14,24,30,31,32,40,52,62,70,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,20,21,22,23,33,34,41,42,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,3,4,10,12,14,24,30,31,32,40,52,62,70,80,81,82,83,84]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,42,43,44,50,51,60,61,63,64,71,72,73], [2,10,11,12,13,14,20,24,32,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,3,11,12,21,22,23,30,31,33,34,40,41,42,43,44,50,51,60,61,63,64,71,72,73], [0,1,4,10,13,14,20,24,32,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,40,41,42,43,44,50,51,60,61,63,64,71,72,73], [0,3,4,10,11,14,20,24,32,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,42,43,44,50,51,60,61,63,64,71,72,73], [0,1,3,4,10,12,14,20,24,32,52,53,54,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51,60,61,70,71], [0,1,10,11,80,81]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51,60,61,70,71], [1,10,80,81]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52,61,62,71,72], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,63,70,73,80,81,82,83]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,80,81,82,83]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73], [2,10,11,12,13,14,20,24,32,42,52,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73], [0,1,3,4,10,12,14,20,24,32,42,52,62,70,74,80,81,82,83,84]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [2,10,11,12,13,14,22,32,42,52,62,70,80,81,82,83,84]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,2,3,4,10,11,13,14,22,32,42,52,62,70,80,81,82,83,84]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,3,4,10,12,14,22,32,42,52,62,70,80,81,82,83,84]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,40,41,50,51,70,71], [0,1,60,61,80,81]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,34,35,43,44,52,53,72,73], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,45,50,51,54,55,60,61,62,63,64,65,70,71,74,75,80,81,82,83,84,85]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,50,51,60,61,71,72], [0,1,2,10,22,32,42,52,62,70,80,81,82]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,51,52,61,62,70,71], [0,1,2,12,20,30,40,50,60,72,80,81,82]];
	alphaArray["/"] = [[5], [13,14,23,32,33,42,51,52,61,70,71], [0,1,2,3,4,10,11,12,20,21,22,24,30,31,34,40,41,43,44,50,53,54,60,62,63,64,72,73,74,80,81,82,83,84]];
	alphaArray["\\"] = [[5], [10,11,21,31,32,42,52,53,63,73,74], [0,1,2,3,4,12,13,14,20,22,23,24,30,33,34,40,41,43,44,50,51,54,60,61,62,64,70,71,72,80,81,82,83,84]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80], []];
	alphaArray["."] = [[2], [70,71], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,80,81]];
	alphaArray[","] = [[3], [71,72,80,81], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,82]];
	alphaArray[":"] = [[2], [20,21,70,71], [0,1,10,11,30,31,40,41,50,51,60,61,80,81]];
	alphaArray[";"] = [[3], [21,22,71,72,80,81], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,51,52,60,61,62,70,82]];
	alphaArray["-"] = [[4], [40,41,42,43], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83]];
	alphaArray[""] = [[6], [40,41,42,43,44,45], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,50,51,52,53,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85]];
	alphaArray["+"] = [[6], [32,33,42,43,50,51,52,53,54,55,62,63,72,73], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,34,35,40,41,44,45,60,61,64,65,70,71,74,75,80,81,82,83,84,85]];
	alphaArray["="] = [[5], [40,41,42,43,44,60,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,50,51,52,53,54,70,71,72,73,74,80,81,82,83,84]];
	alphaArray["_"] = [[5], [70,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,80,81,82,83,84]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60,70,80]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,20,21,23,25,26,30,31,33,41,42,43,44,53,55,56,60,61,63,65,66,71,72,73,74,75,83], [0,1,2,4,5,6,10,16,22,24,32,34,35,36,40,45,46,50,51,52,54,62,64,70,76,80,81,82,84,85,86]];
	alphaArray["%"] = [[6], [10,11,14,15,20,21,23,24,33,42,43,51,52,61,64,65,70,71,74,75], [0,1,2,3,4,5,12,13,22,25,30,31,32,34,35,40,41,44,45,50,53,54,55,60,62,63,72,73,80,81,82,83,84,85]];
	alphaArray["&"] = [[8], [12,13,14,21,22,24,25,31,32,34,35,40,41,43,44,47,50,51,54,55,56,60,61,65,66,71,72,73,74,76], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,23,26,27,30,33,36,37,42,45,46,52,53,57,62,63,64,67,70,75,77,80,81,82,83,84,85,86,87]];
	alphaArray["@"] = [[9], [21,22,23,24,25,26,27,30,31,37,38,40,41,43,44,45,47,48,50,51,53,55,57,60,61,63,64,65,66,70,71,81,82,83,84,85,86], [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,20,28,32,33,34,35,36,42,46,52,54,56,58,62,67,68,72,73,74,75,76,77,78,80,87,88]];
	alphaArray[""] = [[7], [32,33,35,36,41,42,44,45,50,51,53,54,61,62,64,65,72,73,75,76], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,34,40,43,46,52,55,56,60,63,66,70,71,74,80,81,82,83,84,85,86]];
	alphaArray[""] = [[7], [30,31,33,34,41,42,44,45,52,53,55,56,61,62,64,65,70,71,73,74], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,32,35,36,40,43,46,50,51,54,60,63,66,72,75,76,80,81,82,83,84,85,86]];
	alphaArray[""] = [[4], [32,33,41,42,50,51,61,62,72,73], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,40,43,52,53,60,63,70,71,80,81,82,83]];
	alphaArray[""] = [[4], [30,31,41,42,52,53,61,62,70,71], [0,1,2,3,10,11,12,13,20,21,22,23,32,33,40,43,50,51,60,63,72,73,80,81,82,83]];
	alphaArray[""] = [[4], [61,63,71,73,80,82], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,62,70,72,81,83]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83]];
	alphaArray[""] = [[2], [61,71,80], [0,1,10,11,20,21,30,31,40,41,50,51,60,70,81]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81]];
	alphaArray["<"] = [[4], [32,33,41,42,50,51,61,62,72,73], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,40,43,52,53,60,63,70,71,80,81,82,83]];
	alphaArray[">"] = [[4], [30,31,41,42,52,53,61,62,70,71], [0,1,2,3,10,11,12,13,20,21,22,23,32,33,40,43,50,51,60,63,72,73,80,81,82,83]];
	alphaArray["*"] = [[6], [2,3,10,12,13,15,21,22,23,24,31,32,33,34,40,42,43,45,52,53], [0,1,4,5,11,14,20,25,30,35,41,44,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85]];
	alphaArray["..."] = [[3], [70,71,72], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,80,81,82]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,42,43,44,45,46,47,48,49,50,51,54,55,60,61,64,65,70,71,74,75,76,77,78,79], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,52,53,56,57,58,59,62,63,66,67,68,69,72,73,80,81,82,83,84,85,86,87,88,89]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,44,45,46,47,48,49,50,51,54,55,60,61,64,65,71,72,73,74,75,76,77,78,79], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,42,43,52,53,56,57,58,59,62,63,66,67,68,69,70,80,81,82,83,84,85,86,87,88,89]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,64,65,71,72,73,74,82,83], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,70,75,80,81,84,85]];
	alphaArray[""] = [[8], [20,21,22,23,25,26,33,34,36,37,41,42,43,44,45,46,47,50,51,53,54,60,61,63,64,66,67,71,72,73,74,75,76], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,24,27,30,31,32,35,40,52,55,56,57,62,65,70,77,80,81,82,83,84,85,86,87]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,36,37,40,41,43,44,45,46,47,50,51,53,54,60,61,63,64,66,67,71,72,73,75,76], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,35,42,52,55,56,57,62,65,70,74,77,80,81,82,83,84,85,86,87]];
	alphaArray[""] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,63,64,71,72,73,82], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,70,74,80,81,83,84]];
	alphaArray[""] = [[5], [1,2,3,10,11,14,20,21,23,24,30,31,33,40,41,44,50,51,53,54,60,61,63,64,70,71,73], [0,4,12,13,22,32,34,42,43,52,62,72,74,80,81,82,83,84]];
	alphaArray[""] = [[7], [12,13,14,15,21,22,25,26,31,32,40,41,42,43,44,45,51,52,61,62,65,66,72,73,74,75], [0,1,2,3,4,5,6,10,11,16,20,23,24,30,33,34,35,36,46,50,53,54,55,56,60,63,64,70,71,76,80,81,82,83,84,85,86]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73], [0,1,2,3,4,12,13,14,24,32,42,52,62,74,80,81,82,83,84]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74], [0,1,2,3,4,10,11,12,20,32,42,52,62,70,80,81,82,83,84]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72], [0,1,2,3,4,10,11,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,81,82,83,84]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74], [0,1,2,3,4,12,13,14,24,32,42,52,62,72,80,81,82,83,84]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51,60,61,70,71], [0,1,20,21,80,81]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51,60,61,70,71], [0,1,11,20,80,81]];
	alphaArray["s"] = [[4], [10,13,31,32,41,42,51,52,61,62,71,72], [0,1,2,3,11,12,20,21,22,23,30,33,40,43,50,53,60,63,70,73,80,81,82,83]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52,61,62,71,72], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,63,70,73,80,81,82,83]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,61,62,71,72,80,81], [0,1,2,10,20,21,22,30,40,50,60,70,82]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,53,60,61,63,64,70,71,73,74], [0,1,2,3,4,12,13,14,22,34,43,44,52,54,62,72,80,81,82,83,84]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71], [0,1,80,81]];
	alphaArray["s"] = [[5], [11,12,13,20,21,24,30,31,33,34,40,41,43,50,51,54,60,61,63,64,70,71,73], [0,1,2,3,4,10,14,22,23,32,42,44,52,53,62,72,74,80,81,82,83,84]];
	return alphaArray;
}

// 8 Reihen, Regular
function buildArray_8R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,34,40,41,42,43,50,54,60,64,70,74,80,81,82,83], [0,1,2,3,4,14,21,22,23,31,32,33,44,51,52,53,61,62,63,71,72,73,84,90,91,92,93,94]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,40,50,60,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,54,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,81,82,83], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,84,90,91,92,93,94]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,40,41,42,43,50,60,70,80,81,82,83], [0,1,2,3,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,40,41,42,43,50,60,70,80], [0,1,2,3,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,81,82,83,90,91,92,93]];
	alphaArray["G"] = [[5], [11,12,13,20,24,30,40,42,43,44,50,54,60,64,70,74,81,82,83,84], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,51,52,53,61,62,63,71,72,73,80,90,91,92,93,94]];
	alphaArray["H"] = [[5], [10,14,20,24,30,34,40,41,42,43,44,50,54,60,64,70,74,80,84], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["I"] = [[1], [10,20,30,40,50,60,70,80], [0,90]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,44,54,64,70,74,81,82,83], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["K"] = [[5], [10,14,20,23,30,32,40,41,50,52,60,63,70,74,80,84], [0,1,2,3,4,11,12,13,21,22,24,31,33,34,42,43,44,51,53,54,61,62,64,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["L"] = [[4], [10,20,30,40,50,60,70,80,81,82,83], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56,60,66,70,76,80,86], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,61,62,63,64,65,71,72,73,74,75,81,82,83,84,85,90,91,92,93,94,95,96]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54,60,64,70,74,80,84], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,70,80], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,64,71,72,73,74,81,82,83,84,90,91,92,93,94]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,34,40,44,50,54,60,63,64,70,74,81,82,83,85], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,33,35,41,42,43,45,51,52,53,55,61,62,65,71,72,73,75,80,84,90,91,92,93,94,95]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,64,70,74,80,84], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["S"] = [[5], [11,12,13,20,24,30,41,42,43,54,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,40,44,50,51,52,53,60,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52,62,72,82], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,71,73,82], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,70,72,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,40,44,48,50,54,58,60,64,68,71,73,75,77,82,86], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,41,42,43,45,46,47,51,52,53,55,56,57,61,62,63,65,66,67,70,72,74,76,78,80,81,83,84,85,87,88,90,91,92,93,94,95,96,97,98]];
	alphaArray["X"] = [[5], [10,14,20,24,31,33,42,51,53,60,64,70,74,80,84], [0,1,2,3,4,11,12,13,21,22,23,30,32,34,40,41,43,44,50,52,54,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray["Y"] = [[5], [10,14,20,24,30,34,41,43,52,62,72,82], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,40,42,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["Z"] = [[5], [10,11,12,13,14,24,33,42,51,60,70,80,81,82,83,84], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,61,62,63,64,71,72,73,74,90,91,92,93,94]];
	alphaArray["a"] = [[4], [21,22,30,33,43,51,52,53,60,63,70,73,81,82,83], [0,1,2,3,10,11,12,13,20,23,31,32,40,41,42,50,61,62,71,72,80,90,91,92,93]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,81,82], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,83,90,91,92,93]];
	alphaArray["c"] = [[4], [21,22,30,33,40,50,60,63,70,73,81,82], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,53,61,62,71,72,80,83,90,91,92,93]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,50,53,60,63,70,73,81,82,83], [0,1,2,10,11,12,20,31,32,41,42,51,52,61,62,71,72,80,90,91,92,93]];
	alphaArray["e"] = [[4], [21,22,30,33,40,43,50,51,52,53,60,70,73,81,82], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,61,62,63,71,72,80,83,90,91,92,93]];
	alphaArray["f"] = [[4], [2,3,11,21,30,31,32,33,41,51,61,71,81], [0,1,10,12,13,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,91,92,93]];
	alphaArray["g"] = [[4], [21,22,23,30,33,40,43,50,53,61,62,63,73,80,83,91,92], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,60,70,71,72,81,82,90,93]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["i"] = [[1], [0,20,30,40,50,60,70,80], [10,90]];
	alphaArray["j"] = [[2], [1,21,31,41,51,61,71,81,90], [0,10,11,20,30,40,50,60,70,80,91]];
	alphaArray["k"] = [[4], [0,10,20,23,30,32,40,41,50,52,60,63,70,73,80,83], [1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50,60,70,80], [90]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76,80,83,86], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,81,82,84,85,90,91,92,93,94,95,96]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,83], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,50,53,60,63,70,73,81,82], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,81,82,90], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,83,91,92,93]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,70,73,81,82,83,93], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,71,72,80,90,91,92]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50,60,70,80], [0,1,2,10,11,12,22,31,41,42,51,52,61,62,71,72,81,82,90,91,92]];
	alphaArray["s"] = [[4], [21,22,30,33,40,51,52,63,70,73,81,82], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,50,53,60,61,62,71,72,80,83,90,91,92,93]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,51,61,71,82], [0,1,2,10,12,30,32,40,42,50,52,60,62,70,72,80,81,90,91,92]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,81,82,83], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,80,90,91,92,93]];
	alphaArray["v"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,72,81], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,73,80,82,83,90,91,92,93]];
	alphaArray["x"] = [[4], [20,23,30,33,40,43,51,52,60,63,70,73,80,83], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,50,53,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,50,53,60,63,71,72,73,83,90,91,92], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,70,80,81,82,93]];
	alphaArray["z"] = [[4], [20,21,22,23,33,42,51,60,70,80,81,82,83], [0,1,2,3,10,11,12,13,30,31,32,40,41,43,50,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,52,62,72,80,81,82,83,84], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,90,91,92,93,94]];
	alphaArray["2"] = [[5], [11,12,13,20,24,34,43,52,61,70,80,81,82,83,84], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,71,72,73,74,90,91,92,93,94]];
	alphaArray["3"] = [[5], [11,12,13,20,24,34,42,43,54,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,44,50,51,52,53,60,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,43,50,51,52,53,54,63,73,83], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,41,42,44,60,61,62,64,70,71,72,74,80,81,82,84,90,91,92,93,94]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,40,41,42,43,54,64,70,74,81,82,83], [0,1,2,3,4,21,22,23,24,31,32,33,34,44,50,51,52,53,60,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["6"] = [[5], [11,12,13,20,24,30,40,41,42,43,50,54,60,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,44,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,33,42,51,61,71,81], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,60,62,63,64,70,72,73,74,80,82,83,84,90,91,92,93,94]];
	alphaArray["8"] = [[5], [11,12,13,20,24,30,34,41,42,43,50,54,60,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,40,44,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray["9"] = [[5], [11,12,13,20,24,30,34,41,42,43,44,54,64,70,74,81,82,83], [0,1,2,3,4,10,14,21,22,23,31,32,33,40,50,51,52,53,60,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,90,91,92,93,94]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,40,41,42,43,50,60,70,80,81,82,83], [0,1,3,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,40,41,42,43,50,60,70,80,81,82,83], [0,2,3,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray[""] = [[4], [1,3,10,11,12,13,20,30,40,41,42,43,50,60,70,80,81,82,83], [0,2,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray[""] = [[4], [2,10,11,13,20,30,40,41,42,43,50,60,70,80,81,82,83], [0,1,3,12,21,22,23,31,32,33,51,52,53,61,62,63,71,72,73,90,91,92,93]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,51,61,71,80,81,82], [1,2,20,22,30,32,40,42,50,52,60,62,70,72,90,91,92]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,51,61,71,80,81,82], [1,20,22,30,32,40,42,50,52,60,62,70,72,90,91,92]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,80,81,82], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,90,91,92]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,50,54,60,64,70,74,81,82,83], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,84,90,91,92,93,94]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,43,51,52,53,60,63,70,73,81,82,83], [1,2,10,11,12,13,20,23,31,32,40,41,42,50,61,62,71,72,80,90,91,92,93]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,43,51,52,53,60,63,70,73,81,82,83], [0,2,3,10,11,13,20,23,31,32,40,41,42,50,61,62,71,72,80,90,91,92,93]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,43,51,52,53,60,63,70,73,81,82,83], [0,1,3,10,12,20,23,31,32,40,41,42,50,61,62,71,72,80,90,91,92,93]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,51,52,53,60,70,73,81,82], [1,2,10,11,12,13,20,23,31,32,41,42,61,62,63,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [2,11,21,22,30,33,40,43,50,51,52,53,60,70,73,81,82], [0,1,3,10,12,13,20,23,31,32,41,42,61,62,63,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,40,43,50,51,52,53,60,70,73,81,82], [0,2,3,10,11,13,20,23,31,32,41,42,61,62,63,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,51,52,53,60,70,73,81,82], [0,1,3,10,12,20,23,31,32,41,42,61,62,63,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[1], [20,30,40,50,60,70,80], [0,10,90]];
	alphaArray[""] = [[2], [0,11,21,31,41,51,61,71,81], [1,10,20,30,40,50,60,70,80,90,91]];
	alphaArray[""] = [[3], [0,2,21,31,41,51,61,71,81], [1,10,11,12,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,91,92]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,81], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,91,92]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,60,63,70,73,81,82], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,60,63,70,73,81,82], [0,1,3,10,12,20,23,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,50,53,60,63,70,73,81,82], [1,2,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,50,53,60,63,70,73,81,82], [0,2,3,10,11,13,21,22,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [2,11,13,30,33,40,43,50,53,60,63,70,73,81,82], [0,1,3,10,12,20,21,22,23,31,32,41,42,51,52,61,62,71,72,80,83,90,91,92,93]];
	alphaArray["!"] = [[1], [10,20,30,40,50,60,80], [0,70,90]];
	alphaArray["?"] = [[5], [11,12,13,20,24,34,43,52,62,82], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,61,63,64,70,71,72,73,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["("] = [[2], [11,20,30,40,50,60,70,81], [0,1,10,21,31,41,51,61,71,80,90,91]];
	alphaArray[")"] = [[2], [10,21,31,41,51,61,71,80], [0,1,11,20,30,40,50,60,70,81,90,91]];
	alphaArray["/"] = [[5], [4,23,42,61,80], [0,1,2,3,10,11,12,13,14,20,21,22,24,30,31,32,33,34,40,41,43,44,50,51,52,53,54,60,62,63,64,70,71,72,73,74,81,82,83,84,90,91,92,93,94]];
	alphaArray["\\"] = [[5], [0,21,42,63,84], [1,2,3,4,10,11,12,13,14,20,22,23,24,30,31,32,33,34,40,41,43,44,50,51,52,53,54,60,61,62,64,70,71,72,73,74,80,81,82,83,90,91,92,93,94]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90], []];
	alphaArray["."] = [[1], [80], [0,10,20,30,40,50,60,70,90]];
	alphaArray[","] = [[2], [81,90], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,91]];
	alphaArray[":"] = [[1], [20,80], [0,10,30,40,50,60,70,90]];
	alphaArray[";"] = [[2], [21,81,90], [0,1,10,11,20,30,31,40,41,50,51,60,61,70,71,80,91]];
	alphaArray["-"] = [[3], [50,51,52], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,60,61,62,70,71,72,80,81,82,90,91,92]];
	alphaArray[""] = [[5], [50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94]];
	alphaArray["+"] = [[5], [42,52,60,61,62,63,64,72,82], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,43,44,50,51,53,54,70,71,73,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["="] = [[5], [50,51,52,53,54,70,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,60,61,62,63,64,80,81,82,83,84,90,91,92,93,94]];
	alphaArray["_"] = [[4], [80,81,82,83], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,90,91,92,93]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60,70,80,90]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91]];
	alphaArray["$"] = [[5], [2,11,12,13,20,22,24,30,32,41,42,43,52,54,62,64,70,72,74,81,82,83,92], [0,1,3,4,10,14,21,23,31,33,34,40,44,50,51,53,60,61,63,71,73,80,84,90,91,93,94]];
	alphaArray["%"] = [[6], [11,14,20,22,31,33,52,64,71,73,75,84,90], [0,1,2,3,4,5,10,12,13,15,21,23,24,25,30,32,34,35,40,41,42,43,44,45,50,51,53,54,55,60,61,62,63,65,70,72,74,80,81,82,83,85,91,92,93,94,95]];
	alphaArray["&"] = [[6], [11,12,13,21,23,31,33,40,42,45,50,53,54,60,64,70,74,75,81,82,83], [0,1,2,3,4,5,10,14,15,20,22,24,25,30,32,34,35,41,43,44,51,52,55,61,62,63,65,71,72,73,80,84,85,90,91,92,93,94,95]];
	alphaArray["@"] = [[7], [21,22,23,24,25,30,36,40,42,43,44,46,50,52,54,56,60,62,64,65,70,72,73,74,80,91,92,93,94], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,26,31,32,33,34,35,41,45,51,53,55,61,63,66,71,75,76,81,82,83,84,85,86,90,95,96]];
	alphaArray[""] = [[5], [42,44,51,53,60,62,71,73,82,84], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,43,50,52,54,61,63,64,70,72,74,80,81,83,90,91,92,93,94]];
	alphaArray[""] = [[5], [40,42,51,53,62,64,71,73,80,82], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,41,43,44,50,52,54,60,61,63,70,72,74,81,83,84,90,91,92,93,94]];
	alphaArray[""] = [[3], [42,51,60,71,82], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,50,52,61,62,70,72,80,81,90,91,92]];
	alphaArray[""] = [[3], [40,51,62,71,80], [0,1,2,10,11,12,20,21,22,30,31,32,41,42,50,52,60,61,70,72,81,82,90,91,92]];
	alphaArray[""] = [[4], [71,73,81,83,90,92], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,72,80,82,91,93]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93]];
	alphaArray[""] = [[2], [71,81,90], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,80,91]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91]];
	alphaArray["<"] = [[3], [42,51,60,71,82], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,50,52,61,62,70,72,80,81,90,91,92]];
	alphaArray[">"] = [[3], [40,51,62,71,80], [0,1,2,10,11,12,20,21,22,30,31,32,41,42,50,52,60,61,70,72,81,82,90,91,92]];
	alphaArray["*"] = [[5], [2,10,12,14,21,22,23,31,32,33,40,42,44,52], [0,1,3,4,11,13,20,24,30,34,41,43,50,51,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94]];
	alphaArray["..."] = [[3], [80,81,82], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,90,91,92]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,41,42,43,44,45,46,47,48,50,54,60,64,70,74,80,84,85,86,87,88], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,51,52,53,55,56,57,58,61,62,63,65,66,67,68,71,72,73,75,76,77,78,81,82,83,90,91,92,93,94,95,96,97,98]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,45,46,47,48,50,54,60,64,70,74,81,82,83,84,85,86,87,88], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,51,52,53,55,56,57,58,61,62,63,65,66,67,68,71,72,73,75,76,77,78,80,90,91,92,93,94,95,96,97,98]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,40,50,60,70,74,81,82,83,92], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,52,53,54,61,62,63,64,71,72,73,80,84,90,91,93,94]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,43,46,51,52,53,54,55,56,60,63,70,73,76,81,82,84,85], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,40,41,42,44,45,50,61,62,64,65,66,71,72,74,75,80,83,86,90,91,92,93,94,95,96]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,40,43,46,50,53,54,55,56,60,63,70,73,76,81,82,84,85], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,41,42,44,45,51,52,61,62,64,65,66,71,72,74,75,80,83,86,90,91,92,93,94,95,96]];
	alphaArray[""] = [[4], [21,22,30,33,40,50,60,70,73,81,82,92], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,53,61,62,63,71,72,80,83,90,91,93]];
	alphaArray[""] = [[4], [1,2,10,13,20,23,30,32,40,43,50,53,60,63,70,73,80,82], [0,3,11,12,21,22,31,33,41,42,51,52,61,62,71,72,81,83,90,91,92,93]];
	alphaArray[""] = [[6], [12,13,14,21,25,31,40,41,42,43,44,51,61,71,75,82,83,84], [0,1,2,3,4,5,10,11,15,20,22,23,24,30,32,33,34,35,45,50,52,53,54,55,60,62,63,64,65,70,72,73,74,80,81,85,90,91,92,93,94,95]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,81,82], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,83,90,91,92,93]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,50,53,60,63,70,73,81,82,83], [0,1,2,3,10,11,12,20,31,32,41,42,51,52,61,62,71,72,80,90,91,92,93]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51,61,71,81], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,91,92,93]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["is"] = [[1], [10,30,40,50,60,70,80], [0,20,90]];
	alphaArray["s"] = [[2], [10,21,31,41,51,61,71,81], [0,1,11,20,30,40,50,60,70,80,90,91]];
	alphaArray["s"] = [[3], [10,12,31,41,51,61,71,81], [0,1,2,11,20,21,22,30,32,40,42,50,52,60,62,70,72,80,82,90,91,92]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51,61,71,81], [0,1,2,10,12,21,30,32,40,42,50,52,60,62,70,72,80,82,90,91,92]];
	alphaArray["js"] = [[2], [11,31,41,51,61,71,81,90], [0,1,10,20,21,30,40,50,60,70,80,91]];
	alphaArray["ks"] = [[4], [10,20,23,30,32,40,41,50,52,60,63,70,73,80,83], [0,1,2,3,11,12,13,21,22,31,33,42,43,51,53,61,62,71,72,81,82,90,91,92,93]];
	alphaArray["ls"] = [[1], [10,20,30,40,50,60,70,80], [0,90]];
	alphaArray["s"] = [[4], [11,12,20,23,30,33,40,42,50,53,60,63,70,73,80,82], [0,1,2,3,10,13,21,22,31,32,41,43,51,52,61,62,71,72,81,83,90,91,92,93]];
	return alphaArray;
}

// 8 Reihen, Bold
function buildArray_8B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,42,43,44,50,51,54,55,60,61,64,65,70,71,74,75,80,81,82,83,84], [0,1,2,3,4,5,15,22,23,32,33,45,52,53,62,63,72,73,85,90,91,92,93,94,95]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,64,65,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,82,83,84], [0,1,2,3,4,5,15,22,23,32,33,42,43,52,53,62,63,72,73,85,90,91,92,93,94,95]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81,82,83,84], [0,1,2,3,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81], [0,1,2,3,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,82,83,84,90,91,92,93,94]];
	alphaArray["G"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84,85], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,52,53,62,63,72,73,80,90,91,92,93,94,95]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,1,2,3,4,5,12,13,22,23,32,33,52,53,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81], [0,1,90,91]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,24,25,34,35,44,45,54,55,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,42,50,51,52,60,61,62,63,70,71,73,74,80,81,84,85], [0,1,2,3,4,5,12,13,22,25,34,35,43,44,45,53,54,55,64,65,72,75,82,83,90,91,92,93,94,95]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,82,83,84], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,43,45,46,50,51,55,56,60,61,65,66,70,71,75,76,80,81,85,86], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,42,44,52,53,54,62,63,64,72,73,74,82,83,84,90,91,92,93,94,95,96]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,1,2,3,4,5,11,12,13,22,23,33,42,52,53,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,70,71,80,81], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,62,63,64,65,72,73,74,75,82,83,84,85,90,91,92,93,94,95]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,63,64,65,70,71,74,75,81,82,83,84,85,96], [0,1,2,3,4,5,6,10,15,16,22,23,26,32,33,36,42,43,46,52,53,56,62,66,72,73,76,80,86,90,91,92,93,94,95]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,64,65,70,71,74,75,80,81,84,85], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["S"] = [[6], [11,12,13,14,20,21,24,25,30,31,41,42,43,44,54,55,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,40,45,50,51,52,53,60,61,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83], [0,1,2,3,4,5,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,71,73,74,82], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,70,72,75,80,81,83,84,85,90,91,92,93,94,95]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,40,41,44,45,48,49,50,51,54,55,58,59,60,61,64,65,68,69,71,72,73,76,77,78,82,87], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,42,43,46,47,52,53,56,57,62,63,66,67,70,74,75,79,80,81,83,84,85,86,88,89,90,91,92,93,94,95,96,97,98,99]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,31,34,42,43,52,53,61,64,70,71,74,75,80,81,84,85], [0,1,2,3,4,5,12,13,22,23,30,32,33,35,40,41,44,45,50,51,54,55,60,62,63,65,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,41,42,43,44,52,53,62,63,72,73,82,83], [0,1,2,3,4,5,12,13,22,23,32,33,40,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,60,61,70,71,80,81,82,83,84,85], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,62,63,64,65,72,73,74,75,90,91,92,93,94,95]];
	alphaArray["a"] = [[5], [21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,20,24,32,40,41,42,50,62,72,80,90,91,92,93,94]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83], [2,3,4,12,13,14,24,32,42,52,62,72,84,90,91,92,93,94]];
	alphaArray["c"] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,70,71,73,74,81,82,83], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,2,10,11,12,20,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray["e"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,73,74,81,82,83], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray["f"] = [[5], [2,3,4,11,12,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72,81,82], [0,1,10,13,14,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,83,84,90,91,92,93,94]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,61,62,63,64,73,74,80,81,83,84,91,92,93], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,60,70,71,72,82,90,94]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84], [2,3,4,12,13,14,24,32,42,52,62,72,82,90,91,92,93,94]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51,60,61,70,71,80,81], [10,11,90,91]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,91], [0,10,11,12,20,30,40,50,60,70,80,92]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,53,60,61,63,64,70,71,73,74,80,81,83,84], [2,3,4,12,13,14,22,34,43,44,52,54,62,72,82,90,91,92,93,94]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81], [90,91]];
	alphaArray["m"] = [[8], [20,21,22,24,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77,80,81,83,84,86,87], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,23,27,32,35,42,45,52,55,62,65,72,75,82,85,90,91,92,93,94,95,96,97]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,72,82,90,91,92,93,94]];
	alphaArray["o"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,52,62,72,80,84,90,91,92,93,94]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83,90,91], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,72,84,92,93,94]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84,93,94], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,62,72,80,90,91,92]];
	alphaArray["r"] = [[5], [20,22,23,30,31,33,34,40,41,50,51,60,61,70,71,80,81], [0,1,2,3,4,10,11,12,13,14,21,24,32,42,43,44,52,53,54,62,63,64,72,73,74,82,83,84,90,91,92,93,94]];
	alphaArray["s"] = [[5], [21,22,23,30,31,33,34,40,41,51,52,53,63,64,70,71,73,74,81,82,83], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,50,54,60,61,62,72,80,84,90,91,92,93,94]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,31,32,41,42,51,52,61,62,71,72,82,83], [0,1,2,3,10,13,30,33,40,43,50,53,60,63,70,73,80,81,90,91,92,93]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,73,82], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,70,72,74,80,81,83,84,90,91,92,93,94]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,71,72,73,74,75,76,82,85], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,42,45,52,55,62,65,70,77,80,81,83,84,86,87,90,91,92,93,94,95,96,97]];
	alphaArray["x"] = [[5], [20,21,23,24,30,31,33,34,41,43,51,52,53,61,63,70,71,73,74,80,81,83,84], [0,1,2,3,4,10,11,12,13,14,22,32,40,42,44,50,54,60,62,64,72,82,90,91,92,93,94]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74,83,84,90,91,92,93], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,70,80,81,82,94]];
	alphaArray["z"] = [[5], [20,21,22,23,24,33,34,42,43,51,52,60,61,70,71,80,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,30,31,32,40,41,44,50,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,32,33,42,43,52,53,62,63,72,73,80,81,82,83,84,85], [0,1,2,3,4,5,10,11,14,15,20,24,25,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,90,91,92,93,94,95]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,24,25,34,35,44,45,53,54,62,63,71,72,80,81,82,83,84,85], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,43,50,51,52,55,60,61,64,65,70,73,74,75,90,91,92,93,94,95]];
	alphaArray["3"] = [[6], [11,12,13,14,20,21,24,25,34,35,42,43,44,54,55,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,45,50,51,52,53,60,61,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,33,34,40,43,44,50,51,52,53,54,55,63,64,73,74,83,84], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,32,35,41,42,45,60,61,62,65,70,71,72,75,80,81,82,85,90,91,92,93,94,95]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,30,31,40,41,42,43,44,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,22,23,24,25,32,33,34,35,45,50,51,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["6"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,42,43,44,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,45,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,61,62,71,72,81,82], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,60,63,64,65,70,73,74,75,80,83,84,85,90,91,92,93,94,95]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,41,42,43,44,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,40,45,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54,55,64,65,70,71,74,75,81,82,83,84], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,50,60,61,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,2,3,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,3,4,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,62,63,72,73,82,83,90,91,92,93,94,95]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81,82,83,84], [0,1,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81,82,83,84], [0,3,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81,82,83,84], [0,2,4,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,30,31,40,41,42,43,44,50,51,60,61,70,71,80,81,82,83,84], [0,1,3,4,12,22,23,24,32,33,34,52,53,54,62,63,64,72,73,74,90,91,92,93,94]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,80,81,82,83], [2,3,20,23,30,33,40,43,50,53,60,63,70,73,90,91,92,93]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,80,81,82,83], [1,2,20,23,30,33,40,43,50,53,60,63,70,73,90,91,92,93]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72,80,81,82,83], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,90,91,92,93]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,2,3,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,2,3,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84], [0,1,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,92,93,94,95]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [2,10,11,12,13,14,20,24,32,40,41,42,50,62,72,80,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,3,4,10,11,14,20,24,32,40,41,42,50,62,72,80,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,3,4,10,12,14,20,24,32,40,41,42,50,62,72,80,90,91,92,93,94]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,73,74,81,82,83], [2,10,11,12,13,14,20,24,32,42,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,3,11,12,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,73,74,81,82,83], [0,1,4,10,13,14,20,24,32,42,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,73,74,81,82,83], [0,3,4,10,11,14,20,24,32,42,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,73,74,81,82,83], [0,1,3,4,10,12,14,20,24,32,42,62,63,64,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51,60,61,70,71,80,81], [0,1,10,11,90,91]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81], [1,10,90,91]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52,61,62,71,72,81,82], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92,93]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92,93]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83], [2,10,11,12,13,14,20,24,32,42,52,62,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83], [0,1,3,4,10,12,14,20,24,32,42,52,62,72,80,84,90,91,92,93,94]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [2,10,11,12,13,14,22,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,2,3,4,10,11,13,14,22,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,3,4,10,12,14,22,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,80,81], [0,1,70,71,90,91]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,34,35,43,44,52,53,62,63,82,83], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,45,50,51,54,55,60,61,64,65,70,71,72,73,74,75,80,81,84,85,90,91,92,93,94,95]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,50,51,60,61,70,71,81,82], [0,1,2,10,22,32,42,52,62,72,80,90,91,92]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,51,52,61,62,71,72,80,81], [0,1,2,12,20,30,40,50,60,70,82,90,91,92]];
	alphaArray["/"] = [[5], [13,14,23,32,33,42,51,52,61,71,80,81], [0,1,2,3,4,10,11,12,20,21,22,24,30,31,34,40,41,43,44,50,53,54,60,62,63,64,70,72,73,74,82,83,84,90,91,92,93,94]];
	alphaArray["\\"] = [[5], [10,11,21,31,32,42,52,53,63,73,83,84], [0,1,2,3,4,12,13,14,20,22,23,24,30,33,34,40,41,43,44,50,51,54,60,61,62,64,70,71,72,74,80,81,82,90,91,92,93,94]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90], []];
	alphaArray["."] = [[2], [80,81], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,90,91]];
	alphaArray[","] = [[3], [81,82,90,91], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,92]];
	alphaArray[":"] = [[2], [20,21,80,81], [0,1,10,11,30,31,40,41,50,51,60,61,70,71,90,91]];
	alphaArray[";"] = [[3], [21,22,81,82,90,91], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,92]];
	alphaArray["-"] = [[4], [50,51,52,53], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93]];
	alphaArray[""] = [[6], [50,51,52,53,54,55], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95]];
	alphaArray["+"] = [[6], [42,43,52,53,60,61,62,63,64,65,72,73,82,83], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,44,45,50,51,54,55,70,71,74,75,80,81,84,85,90,91,92,93,94,95]];
	alphaArray["="] = [[5], [50,51,52,53,54,70,71,72,73,74], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,60,61,62,63,64,80,81,82,83,84,90,91,92,93,94]];
	alphaArray["_"] = [[5], [80,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74,90,91,92,93,94]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60,70,80,90]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,20,21,23,25,26,30,31,33,41,42,43,44,45,53,55,56,63,65,66,70,71,73,75,76,81,82,83,84,85,93], [0,1,2,4,5,6,10,16,22,24,32,34,35,36,40,46,50,51,52,54,60,61,62,64,72,74,80,86,90,91,92,94,95,96]];
	alphaArray["%"] = [[6], [10,11,14,15,20,21,23,24,33,42,43,52,61,62,71,74,75,80,81,84,85], [0,1,2,3,4,5,12,13,22,25,30,31,32,34,35,40,41,44,45,50,51,53,54,55,60,63,64,65,70,72,73,82,83,90,91,92,93,94,95]];
	alphaArray["&"] = [[8], [12,13,14,21,22,24,25,31,32,34,35,40,41,43,44,47,50,51,54,55,56,60,61,64,65,66,70,71,75,76,81,82,83,84,86], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,23,26,27,30,33,36,37,42,45,46,52,53,57,62,63,67,72,73,74,77,80,85,87,90,91,92,93,94,95,96,97]];
	alphaArray["@"] = [[9], [21,22,23,24,25,26,27,30,31,37,38,40,41,43,44,45,47,48,50,51,53,55,57,60,61,63,65,67,70,71,73,74,75,76,80,81,91,92,93,94,95,96], [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,20,28,32,33,34,35,36,42,46,52,54,56,58,62,64,66,68,72,77,78,82,83,84,85,86,87,88,90,97,98]];
	alphaArray[""] = [[7], [42,43,45,46,51,52,54,55,60,61,63,64,71,72,74,75,82,83,85,86], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,44,50,53,56,62,65,66,70,73,76,80,81,84,90,91,92,93,94,95,96]];
	alphaArray[""] = [[7], [40,41,43,44,51,52,54,55,62,63,65,66,71,72,74,75,80,81,83,84], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,42,45,46,50,53,56,60,61,64,70,73,76,82,85,86,90,91,92,93,94,95,96]];
	alphaArray[""] = [[4], [42,43,51,52,60,61,71,72,82,83], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,50,53,62,63,70,73,80,81,90,91,92,93]];
	alphaArray[""] = [[4], [40,41,51,52,62,63,71,72,80,81], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,42,43,50,53,60,61,70,73,82,83,90,91,92,93]];
	alphaArray[""] = [[4], [71,73,81,83,90,92], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,72,80,82,91,93]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93]];
	alphaArray[""] = [[2], [71,81,90], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,80,91]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91]];
	alphaArray["<"] = [[4], [42,43,51,52,60,61,71,72,82,83], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,50,53,62,63,70,73,80,81,90,91,92,93]];
	alphaArray[">"] = [[4], [40,41,51,52,62,63,71,72,80,81], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,42,43,50,53,60,61,70,73,82,83,90,91,92,93]];
	alphaArray["*"] = [[6], [2,3,10,12,13,15,21,22,23,24,31,32,33,34,40,42,43,45,52,53], [0,1,4,5,11,14,20,25,30,35,41,44,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95]];
	alphaArray["..."] = [[3], [80,81,82], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,90,91,92]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,42,43,44,45,46,47,48,49,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,86,87,88,89], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,52,53,56,57,58,59,62,63,66,67,68,69,72,73,76,77,78,79,82,83,90,91,92,93,94,95,96,97,98,99]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,44,45,46,47,48,49,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84,85,86,87,88,89], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,42,43,52,53,56,57,58,59,62,63,66,67,68,69,72,73,76,77,78,79,80,90,91,92,93,94,95,96,97,98,99]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,70,71,74,75,81,82,83,84,92,93], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,64,65,72,73,80,85,90,91,94,95]];
	alphaArray[""] = [[8], [20,21,22,23,25,26,33,34,36,37,43,44,46,47,51,52,53,54,55,56,57,60,61,63,64,70,71,73,74,76,77,81,82,83,84,85,86], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,24,27,30,31,32,35,40,41,42,45,50,62,65,66,67,72,75,80,87,90,91,92,93,94,95,96,97]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,55,56,57,60,61,63,64,70,71,73,74,76,77,81,82,83,85,86], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,35,42,45,52,62,65,66,67,72,75,80,84,87,90,91,92,93,94,95,96,97]];
	alphaArray[""] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,70,71,73,74,81,82,83,92], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,63,64,72,80,84,90,91,93,94]];
	alphaArray[""] = [[5], [1,2,3,10,11,14,20,21,24,30,31,33,34,40,41,43,50,51,54,60,61,63,64,70,71,73,74,80,81,83], [0,4,12,13,22,23,32,42,44,52,53,62,72,82,84,90,91,92,93,94]];
	alphaArray[""] = [[7], [12,13,14,15,21,22,25,26,31,32,40,41,42,43,44,51,52,61,62,71,72,75,76,82,83,84,85], [0,1,2,3,4,5,6,10,11,16,20,23,24,30,33,34,35,36,45,46,50,53,54,55,56,60,63,64,65,66,70,73,74,80,81,86,90,91,92,93,94,95,96]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83], [0,1,2,3,4,12,13,14,24,32,42,52,62,72,84,90,91,92,93,94]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84], [0,1,2,3,4,10,11,12,20,32,42,52,62,72,80,90,91,92,93,94]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72,81,82], [0,1,2,3,4,10,11,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,83,84,90,91,92,93,94]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84], [0,1,2,3,4,12,13,14,24,32,42,52,62,72,82,90,91,92,93,94]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51,60,61,70,71,80,81], [0,1,20,21,90,91]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51,60,61,70,71,80,81], [0,1,11,20,90,91]];
	alphaArray["s"] = [[4], [10,13,31,32,41,42,51,52,61,62,71,72,81,82], [0,1,2,3,11,12,20,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92,93]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52,61,62,71,72,81,82], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92,93]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,61,62,71,72,81,82,90,91], [0,1,2,10,20,21,22,30,40,50,60,70,80,92]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,53,60,61,63,64,70,71,73,74,80,81,83,84], [0,1,2,3,4,12,13,14,22,34,43,44,52,54,62,72,82,90,91,92,93,94]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81], [0,1,90,91]];
	alphaArray["s"] = [[5], [11,12,13,20,21,24,30,31,33,34,40,41,43,50,51,54,60,61,64,70,71,73,74,80,81,83], [0,1,2,3,4,10,14,22,23,32,42,44,52,53,62,63,72,82,84,90,91,92,93,94]];
	return alphaArray;
}

// 9 Reihen, Regular
function buildArray_9R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,64,70,74,80,84,90,91,92,93], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,71,72,73,81,82,83,94,100,101,102,103,104]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,34,40,50,60,70,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,44,51,52,53,54,61,62,63,64,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,91,92,93], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,94,100,101,102,103,104]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,91,92,93], [0,1,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,40,50,51,52,53,60,70,80,90], [0,1,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103]];
	alphaArray["G"] = [[5], [11,12,13,20,24,30,40,50,52,53,54,60,64,70,74,80,84,91,92,93,94], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,61,62,63,71,72,73,81,82,83,90,100,101,102,103,104]];
	alphaArray["H"] = [[5], [10,14,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["I"] = [[1], [10,20,30,40,50,60,70,80,90], [0,100]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,44,54,64,74,80,84,91,92,93], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["K"] = [[5], [10,14,20,23,30,32,40,41,50,51,60,62,70,73,80,84,90,94], [0,1,2,3,4,11,12,13,21,22,24,31,33,34,42,43,44,52,53,54,61,63,64,71,72,74,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["L"] = [[4], [10,20,30,40,50,60,70,80,90,91,92,93], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56,60,66,70,76,80,86,90,96], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,61,62,63,64,65,71,72,73,74,75,81,82,83,84,85,91,92,93,94,95,100,101,102,103,104,105,106]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54,60,64,70,74,80,84,90,94], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,70,80,90], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,64,71,72,73,74,81,82,83,84,91,92,93,94,100,101,102,103,104]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,73,74,80,84,91,92,93,95], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,33,35,41,42,43,45,51,52,53,55,61,62,63,65,71,72,75,81,82,83,85,90,94,100,101,102,103,104,105]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,64,70,74,80,84,90,94], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["S"] = [[5], [11,12,13,20,24,30,40,51,52,53,64,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,50,54,60,61,62,63,70,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52,62,72,82,92], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,70,74,81,83,92], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,80,82,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,40,44,48,50,54,58,60,64,68,70,74,78,81,83,85,87,92,96], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,41,42,43,45,46,47,51,52,53,55,56,57,61,62,63,65,66,67,71,72,73,75,76,77,80,82,84,86,88,90,91,93,94,95,97,98,100,101,102,103,104,105,106,107,108]];
	alphaArray["X"] = [[5], [10,14,20,24,30,34,41,43,52,61,63,70,74,80,84,90,94], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,40,42,44,50,51,53,54,60,62,64,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray["Y"] = [[5], [10,14,20,24,30,34,40,44,51,53,62,72,82,92], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,50,52,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["Z"] = [[5], [10,11,12,13,14,24,34,43,52,61,70,80,90,91,92,93,94], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,71,72,73,74,81,82,83,84,100,101,102,103,104]];
	alphaArray["a"] = [[4], [21,22,30,33,43,51,52,53,60,63,70,73,80,83,91,92,93], [0,1,2,3,10,11,12,13,20,23,31,32,40,41,42,50,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,93,100,101,102,103]];
	alphaArray["c"] = [[4], [21,22,30,33,40,43,50,60,70,73,80,83,91,92], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,53,61,62,63,71,72,81,82,90,93,100,101,102,103]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92,93], [0,1,2,10,11,12,20,31,32,41,42,51,52,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray["e"] = [[4], [21,22,30,33,40,43,50,51,52,53,60,70,80,83,91,92], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,61,62,63,71,72,73,81,82,90,93,100,101,102,103]];
	alphaArray["f"] = [[4], [2,3,11,21,30,31,32,33,41,51,61,71,81,91], [0,1,10,12,13,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,92,93,100,101,102,103]];
	alphaArray["g"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,71,72,73,83,90,93,101,102], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,70,80,81,82,91,92,100,103]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["i"] = [[1], [0,20,30,40,50,60,70,80,90], [10,100]];
	alphaArray["j"] = [[2], [1,21,31,41,51,61,71,81,91,100], [0,10,11,20,30,40,50,60,70,80,90,101]];
	alphaArray["k"] = [[4], [0,10,20,23,30,32,40,41,50,51,60,62,70,73,80,83,90,93], [1,2,3,11,12,13,21,22,31,33,42,43,52,53,61,63,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50,60,70,80,90], [100]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76,80,83,86,90,93,96], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,81,82,84,85,91,92,94,95,100,101,102,103,104,105,106]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92,100], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,93,101,102,103]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92,93,103], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,71,72,81,82,90,100,101,102]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50,60,70,80,90], [0,1,2,10,11,12,22,31,41,42,51,52,61,62,71,72,81,82,91,92,100,101,102]];
	alphaArray["s"] = [[4], [21,22,30,33,40,51,52,63,73,80,83,91,92], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,50,53,60,61,62,70,71,72,81,82,90,93,100,101,102,103]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,51,61,71,81,92], [0,1,2,10,12,30,32,40,42,50,52,60,62,70,72,80,82,90,91,100,101,102]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92,93], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray["v"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,80,82,91], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,83,90,92,93,100,101,102,103]];
	alphaArray["w"] = [[7], [20,23,26,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76,81,83,85,92,94], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,21,22,24,25,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,80,82,84,86,90,91,93,95,96,100,101,102,103,104,105,106]];
	alphaArray["x"] = [[4], [20,23,30,33,40,43,51,52,60,63,70,73,80,83,90,93], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,50,53,61,62,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,81,82,83,93,100,101,102], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,80,90,91,92,103]];
	alphaArray["z"] = [[4], [20,21,22,23,33,43,52,61,70,80,90,91,92,93], [0,1,2,3,10,11,12,13,30,31,32,40,41,42,50,51,53,60,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,52,62,72,82,90,91,92,93,94], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,100,101,102,103,104]];
	alphaArray["2"] = [[5], [11,12,13,20,24,34,43,52,61,70,80,90,91,92,93,94], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,71,72,73,74,81,82,83,84,100,101,102,103,104]];
	alphaArray["3"] = [[5], [11,12,13,20,24,34,44,52,53,64,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,43,50,51,54,60,61,62,63,70,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,43,50,53,60,61,62,63,64,73,83,93], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,41,42,44,51,52,54,70,71,72,74,80,81,82,84,90,91,92,94,100,101,102,103,104]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,40,50,51,52,53,64,74,80,84,91,92,93], [0,1,2,3,4,21,22,23,24,31,32,33,34,41,42,43,44,54,60,61,62,63,70,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["6"] = [[5], [11,12,13,20,24,30,40,50,51,52,53,60,64,70,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,54,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,33,42,51,61,71,81,91], [0,1,2,3,4,20,21,22,23,30,31,32,34,40,41,43,44,50,52,53,54,60,62,63,64,70,72,73,74,80,82,83,84,90,92,93,94,100,101,102,103,104]];
	alphaArray["8"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53,60,64,70,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,54,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray["9"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53,54,64,74,80,84,91,92,93], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,60,61,62,63,70,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,100,101,102,103,104]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,91,92,93], [0,1,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,91,92,93], [0,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray[""] = [[4], [1,3,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,91,92,93], [0,2,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray[""] = [[4], [2,10,11,13,20,30,40,50,51,52,53,60,70,80,90,91,92,93], [0,1,3,12,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,100,101,102,103]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,51,61,71,81,90,91,92], [1,2,20,22,30,32,40,42,50,52,60,62,70,72,80,82,100,101,102]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,51,61,71,81,90,91,92], [1,20,22,30,32,40,42,50,52,60,62,70,72,80,82,100,101,102]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,81,90,91,92], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,82,100,101,102]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,92,93], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,94,100,101,102,103,104]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,43,51,52,53,60,63,70,73,80,83,91,92,93], [1,2,10,11,12,13,20,23,31,32,40,41,42,50,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,43,51,52,53,60,63,70,73,80,83,91,92,93], [0,2,3,10,11,13,20,23,31,32,40,41,42,50,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,43,51,52,53,60,63,70,73,80,83,91,92,93], [0,1,3,10,12,20,23,31,32,40,41,42,50,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,51,52,53,60,70,80,83,91,92], [1,2,10,11,12,13,20,23,31,32,41,42,61,62,63,71,72,73,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [2,11,21,22,30,33,40,43,50,51,52,53,60,70,80,83,91,92], [0,1,3,10,12,13,20,23,31,32,41,42,61,62,63,71,72,73,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,40,43,50,51,52,53,60,70,80,83,91,92], [0,2,3,10,11,13,20,23,31,32,41,42,61,62,63,71,72,73,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,51,52,53,60,70,80,83,91,92], [0,1,3,10,12,20,23,31,32,41,42,61,62,63,71,72,73,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[1], [20,30,40,50,60,70,80,90], [0,10,100]];
	alphaArray[""] = [[2], [0,11,21,31,41,51,61,71,81,91], [1,10,20,30,40,50,60,70,80,90,100,101]];
	alphaArray[""] = [[3], [0,2,21,31,41,51,61,71,81,91], [1,10,11,12,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,101,102]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,81,91], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,101,102]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [0,1,3,10,12,20,23,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [1,2,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [0,2,3,10,11,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [2,11,13,30,33,40,43,50,53,60,63,70,73,80,83,91,92], [0,1,3,10,12,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,90,93,100,101,102,103]];
	alphaArray["!"] = [[1], [10,20,30,40,50,60,70,90], [0,80,100]];
	alphaArray["?"] = [[5], [11,12,13,20,24,34,43,52,62,72,92], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["("] = [[2], [11,20,30,40,50,60,70,80,91], [0,1,10,21,31,41,51,61,71,81,90,100,101]];
	alphaArray[")"] = [[2], [10,21,31,41,51,61,71,81,90], [0,1,11,20,30,40,50,60,70,80,91,100,101]];
	alphaArray["/"] = [[5], [14,33,52,71,90], [0,1,2,3,4,10,11,12,13,20,21,22,23,24,30,31,32,34,40,41,42,43,44,50,51,53,54,60,61,62,63,64,70,72,73,74,80,81,82,83,84,91,92,93,94,100,101,102,103,104]];
	alphaArray["\\"] = [[5], [10,31,52,73,94], [0,1,2,3,4,11,12,13,14,20,21,22,23,24,30,32,33,34,40,41,42,43,44,50,51,53,54,60,61,62,63,64,70,71,72,74,80,81,82,83,84,90,91,92,93,100,101,102,103,104]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90,100], []];
	alphaArray["."] = [[1], [90], [0,10,20,30,40,50,60,70,80,100]];
	alphaArray[","] = [[2], [91,100], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,101]];
	alphaArray[":"] = [[1], [20,90], [0,10,30,40,50,60,70,80,100]];
	alphaArray[";"] = [[2], [21,91,100], [0,1,10,11,20,30,31,40,41,50,51,60,61,70,71,80,81,90,101]];
	alphaArray["-"] = [[3], [50,51,52], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,60,61,62,70,71,72,80,81,82,90,91,92,100,101,102]];
	alphaArray[""] = [[5], [50,51,52,53,54], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94,100,101,102,103,104]];
	alphaArray["+"] = [[5], [52,62,70,71,72,73,74,82,92], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,53,54,60,61,63,64,80,81,83,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["="] = [[5], [60,61,62,63,64,80,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,70,71,72,73,74,90,91,92,93,94,100,101,102,103,104]];
	alphaArray["_"] = [[4], [90,91,92,93], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,100,101,102,103]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90,100]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60,70,80,90,100]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91,100,101]];
	alphaArray["$"] = [[5], [2,11,12,13,20,22,24,30,32,40,42,51,52,53,62,64,72,74,80,82,84,91,92,93,102], [0,1,3,4,10,14,21,23,31,33,34,41,43,44,50,54,60,61,63,70,71,73,81,83,90,94,100,101,103,104]];
	alphaArray["%"] = [[6], [11,14,20,22,31,33,52,64,71,73,75,84,90], [0,1,2,3,4,5,10,12,13,15,21,23,24,25,30,32,34,35,40,41,42,43,44,45,50,51,53,54,55,60,61,62,63,65,70,72,74,80,81,82,83,85,91,92,93,94,95,100,101,102,103,104,105]];
	alphaArray["&"] = [[6], [11,12,13,21,23,31,33,41,43,50,52,55,60,63,64,70,74,80,84,85,91,92,93], [0,1,2,3,4,5,10,14,15,20,22,24,25,30,32,34,35,40,42,44,45,51,53,54,61,62,65,71,72,73,75,81,82,83,90,94,95,100,101,102,103,104,105]];
	alphaArray["@"] = [[7], [21,22,23,24,25,30,36,40,42,43,44,46,50,52,54,56,60,62,64,66,70,72,74,75,80,82,83,84,90,101,102,103,104], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,26,31,32,33,34,35,41,45,51,53,55,61,63,65,71,73,76,81,85,86,91,92,93,94,95,96,100,105,106]];
	alphaArray[""] = [[5], [52,54,61,63,70,72,81,83,92,94], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,53,60,62,64,71,73,74,80,82,84,90,91,93,100,101,102,103,104]];
	alphaArray[""] = [[5], [50,52,61,63,72,74,81,83,90,92], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,51,53,54,60,62,64,70,71,73,80,82,84,91,93,94,100,101,102,103,104]];
	alphaArray[""] = [[3], [52,61,70,81,92], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,60,62,71,72,80,82,90,91,100,101,102]];
	alphaArray[""] = [[3], [50,61,72,81,90], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,51,52,60,62,70,71,80,82,91,92,100,101,102]];
	alphaArray[""] = [[4], [81,83,91,93,100,102], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,82,90,92,101,103]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103]];
	alphaArray[""] = [[2], [81,91,100], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,90,101]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91,100,101]];
	alphaArray["<"] = [[3], [52,61,70,81,92], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,60,62,71,72,80,82,90,91,100,101,102]];
	alphaArray[">"] = [[3], [50,61,72,81,90], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,51,52,60,62,70,71,80,82,91,92,100,101,102]];
	alphaArray["*"] = [[5], [2,10,12,14,21,22,23,31,32,33,40,42,44,52], [0,1,3,4,11,13,20,24,30,34,41,43,50,51,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94,100,101,102,103,104]];
	alphaArray["..."] = [[3], [90,91,92], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,100,101,102]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,50,51,52,53,54,55,56,57,58,60,64,70,74,80,84,90,94,95,96,97,98], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,45,46,47,48,61,62,63,65,66,67,68,71,72,73,75,76,77,78,81,82,83,85,86,87,88,91,92,93,100,101,102,103,104,105,106,107,108]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,50,54,55,56,57,58,60,64,70,74,80,84,91,92,93,94,95,96,97,98], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,45,46,47,48,51,52,53,61,62,63,65,66,67,68,71,72,73,75,76,77,78,81,82,83,85,86,87,88,90,100,101,102,103,104,105,106,107,108]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,34,40,50,60,70,74,80,84,91,92,93,102], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,44,51,52,53,54,61,62,63,64,71,72,73,81,82,83,90,94,100,101,103,104]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,43,46,51,52,53,54,55,56,60,63,70,73,80,83,86,91,92,94,95], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,40,41,42,44,45,50,61,62,64,65,66,71,72,74,75,76,81,82,84,85,90,93,96,100,101,102,103,104,105,106]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,40,43,46,50,53,54,55,56,60,63,70,73,80,83,86,91,92,94,95], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,41,42,44,45,51,52,61,62,64,65,66,71,72,74,75,76,81,82,84,85,90,93,96,100,101,102,103,104,105,106]];
	alphaArray[""] = [[4], [21,22,30,33,40,43,50,60,70,73,80,83,91,92,102], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,53,61,62,63,71,72,81,82,90,93,100,101,103]];
	alphaArray[""] = [[4], [1,2,10,13,20,23,30,33,40,42,50,53,60,63,70,73,80,83,90,92], [0,3,11,12,21,22,31,32,41,43,51,52,61,62,71,72,81,82,91,93,100,101,102,103]];
	alphaArray[""] = [[6], [12,13,14,21,25,31,40,41,42,43,51,60,61,62,63,71,81,85,92,93,94], [0,1,2,3,4,5,10,11,15,20,22,23,24,30,32,33,34,35,44,45,50,52,53,54,55,64,65,70,72,73,74,75,80,82,83,84,90,91,95,100,101,102,103,104,105]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,91,92], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,93,100,101,102,103]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92,93], [0,1,2,3,10,11,12,20,31,32,41,42,51,52,61,62,71,72,81,82,90,100,101,102,103]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51,61,71,81,91], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,92,93,100,101,102,103]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["is"] = [[1], [10,30,40,50,60,70,80,90], [0,20,100]];
	alphaArray["s"] = [[2], [10,21,31,41,51,61,71,81,91], [0,1,11,20,30,40,50,60,70,80,90,100,101]];
	alphaArray["s"] = [[3], [10,12,31,41,51,61,71,81,91], [0,1,2,11,20,21,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,101,102]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51,61,71,81,91], [0,1,2,10,12,21,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,101,102]];
	alphaArray["js"] = [[2], [11,31,41,51,61,71,81,91,100], [0,1,10,20,21,30,40,50,60,70,80,90,101]];
	alphaArray["ks"] = [[4], [10,20,23,30,32,40,41,50,51,60,62,70,73,80,83,90,93], [0,1,2,3,11,12,13,21,22,31,33,42,43,52,53,61,63,71,72,81,82,91,92,100,101,102,103]];
	alphaArray["ls"] = [[1], [10,20,30,40,50,60,70,80,90], [0,100]];
	alphaArray["s"] = [[4], [11,12,20,23,30,33,40,43,50,52,60,63,70,73,80,83,90,92], [0,1,2,3,10,13,21,22,31,32,41,42,51,53,61,62,71,72,81,82,91,93,100,101,102,103]];
	return alphaArray;
}

// 9 Reihen, Bold
function buildArray_9B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,62,63,72,73,82,83,95,100,101,102,103,104,105]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,70,71,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,64,65,72,73,74,75,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94], [0,1,2,3,4,5,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,95,100,101,102,103,104,105]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91,92,93,94], [0,1,2,3,4,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91], [0,1,2,3,4,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,92,93,94,100,101,102,103,104]];
	alphaArray["G"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94,95], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,62,63,72,73,82,83,90,100,101,102,103,104,105]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,100,101]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,24,25,34,35,44,45,54,55,64,65,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,42,50,51,60,61,62,70,71,72,73,80,81,83,84,90,91,94,95], [0,1,2,3,4,5,12,13,22,25,34,35,43,44,45,52,53,54,55,63,64,65,74,75,82,85,92,93,100,101,102,103,104,105]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,92,93,94], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,52,53,54,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,43,45,46,50,51,55,56,60,61,65,66,70,71,75,76,80,81,85,86,90,91,95,96], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,42,44,52,53,54,62,63,64,72,73,74,82,83,84,92,93,94,100,101,102,103,104,105,106]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,43,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,1,2,3,4,5,11,12,13,22,23,33,42,52,53,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,70,71,80,81,90,91], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,62,63,64,65,72,73,74,75,82,83,84,85,92,93,94,95,100,101,102,103,104,105]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,73,74,75,80,81,84,85,91,92,93,94,95,106], [0,1,2,3,4,5,6,10,15,16,22,23,26,32,33,36,42,43,46,52,53,56,62,63,66,72,76,82,83,86,90,96,100,101,102,103,104,105]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,1,2,3,4,5,15,22,23,32,33,42,43,55,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["S"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,51,52,53,54,64,65,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,50,55,60,61,62,63,70,71,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,92,93], [0,1,2,3,4,5,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,102,103,104,105]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,81,82,83,84,92], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,80,85,90,91,93,94,95,100,101,102,103,104,105]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,40,41,44,45,48,49,50,51,54,55,58,59,60,61,64,65,68,69,70,71,74,75,78,79,81,82,83,86,87,88,92,97], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,42,43,46,47,52,53,56,57,62,63,66,67,72,73,76,77,80,84,85,89,90,91,93,94,95,96,98,99,100,101,102,103,104,105,106,107,108,109]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,31,34,42,43,52,53,62,63,71,74,80,81,84,85,90,91,94,95], [0,1,2,3,4,5,12,13,22,23,30,32,33,35,40,41,44,45,50,51,54,55,60,61,64,65,70,72,73,75,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54,62,63,72,73,82,83,92,93], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,50,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,102,103,104,105]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,24,25,34,35,43,44,52,53,61,62,70,71,80,81,90,91,92,93,94,95], [0,1,2,3,4,5,20,21,22,23,30,31,32,33,40,41,42,45,50,51,54,55,60,63,64,65,72,73,74,75,82,83,84,85,100,101,102,103,104,105]];
	alphaArray["a"] = [[5], [21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,20,24,32,40,41,42,50,62,72,82,90,100,101,102,103,104]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93], [2,3,4,12,13,14,24,32,42,52,62,72,82,94,100,101,102,103,104]];
	alphaArray["c"] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,70,71,80,81,83,84,91,92,93], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,63,64,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,2,10,11,12,20,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray["e"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,91,92,93], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,52,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray["f"] = [[5], [2,3,4,11,12,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72,81,82,91,92], [0,1,10,13,14,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,83,84,90,93,94,100,101,102,103,104]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,71,72,73,74,83,84,90,91,93,94,101,102,103], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,62,70,80,81,82,92,100,104]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94], [2,3,4,12,13,14,24,32,42,52,62,72,82,92,100,101,102,103,104]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [10,11,100,101]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101], [0,10,11,12,20,30,40,50,60,70,80,90,102]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,52,60,61,62,63,70,71,73,74,80,81,83,84,90,91,93,94], [2,3,4,12,13,14,22,34,43,44,53,54,64,72,82,92,100,101,102,103,104]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [100,101]];
	alphaArray["m"] = [[8], [20,21,22,24,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77,80,81,83,84,86,87,90,91,93,94,96,97], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,23,27,32,35,42,45,52,55,62,65,72,75,82,85,92,95,100,101,102,103,104,105,106,107]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,72,82,92,100,101,102,103,104]];
	alphaArray["o"] = [[5], [21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,52,62,72,82,90,94,100,101,102,103,104]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,100,101], [0,1,2,3,4,10,11,12,13,14,24,32,42,52,62,72,82,94,102,103,104]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94,103,104], [0,1,2,3,4,10,11,12,13,14,20,32,42,52,62,72,82,90,100,101,102]];
	alphaArray["r"] = [[5], [20,22,23,30,31,33,34,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,2,3,4,10,11,12,13,14,21,24,32,42,43,44,52,53,54,62,63,64,72,73,74,82,83,84,92,93,94,100,101,102,103,104]];
	alphaArray["s"] = [[5], [21,22,23,30,31,33,34,40,41,51,52,53,63,64,73,74,80,81,83,84,91,92,93], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,50,54,60,61,62,70,71,72,82,90,94,100,101,102,103,104]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,92,93], [0,1,2,3,10,13,30,33,40,43,50,53,60,63,70,73,80,83,90,91,100,101,102,103]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,83,92], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,80,82,84,90,91,93,94,100,101,102,103,104]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77,81,82,83,84,85,86,92,95], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,42,45,52,55,62,65,72,75,80,87,90,91,93,94,96,97,100,101,102,103,104,105,106,107]];
	alphaArray["x"] = [[5], [20,21,23,24,30,31,33,34,41,43,51,52,53,61,63,71,73,80,81,83,84,90,91,93,94], [0,1,2,3,4,10,11,12,13,14,22,32,40,42,44,50,54,60,62,64,70,72,74,82,92,100,101,102,103,104]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,81,82,83,84,93,94,100,101,102,103], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,80,90,91,92,104]];
	alphaArray["z"] = [[5], [20,21,22,23,24,33,34,42,43,51,52,60,61,70,71,80,81,90,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,30,31,32,40,41,44,50,53,54,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,32,33,42,43,52,53,62,63,72,73,82,83,90,91,92,93,94,95], [0,1,2,3,4,5,10,11,14,15,20,24,25,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,100,101,102,103,104,105]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,24,25,34,35,44,45,54,55,63,64,72,73,81,82,90,91,92,93,94,95], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,65,70,71,74,75,80,83,84,85,100,101,102,103,104,105]];
	alphaArray["3"] = [[6], [11,12,13,14,20,21,24,25,34,35,44,45,52,53,54,64,65,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,30,31,32,33,40,41,42,43,50,51,55,60,61,62,63,70,71,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,33,34,40,43,44,50,53,54,60,61,62,63,64,65,73,74,83,84,93,94], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,32,35,41,42,45,51,52,55,70,71,72,75,80,81,82,85,90,91,92,95,100,101,102,103,104,105]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,30,31,40,41,50,51,52,53,54,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,22,23,24,25,32,33,34,35,42,43,44,45,55,60,61,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["6"] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,52,53,54,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,55,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,24,25,33,34,42,43,51,52,61,62,71,72,81,82,91,92], [0,1,2,3,4,5,20,21,22,23,30,31,32,35,40,41,44,45,50,53,54,55,60,63,64,65,70,73,74,75,80,83,84,85,90,93,94,95,100,101,102,103,104,105]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,50,55,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54,55,64,65,74,75,80,81,84,85,91,92,93,94], [0,1,2,3,4,5,10,15,22,23,32,33,42,43,50,60,61,62,63,70,71,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,2,3,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,3,4,5,10,15,22,23,32,33,42,43,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,62,63,72,73,82,83,92,93,100,101,102,103,104,105]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91,92,93,94], [0,1,4,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91,92,93,94], [0,3,4,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91,92,93,94], [0,2,4,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,30,31,40,41,50,51,52,53,54,60,61,70,71,80,81,90,91,92,93,94], [0,1,3,4,12,22,23,24,32,33,34,42,43,44,62,63,64,72,73,74,82,83,84,100,101,102,103,104]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93], [2,3,20,23,30,33,40,43,50,53,60,63,70,73,80,83,100,101,102,103]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93], [1,2,20,23,30,33,40,43,50,53,60,63,70,73,80,83,100,101,102,103]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,100,101,102,103]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,2,3,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,3,4,5,10,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,4,5,10,12,13,15,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,2,3,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94], [0,1,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,102,103,104,105]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [2,10,11,12,13,14,20,24,32,40,41,42,50,62,72,82,90,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,3,4,10,11,14,20,24,32,40,41,42,50,62,72,82,90,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,43,44,51,52,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,3,4,10,12,14,20,24,32,40,41,42,50,62,72,82,90,100,101,102,103,104]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,80,81,83,84,91,92,93], [2,10,11,12,13,14,20,24,32,42,62,63,64,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,3,11,12,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,80,81,83,84,91,92,93], [0,1,4,10,13,14,20,24,32,42,62,63,64,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,80,81,83,84,91,92,93], [0,3,4,10,11,14,20,24,32,42,62,63,64,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,52,53,54,60,61,70,71,80,81,83,84,91,92,93], [0,1,3,4,10,12,14,20,24,32,42,62,63,64,72,73,74,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,10,11,100,101]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [1,10,100,101]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102,103]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102,103]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93], [2,10,11,12,13,14,20,24,32,42,52,62,72,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93], [0,1,3,4,10,12,14,20,24,32,42,52,62,72,82,90,94,100,101,102,103,104]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [2,10,11,12,13,14,22,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,2,3,4,10,11,13,14,22,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,3,4,10,12,14,22,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,90,91], [0,1,80,81,100,101]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,44,45,53,54,62,63,72,73,92,93], [0,1,2,3,4,5,10,15,22,23,32,33,40,41,42,43,50,51,52,55,60,61,64,65,70,71,74,75,80,81,82,83,84,85,90,91,94,95,100,101,102,103,104,105]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,50,51,60,61,70,71,80,81,91,92], [0,1,2,10,22,32,42,52,62,72,82,90,100,101,102]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,91], [0,1,2,12,20,30,40,50,60,70,80,92,100,101,102]];
	alphaArray["/"] = [[5], [13,14,23,33,42,43,52,61,62,71,81,90,91], [0,1,2,3,4,10,11,12,20,21,22,24,30,31,32,34,40,41,44,50,51,53,54,60,63,64,70,72,73,74,80,82,83,84,92,93,94,100,101,102,103,104]];
	alphaArray["\\"] = [[5], [10,11,21,31,41,42,52,62,63,73,83,93,94], [0,1,2,3,4,12,13,14,20,22,23,24,30,32,33,34,40,43,44,50,51,53,54,60,61,64,70,71,72,74,80,81,82,84,90,91,92,100,101,102,103,104]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90,100], []];
	alphaArray["."] = [[2], [90,91], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,100,101]];
	alphaArray[","] = [[3], [91,92,100,101], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,102]];
	alphaArray[":"] = [[2], [20,21,90,91], [0,1,10,11,30,31,40,41,50,51,60,61,70,71,80,81,100,101]];
	alphaArray[";"] = [[3], [21,22,91,92,100,101], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,102]];
	alphaArray["-"] = [[4], [50,51,52,53], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103]];
	alphaArray[""] = [[6], [50,51,52,53,54,55], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95,100,101,102,103,104,105]];
	alphaArray["+"] = [[6], [52,53,62,63,70,71,72,73,74,75,82,83,92,93], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,50,51,54,55,60,61,64,65,80,81,84,85,90,91,94,95,100,101,102,103,104,105]];
	alphaArray["="] = [[5], [60,61,62,63,64,80,81,82,83,84], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,70,71,72,73,74,90,91,92,93,94,100,101,102,103,104]];
	alphaArray["_"] = [[5], [90,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,100,101,102,103,104]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90,100]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,100,101,102]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60,70,80,90,100]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91,100,101]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,20,21,23,25,26,30,31,33,40,41,43,51,52,53,54,55,63,65,66,73,75,76,80,81,83,85,86,91,92,93,94,95,103], [0,1,2,4,5,6,10,16,22,24,32,34,35,36,42,44,45,46,50,56,60,61,62,64,70,71,72,74,82,84,90,96,100,101,102,104,105,106]];
	alphaArray["%"] = [[6], [10,11,14,15,20,21,23,24,33,42,43,52,61,62,71,72,81,84,85,90,91,94,95], [0,1,2,3,4,5,12,13,22,25,30,31,32,34,35,40,41,44,45,50,51,53,54,55,60,63,64,65,70,73,74,75,80,82,83,92,93,100,101,102,103,104,105]];
	alphaArray["&"] = [[8], [12,13,14,21,22,24,25,31,32,34,35,40,41,43,44,47,50,51,54,55,56,60,61,64,65,66,70,71,75,76,80,81,85,86,91,92,93,94,96], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,23,26,27,30,33,36,37,42,45,46,52,53,57,62,63,67,72,73,74,77,82,83,84,87,90,95,97,100,101,102,103,104,105,106,107]];
	alphaArray["@"] = [[9], [21,22,23,24,25,26,27,30,31,37,38,40,41,43,44,45,47,48,50,51,53,55,57,60,61,63,65,67,70,71,73,74,75,76,80,81,90,91,101,102,103,104,105,106], [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,20,28,32,33,34,35,36,42,46,52,54,56,58,62,64,66,68,72,77,78,82,83,84,85,86,87,88,92,93,94,95,96,97,98,100,107,108]];
	alphaArray[""] = [[7], [52,53,55,56,61,62,64,65,70,71,73,74,81,82,84,85,92,93,95,96], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,42,43,44,45,46,50,51,54,60,63,66,72,75,76,80,83,86,90,91,94,100,101,102,103,104,105,106]];
	alphaArray[""] = [[7], [50,51,53,54,61,62,64,65,72,73,75,76,81,82,84,85,90,91,93,94], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,42,43,44,45,46,52,55,56,60,63,66,70,71,74,80,83,86,92,95,96,100,101,102,103,104,105,106]];
	alphaArray[""] = [[4], [52,53,61,62,70,71,81,82,92,93], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,60,63,72,73,80,83,90,91,100,101,102,103]];
	alphaArray[""] = [[4], [50,51,61,62,72,73,81,82,90,91], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,52,53,60,63,70,71,80,83,92,93,100,101,102,103]];
	alphaArray[""] = [[4], [81,83,91,93,100,102], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,82,90,92,101,103]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103]];
	alphaArray[""] = [[2], [81,91,100], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,90,101]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91,100,101]];
	alphaArray["<"] = [[4], [52,53,61,62,70,71,81,82,92,93], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,60,63,72,73,80,83,90,91,100,101,102,103]];
	alphaArray[">"] = [[4], [50,51,61,62,72,73,81,82,90,91], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,52,53,60,63,70,71,80,83,92,93,100,101,102,103]];
	alphaArray["*"] = [[6], [2,3,10,12,13,15,21,22,23,24,31,32,33,34,40,42,43,45,52,53], [0,1,4,5,11,14,20,25,30,35,41,44,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95,100,101,102,103,104,105]];
	alphaArray["..."] = [[3], [90,91,92], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,100,101,102]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,56,57,58,59,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95,96,97,98,99], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,42,43,46,47,48,49,62,63,66,67,68,69,72,73,76,77,78,79,82,83,86,87,88,89,92,93,100,101,102,103,104,105,106,107,108,109]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,56,57,58,59,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94,95,96,97,98,99], [0,1,2,3,4,5,6,7,8,9,10,22,23,26,27,28,29,32,33,36,37,38,39,42,43,46,47,48,49,52,53,62,63,66,67,68,69,72,73,76,77,78,79,82,83,86,87,88,89,90,100,101,102,103,104,105,106,107,108,109]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,24,25,30,31,40,41,50,51,60,61,70,71,80,81,84,85,91,92,93,94,102,103], [0,1,2,3,4,5,10,15,22,23,32,33,34,35,42,43,44,45,52,53,54,55,62,63,64,65,72,73,74,75,82,83,90,95,100,101,104,105]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,36,37,43,44,46,47,51,52,53,54,55,56,57,60,61,63,64,70,71,73,74,80,81,83,84,86,87,91,92,93,94,95,96], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,35,40,41,42,45,50,62,65,66,67,72,75,76,77,82,85,90,97,100,101,102,103,104,105,106,107]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,55,56,57,60,61,63,64,70,71,73,74,80,81,83,84,86,87,91,92,93,95,96], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,32,35,42,45,52,62,65,66,67,72,75,76,77,82,85,90,94,97,100,101,102,103,104,105,106,107]];
	alphaArray[""] = [[5], [21,22,23,30,31,33,34,40,41,50,51,60,61,70,71,80,81,83,84,91,92,93,102], [0,1,2,3,4,10,11,12,13,14,20,24,32,42,43,44,52,53,54,62,63,64,72,73,74,82,90,94,100,101,103,104]];
	alphaArray[""] = [[5], [1,2,3,10,11,14,20,21,24,30,31,33,34,40,41,43,50,51,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93], [0,4,12,13,22,23,32,42,44,52,53,62,72,82,92,94,100,101,102,103,104]];
	alphaArray[""] = [[6], [12,13,14,15,21,22,25,26,31,32,40,41,42,43,44,51,52,60,61,62,63,64,71,72,81,82,85,86,92,93,94,95], [0,1,2,3,4,5,6,10,11,16,20,23,24,30,33,34,35,36,45,46,50,53,54,55,56,65,66,70,73,74,75,76,80,83,84,90,91,96,100,101,102,103,104,105,106]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93], [0,1,2,3,4,12,13,14,24,32,42,52,62,72,82,94,100,101,102,103,104]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,91,92,93,94], [0,1,2,3,4,10,11,12,20,32,42,52,62,72,82,90,100,101,102,103,104]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,41,42,51,52,61,62,71,72,81,82,91,92], [0,1,2,3,4,10,11,20,23,24,40,43,44,50,53,54,60,63,64,70,73,74,80,83,84,90,93,94,100,101,102,103,104]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94], [0,1,2,3,4,12,13,14,24,32,42,52,62,72,82,92,100,101,102,103,104]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,20,21,100,101]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,11,20,100,101]];
	alphaArray["s"] = [[4], [10,13,31,32,41,42,51,52,61,62,71,72,81,82,91,92], [0,1,2,3,11,12,20,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102,103]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102,103]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101], [0,1,2,10,20,21,22,30,40,50,60,70,80,90,102]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,33,40,41,50,51,52,53,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94], [0,1,2,3,4,12,13,14,22,34,42,43,44,54,62,72,82,92,100,101,102,103,104]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91], [0,1,100,101]];
	alphaArray["s"] = [[5], [11,12,13,20,21,24,30,31,33,34,40,41,43,50,51,54,60,61,64,70,71,74,80,81,83,84,90,91,93], [0,1,2,3,4,10,14,22,23,32,42,44,52,53,62,63,72,73,82,92,94,100,101,102,103,104]];
	return alphaArray;
}

// 10 Reihen, Regular
function buildArray_10R(alphaArray) {
	alphaArray["A"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,61,62,63,64,70,74,80,84,90,94,100,104], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["B"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,64,70,74,80,84,90,94,100,101,102,103], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,71,72,73,81,82,83,91,92,93,104,110,111,112,113,114]];
	alphaArray["C"] = [[5], [11,12,13,20,24,30,34,40,50,60,70,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,44,51,52,53,54,61,62,63,64,71,72,73,74,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["D"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,100,101,102,103], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,104,110,111,112,113,114]];
	alphaArray["E"] = [[4], [10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,100,101,102,103], [0,1,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray["F"] = [[4], [10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,100], [0,1,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113]];
	alphaArray["G"] = [[5], [11,12,13,20,24,30,40,50,52,53,54,60,64,70,74,80,84,90,94,101,102,103,104], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,51,61,62,63,71,72,73,81,82,83,91,92,93,100,110,111,112,113,114]];
	alphaArray["H"] = [[5], [10,14,20,24,30,34,40,44,50,51,52,53,54,60,64,70,74,80,84,90,94,100,104], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["I"] = [[1], [10,20,30,40,50,60,70,80,90,100], [0,110]];
	alphaArray["J"] = [[5], [10,11,12,13,14,24,34,44,54,64,74,80,84,90,94,101,102,103], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["K"] = [[5], [10,14,20,23,30,32,40,41,50,51,60,62,70,73,80,84,90,94,100,104], [0,1,2,3,4,11,12,13,21,22,24,31,33,34,42,43,44,52,53,54,61,63,64,71,72,74,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["L"] = [[4], [10,20,30,40,50,60,70,80,90,100,101,102,103], [0,1,2,3,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,32,34,36,40,43,46,50,56,60,66,70,76,80,86,90,96,100,106], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,31,33,35,41,42,44,45,51,52,53,54,55,61,62,63,64,65,71,72,73,74,75,81,82,83,84,85,91,92,93,94,95,101,102,103,104,105,110,111,112,113,114,115,116]];
	alphaArray["N"] = [[5], [10,14,20,21,24,30,32,34,40,43,44,50,54,60,64,70,74,80,84,90,94,100,104], [0,1,2,3,4,11,12,13,22,23,31,33,41,42,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["O"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["P"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,70,80,90,100], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,64,71,72,73,74,81,82,83,84,91,92,93,94,101,102,103,104,110,111,112,113,114]];
	alphaArray["Q"] = [[6], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,83,84,90,94,101,102,103,105], [0,1,2,3,4,5,10,14,15,21,22,23,25,31,32,33,35,41,42,43,45,51,52,53,55,61,62,63,65,71,72,73,75,81,82,85,91,92,93,95,100,104,110,111,112,113,114,115]];
	alphaArray["R"] = [[5], [10,11,12,13,20,24,30,34,40,44,50,51,52,53,60,64,70,74,80,84,90,94,100,104], [0,1,2,3,4,14,21,22,23,31,32,33,41,42,43,54,61,62,63,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["S"] = [[5], [11,12,13,20,24,30,40,51,52,53,64,74,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,50,54,60,61,62,63,70,71,72,73,80,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["T"] = [[5], [10,11,12,13,14,22,32,42,52,62,72,82,92,102], [0,1,2,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["U"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["V"] = [[5], [10,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,91,93,102], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,90,92,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["W"] = [[9], [10,14,18,20,24,28,30,34,38,40,44,48,50,54,58,60,64,68,70,74,78,80,84,88,91,93,95,97,102,106], [0,1,2,3,4,5,6,7,8,11,12,13,15,16,17,21,22,23,25,26,27,31,32,33,35,36,37,41,42,43,45,46,47,51,52,53,55,56,57,61,62,63,65,66,67,71,72,73,75,76,77,81,82,83,85,86,87,90,92,94,96,98,100,101,103,104,105,107,108,110,111,112,113,114,115,116,117,118]];
	alphaArray["X"] = [[5], [10,14,20,24,30,34,41,43,52,61,63,70,74,80,84,90,94,100,104], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,40,42,44,50,51,53,54,60,62,64,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray["Y"] = [[5], [10,14,20,24,30,34,40,44,51,53,62,72,82,92,102], [0,1,2,3,4,11,12,13,21,22,23,31,32,33,41,42,43,50,52,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["Z"] = [[5], [10,11,12,13,14,24,34,43,52,61,70,80,90,100,101,102,103,104], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,71,72,73,74,81,82,83,84,91,92,93,94,110,111,112,113,114]];
	alphaArray["a"] = [[4], [21,22,30,33,43,53,61,62,63,70,73,80,83,90,93,101,102,103], [0,1,2,3,10,11,12,13,20,23,31,32,40,41,42,50,51,52,60,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray["b"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,103,110,111,112,113]];
	alphaArray["c"] = [[4], [21,22,30,33,40,43,50,60,70,80,83,90,93,101,102], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,53,61,62,63,71,72,73,81,82,91,92,100,103,110,111,112,113]];
	alphaArray["d"] = [[4], [3,13,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102,103], [0,1,2,10,11,12,20,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray["e"] = [[4], [21,22,30,33,40,43,50,53,60,61,62,63,70,80,90,93,101,102], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,71,72,73,81,82,83,91,92,100,103,110,111,112,113]];
	alphaArray["f"] = [[4], [2,3,11,21,30,31,32,33,41,51,61,71,81,91,101], [0,1,10,12,13,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,92,93,100,102,103,110,111,112,113]];
	alphaArray["g"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,71,72,73,83,93,100,103,111,112], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,70,80,81,82,90,91,92,101,102,110,113]];
	alphaArray["h"] = [[4], [0,10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103], [1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["i"] = [[1], [0,20,30,40,50,60,70,80,90,100], [10,110]];
	alphaArray["j"] = [[2], [1,21,31,41,51,61,71,81,91,101,110], [0,10,11,20,30,40,50,60,70,80,90,100,111]];
	alphaArray["k"] = [[4], [0,10,20,23,30,32,40,41,50,51,60,62,70,73,80,83,90,93,100,103], [1,2,3,11,12,13,21,22,31,33,42,43,52,53,61,63,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["l"] = [[1], [0,10,20,30,40,50,60,70,80,90,100], [110]];
	alphaArray["m"] = [[7], [20,21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76,80,83,86,90,93,96,100,103,106], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,81,82,84,85,91,92,94,95,101,102,104,105,110,111,112,113,114,115,116]];
	alphaArray["n"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["o"] = [[4], [21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray["p"] = [[4], [20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102,110], [0,1,2,3,10,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,103,111,112,113]];
	alphaArray["q"] = [[4], [21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102,103,113], [0,1,2,3,10,11,12,13,20,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,110,111,112]];
	alphaArray["r"] = [[3], [20,21,30,32,40,50,60,70,80,90,100], [0,1,2,10,11,12,22,31,41,42,51,52,61,62,71,72,81,82,91,92,101,102,110,111,112]];
	alphaArray["s"] = [[4], [21,22,30,33,40,50,61,62,73,83,90,93,101,102], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,43,51,52,53,60,63,70,71,72,80,81,82,91,92,100,103,110,111,112,113]];
	alphaArray["t"] = [[3], [11,20,21,22,31,41,51,61,71,81,91,102], [0,1,2,10,12,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,101,110,111,112]];
	alphaArray["u"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102,103], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray["v"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,92,101], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,93,100,102,103,110,111,112,113]];
	alphaArray["w"] = [[7], [20,23,26,30,33,36,40,43,46,50,53,56,60,63,66,70,73,76,80,83,86,91,93,95,102,104], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,21,22,24,25,31,32,34,35,41,42,44,45,51,52,54,55,61,62,64,65,71,72,74,75,81,82,84,85,90,92,94,96,100,101,103,105,106,110,111,112,113,114,115,116]];
	alphaArray["x"] = [[4], [20,23,30,33,40,43,50,53,61,62,70,73,80,83,90,93,100,103], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,60,63,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["y"] = [[4], [20,23,30,33,40,43,50,53,60,63,70,73,80,83,91,92,93,103,110,111,112], [0,1,2,3,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,90,100,101,102,113]];
	alphaArray["z"] = [[4], [20,21,22,23,33,43,52,61,70,80,90,100,101,102,103], [0,1,2,3,10,11,12,13,30,31,32,40,41,42,50,51,53,60,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray["0"] = [[5], [11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["1"] = [[5], [12,21,22,30,32,42,52,62,72,82,92,100,101,102,103,104], [0,1,2,3,4,10,11,13,14,20,23,24,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,110,111,112,113,114]];
	alphaArray["2"] = [[5], [11,12,13,20,24,34,44,53,62,71,80,90,100,101,102,103,104], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,43,50,51,52,54,60,61,63,64,70,72,73,74,81,82,83,84,91,92,93,94,110,111,112,113,114]];
	alphaArray["3"] = [[5], [11,12,13,20,24,34,44,52,53,64,74,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,43,50,51,54,60,61,62,63,70,71,72,73,80,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["4"] = [[5], [13,22,23,31,33,40,43,50,53,60,61,62,63,64,73,83,93,103], [0,1,2,3,4,10,11,12,14,20,21,24,30,32,34,41,42,44,51,52,54,70,71,72,74,80,81,82,84,90,91,92,94,100,101,102,104,110,111,112,113,114]];
	alphaArray["5"] = [[5], [10,11,12,13,14,20,30,40,50,51,52,53,64,74,84,90,94,101,102,103], [0,1,2,3,4,21,22,23,24,31,32,33,34,41,42,43,44,54,60,61,62,63,70,71,72,73,80,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["6"] = [[5], [11,12,13,20,24,30,40,50,51,52,53,60,64,70,74,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,34,41,42,43,44,54,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["7"] = [[5], [10,11,12,13,14,24,34,43,52,61,71,81,91,101], [0,1,2,3,4,20,21,22,23,30,31,32,33,40,41,42,44,50,51,53,54,60,62,63,64,70,72,73,74,80,82,83,84,90,92,93,94,100,102,103,104,110,111,112,113,114]];
	alphaArray["8"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53,60,64,70,74,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,54,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray["9"] = [[5], [11,12,13,20,24,30,34,40,44,51,52,53,54,64,74,80,84,90,94,101,102,103], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,50,60,61,62,63,70,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,60,61,62,63,64,70,74,80,84,90,94,100,104], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,60,61,62,63,64,70,74,80,84,90,94,100,104], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,60,61,62,63,64,70,74,80,84,90,94,100,104], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,71,72,73,81,82,83,91,92,93,101,102,103,110,111,112,113,114]];
	alphaArray[""] = [[4], [2,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,100,101,102,103], [0,1,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray[""] = [[4], [1,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,100,101,102,103], [0,2,3,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray[""] = [[4], [1,3,10,11,12,13,20,30,40,50,51,52,53,60,70,80,90,100,101,102,103], [0,2,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray[""] = [[4], [2,10,11,13,20,30,40,50,51,52,53,60,70,80,90,100,101,102,103], [0,1,3,12,21,22,23,31,32,33,41,42,43,61,62,63,71,72,73,81,82,83,91,92,93,110,111,112,113]];
	alphaArray[""] = [[3], [0,10,11,12,21,31,41,51,61,71,81,91,100,101,102], [1,2,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,110,111,112]];
	alphaArray[""] = [[3], [0,2,10,11,12,21,31,41,51,61,71,81,91,100,101,102], [1,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,110,111,112]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,81,91,100,101,102], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,110,111,112]];
	alphaArray["..."] = [[5], [1,3,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,2,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,11,12,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,2,3,4,10,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,1,3,4,10,12,14,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,3,10,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,2,4,11,12,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,10,12,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,2,3,4,11,13,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,24,30,34,40,44,50,54,60,64,70,74,80,84,90,94,101,102,103], [0,1,3,4,12,21,22,23,31,32,33,41,42,43,51,52,53,61,62,63,71,72,73,81,82,83,91,92,93,100,104,110,111,112,113,114]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,43,53,61,62,63,70,73,80,83,90,93,101,102,103], [1,2,10,11,12,13,20,23,31,32,40,41,42,50,51,52,60,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,43,53,61,62,63,70,73,80,83,90,93,101,102,103], [0,2,3,10,11,13,20,23,31,32,40,41,42,50,51,52,60,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,43,53,61,62,63,70,73,80,83,90,93,101,102,103], [0,1,3,10,12,20,23,31,32,40,41,42,50,51,52,60,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,60,61,62,63,70,80,90,93,101,102], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,71,72,73,81,82,83,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [2,11,21,22,30,33,40,43,50,53,60,61,62,63,70,80,90,93,101,102], [0,1,3,10,12,13,20,23,31,32,41,42,51,52,71,72,73,81,82,83,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [1,12,21,22,30,33,40,43,50,53,60,61,62,63,70,80,90,93,101,102], [0,2,3,10,11,13,20,23,31,32,41,42,51,52,71,72,73,81,82,83,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,60,61,62,63,70,80,90,93,101,102], [0,1,3,10,12,20,23,31,32,41,42,51,52,71,72,73,81,82,83,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[1], [20,30,40,50,60,70,80,90,100], [0,10,110]];
	alphaArray[""] = [[2], [0,11,21,31,41,51,61,71,81,91,101], [1,10,20,30,40,50,60,70,80,90,100,110,111]];
	alphaArray[""] = [[3], [0,2,21,31,41,51,61,71,81,91,101], [1,10,11,12,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,102,110,111,112]];
	alphaArray[""] = [[3], [1,10,12,21,31,41,51,61,71,81,91,101], [0,2,11,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,102,110,111,112]];
	alphaArray[""] = [[4], [0,3,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [1,2,10,11,12,13,20,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [2,11,13,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [0,1,3,10,12,20,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [0,3,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [1,2,10,11,12,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [1,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [0,2,3,10,11,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [2,11,13,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102], [0,1,3,10,12,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,103,110,111,112,113]];
	alphaArray["!"] = [[1], [10,20,30,40,50,60,70,80,100], [0,90,110]];
	alphaArray["?"] = [[5], [11,12,13,20,24,34,44,53,62,72,82,102], [0,1,2,3,4,10,14,21,22,23,30,31,32,33,40,41,42,43,50,51,52,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["("] = [[2], [11,20,30,40,50,60,70,80,90,101], [0,1,10,21,31,41,51,61,71,81,91,100,110,111]];
	alphaArray[")"] = [[2], [10,21,31,41,51,61,71,81,91,100], [0,1,11,20,30,40,50,60,70,80,90,101,110,111]];
	alphaArray["/"] = [[6], [5,24,43,62,81,100], [0,1,2,3,4,10,11,12,13,14,15,20,21,22,23,25,30,31,32,33,34,35,40,41,42,44,45,50,51,52,53,54,55,60,61,63,64,65,70,71,72,73,74,75,80,82,83,84,85,90,91,92,93,94,95,101,102,103,104,105,110,111,112,113,114,115]];
	alphaArray["\\"] = [[6], [0,21,42,63,84,105], [1,2,3,4,5,10,11,12,13,14,15,20,22,23,24,25,30,31,32,33,34,35,40,41,43,44,45,50,51,52,53,54,55,60,61,62,64,65,70,71,72,73,74,75,80,81,82,83,85,90,91,92,93,94,95,100,101,102,103,104,110,111,112,113,114,115]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90,100,110], []];
	alphaArray["."] = [[1], [100], [0,10,20,30,40,50,60,70,80,90,110]];
	alphaArray[","] = [[2], [101,110], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,111]];
	alphaArray[":"] = [[1], [20,100], [0,10,30,40,50,60,70,80,90,110]];
	alphaArray[";"] = [[2], [21,101,110], [0,1,10,11,20,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,111]];
	alphaArray["-"] = [[3], [60,61,62], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,70,71,72,80,81,82,90,91,92,100,101,102,110,111,112]];
	alphaArray[""] = [[5], [60,61,62,63,64], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94,100,101,102,103,104,110,111,112,113,114]];
	alphaArray["+"] = [[5], [62,72,80,81,82,83,84,92,102], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,63,64,70,71,73,74,90,91,93,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["="] = [[5], [70,71,72,73,74,90,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,80,81,82,83,84,100,101,102,103,104,110,111,112,113,114]];
	alphaArray["_"] = [[4], [100,101,102,103], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,110,111,112,113]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90,100,110]];
	alphaArray[""] = [[2], [11,20], [0,1,10,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101,110,111]];
	alphaArray["'"] = [[1], [10,20], [0,30,40,50,60,70,80,90,100,110]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91,100,101,110,111]];
	alphaArray["$"] = [[5], [2,11,12,13,20,22,24,30,32,40,42,51,52,53,62,64,72,74,82,84,90,92,94,101,102,103,112], [0,1,3,4,10,14,21,23,31,33,34,41,43,44,50,54,60,61,63,70,71,73,80,81,83,91,93,100,104,110,111,113,114]];
	alphaArray["%"] = [[6], [21,24,30,32,41,43,62,74,81,83,85,94,100], [0,1,2,3,4,5,10,11,12,13,14,15,20,22,23,25,31,33,34,35,40,42,44,45,50,51,52,53,54,55,60,61,63,64,65,70,71,72,73,75,80,82,84,90,91,92,93,95,101,102,103,104,105,110,111,112,113,114,115]];
	alphaArray["&"] = [[6], [11,12,13,21,23,31,33,41,43,50,52,55,60,63,64,70,74,80,84,85,90,94,101,102,103], [0,1,2,3,4,5,10,14,15,20,22,24,25,30,32,34,35,40,42,44,45,51,53,54,61,62,65,71,72,73,75,81,82,83,91,92,93,95,100,104,105,110,111,112,113,114,115]];
	alphaArray["@"] = [[7], [21,22,23,24,25,30,36,40,42,43,44,46,50,52,54,56,60,62,64,66,70,72,74,75,80,82,83,84,90,100,111,112,113,114], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,26,31,32,33,34,35,41,45,51,53,55,61,63,65,71,73,76,81,85,86,91,92,93,94,95,96,101,102,103,104,105,106,110,115,116]];
	alphaArray[""] = [[5], [62,64,71,73,80,82,91,93,102,104], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,63,70,72,74,81,83,84,90,92,94,100,101,103,110,111,112,113,114]];
	alphaArray[""] = [[5], [60,62,71,73,82,84,91,93,100,102], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,61,63,64,70,72,74,80,81,83,90,92,94,101,103,104,110,111,112,113,114]];
	alphaArray[""] = [[3], [62,71,80,91,102], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,70,72,81,82,90,92,100,101,110,111,112]];
	alphaArray[""] = [[3], [60,71,82,91,100], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,61,62,70,72,80,81,90,92,101,102,110,111,112]];
	alphaArray[""] = [[4], [91,93,101,103,110,112], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,92,100,102,111,113]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103,110,111,112,113]];
	alphaArray[""] = [[2], [91,101,110], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,100,111]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91,100,101,110,111]];
	alphaArray["<"] = [[3], [62,71,80,91,102], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,70,72,81,82,90,92,100,101,110,111,112]];
	alphaArray[">"] = [[3], [60,71,82,91,100], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,61,62,70,72,80,81,90,92,101,102,110,111,112]];
	alphaArray["*"] = [[5], [2,10,12,14,21,22,23,31,32,33,40,42,44,52], [0,1,3,4,11,13,20,24,30,34,41,43,50,51,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94,100,101,102,103,104,110,111,112,113,114]];
	alphaArray["..."] = [[3], [100,101,102], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,110,111,112]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,50,51,52,53,54,55,56,57,58,60,64,70,74,80,84,90,94,100,104,105,106,107,108], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,45,46,47,48,61,62,63,65,66,67,68,71,72,73,75,76,77,78,81,82,83,85,86,87,88,91,92,93,95,96,97,98,101,102,103,110,111,112,113,114,115,116,117,118]];
	alphaArray[""] = [[9], [11,12,13,14,15,16,17,18,20,24,30,34,40,44,50,54,55,56,57,58,60,64,70,74,80,84,90,94,101,102,103,104,105,106,107,108], [0,1,2,3,4,5,6,7,8,10,21,22,23,25,26,27,28,31,32,33,35,36,37,38,41,42,43,45,46,47,48,51,52,53,61,62,63,65,66,67,68,71,72,73,75,76,77,78,81,82,83,85,86,87,88,91,92,93,95,96,97,98,100,110,111,112,113,114,115,116,117,118]];
	alphaArray[""] = [[5], [11,12,13,20,24,30,34,40,50,60,70,80,84,90,94,101,102,103,112], [0,1,2,3,4,10,14,21,22,23,31,32,33,41,42,43,44,51,52,53,54,61,62,63,64,71,72,73,74,81,82,83,91,92,93,100,104,110,111,113,114]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,43,46,53,56,61,62,63,64,65,66,70,73,80,83,90,93,96,101,102,104,105], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,40,41,42,44,45,50,51,52,54,55,60,71,72,74,75,76,81,82,84,85,86,91,92,94,95,100,103,106,110,111,112,113,114,115,116]];
	alphaArray[""] = [[7], [21,22,24,25,30,33,36,40,43,46,50,53,56,60,63,64,65,66,70,73,80,83,90,93,96,101,102,104,105], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,23,26,31,32,34,35,41,42,44,45,51,52,54,55,61,62,71,72,74,75,76,81,82,84,85,86,91,92,94,95,100,103,106,110,111,112,113,114,115,116]];
	alphaArray[""] = [[4], [21,22,30,33,40,43,50,60,70,80,83,90,93,101,102,112], [0,1,2,3,10,11,12,13,20,23,31,32,41,42,51,52,53,61,62,63,71,72,73,81,82,91,92,100,103,110,111,113]];
	alphaArray[""] = [[4], [1,2,10,13,20,23,30,33,40,42,50,53,60,63,70,73,80,83,90,93,100,102], [0,3,11,12,21,22,31,32,41,43,51,52,61,62,71,72,81,82,91,92,101,103,110,111,112,113]];
	alphaArray[""] = [[5], [12,13,14,21,25,31,40,41,42,43,44,51,60,61,62,63,64,71,81,91,95,102,103,104], [0,1,2,3,4,5,10,11,15,20,22,23,24,30,32,33,34,35,45,50,52,53,54,55,65,70,72,73,74,75,80,82,83,84,85,90,92,93,94,100,101,105,110,111,112,113,114,115]];
	alphaArray["bs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,101,102], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,103,110,111,112,113]];
	alphaArray["ds"] = [[4], [13,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,101,102,103], [0,1,2,3,10,11,12,20,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,110,111,112,113]];
	alphaArray["fs"] = [[4], [12,13,21,30,31,32,33,41,51,61,71,81,91,101], [0,1,2,3,10,11,20,22,23,40,42,43,50,52,53,60,62,63,70,72,73,80,82,83,90,92,93,100,102,103,110,111,112,113]];
	alphaArray["hs"] = [[4], [10,20,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103], [0,1,2,3,11,12,13,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["is"] = [[1], [10,30,40,50,60,70,80,90,100], [0,20,110]];
	alphaArray["s"] = [[2], [10,21,31,41,51,61,71,81,91,101], [0,1,11,20,30,40,50,60,70,80,90,100,110,111]];
	alphaArray["s"] = [[3], [10,12,31,41,51,61,71,81,91,101], [0,1,2,11,20,21,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,102,110,111,112]];
	alphaArray["s"] = [[3], [11,20,22,31,41,51,61,71,81,91,101], [0,1,2,10,12,21,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100,102,110,111,112]];
	alphaArray["js"] = [[2], [11,31,41,51,61,71,81,91,101,110], [0,1,10,20,21,30,40,50,60,70,80,90,100,111]];
	alphaArray["ks"] = [[4], [10,20,23,30,32,40,41,50,51,60,62,70,73,80,83,90,93,100,103], [0,1,2,3,11,12,13,21,22,31,33,42,43,52,53,61,63,71,72,81,82,91,92,101,102,110,111,112,113]];
	alphaArray["ls"] = [[1], [10,20,30,40,50,60,70,80,90,100], [0,110]];
	alphaArray["s"] = [[4], [11,12,20,23,30,33,40,43,50,52,60,63,70,73,80,83,90,93,100,102], [0,1,2,3,10,13,21,22,31,32,41,42,51,53,61,62,71,72,81,82,91,92,101,103,110,111,112,113]];
	return alphaArray;
}

// 10 Reihen, Bold
function buildArray_10B(alphaArray) {
	alphaArray["A"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,10,15,32,33,42,43,52,53,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["B"] = [[6], [10,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,62,63,64,70,71,74,75,80,81,84,85,90,91,92,93,94,95,100,101,102,103,104], [0,1,2,3,4,5,15,32,33,42,43,65,72,73,82,83,105,110,111,112,113,114,115]];
	alphaArray["C"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,50,51,60,61,70,71,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,44,45,52,53,54,55,62,63,64,65,72,73,74,75,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["D"] = [[6], [10,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,100,101,102,103,104], [0,1,2,3,4,5,15,32,33,42,43,52,53,62,63,72,73,82,83,105,110,111,112,113,114,115]];
	alphaArray["E"] = [[5], [10,11,12,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,1,2,3,4,32,33,34,42,43,44,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray["F"] = [[5], [10,11,12,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,100,101], [0,1,2,3,4,32,33,34,42,43,44,72,73,74,82,83,84,92,93,94,102,103,104,110,111,112,113,114]];
	alphaArray["G"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,50,51,53,54,55,60,61,63,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104,105], [0,1,2,3,4,5,10,15,32,33,42,43,44,45,52,62,72,73,82,83,100,110,111,112,113,114,115]];
	alphaArray["H"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,62,63,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,72,73,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["I"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,110,111]];
	alphaArray["J"] = [[6], [10,11,12,13,14,15,20,21,22,23,24,25,34,35,44,45,54,55,64,65,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["K"] = [[6], [10,11,14,15,20,21,23,24,30,31,32,33,40,41,42,50,51,60,61,62,70,71,72,73,80,81,83,84,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,12,13,22,25,34,35,43,44,45,52,53,54,55,63,64,65,74,75,82,85,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["L"] = [[5], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,1,2,3,4,12,13,14,22,23,24,32,33,34,42,43,44,52,53,54,62,63,64,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray["M"] = [[7], [10,16,20,21,25,26,30,31,32,34,35,36,40,41,42,43,44,45,46,50,51,53,55,56,60,61,65,66,70,71,75,76,80,81,85,86,90,91,95,96,100,101,105,106], [0,1,2,3,4,5,6,11,12,13,14,15,22,23,24,33,52,54,62,63,64,72,73,74,82,83,84,92,93,94,102,103,104,110,111,112,113,114,115,116]];
	alphaArray["N"] = [[6], [10,14,15,20,21,24,25,30,31,32,34,35,40,41,42,43,44,45,50,51,53,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,11,12,13,22,23,33,52,62,63,72,73,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["O"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["P"] = [[6], [10,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,60,61,62,63,64,70,71,80,81,90,91,100,101], [0,1,2,3,4,5,15,32,33,42,43,65,72,73,74,75,82,83,84,85,92,93,94,95,102,103,104,105,110,111,112,113,114,115]];
	alphaArray["Q"] = [[7], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,63,64,65,70,71,73,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104,105,106,116], [0,1,2,3,4,5,6,10,15,16,26,32,33,36,42,43,46,52,53,56,62,66,72,76,82,83,86,96,100,110,111,112,113,114,115]];
	alphaArray["R"] = [[6], [10,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,60,61,62,63,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,15,32,33,42,43,55,72,73,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["S"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,50,51,52,53,54,61,62,63,64,65,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,44,45,55,60,70,71,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["T"] = [[6], [10,11,12,13,14,15,20,21,22,23,24,25,32,33,42,43,52,53,62,63,72,73,82,83,92,93,102,103], [0,1,2,3,4,5,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105,110,111,112,113,114,115]];
	alphaArray["U"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["V"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,91,92,93,94,102], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,90,95,100,101,103,104,105,110,111,112,113,114,115]];
	alphaArray["W"] = [[10], [10,11,14,15,18,19,20,21,24,25,28,29,30,31,34,35,38,39,40,41,44,45,48,49,50,51,54,55,58,59,60,61,64,65,68,69,70,71,74,75,78,79,80,81,84,85,88,89,91,92,93,96,97,98,102,103,106,107], [0,1,2,3,4,5,6,7,8,9,12,13,16,17,22,23,26,27,32,33,36,37,42,43,46,47,52,53,56,57,62,63,66,67,72,73,76,77,82,83,86,87,90,94,95,99,100,101,104,105,108,109,110,111,112,113,114,115,116,117,118,119]];
	alphaArray["X"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,41,42,43,44,52,53,61,62,63,64,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,2,3,4,5,12,13,22,23,32,33,40,45,50,51,54,55,60,65,72,73,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["Y"] = [[6], [10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,51,52,53,54,61,62,63,64,72,73,82,83,92,93,102,103], [0,1,2,3,4,5,12,13,22,23,32,33,42,43,50,55,60,65,70,71,74,75,80,81,84,85,90,91,94,95,100,101,104,105,110,111,112,113,114,115]];
	alphaArray["Z"] = [[6], [10,11,12,13,14,15,20,21,22,23,24,25,34,35,43,44,52,53,61,62,70,71,80,81,90,91,92,93,94,95,100,101,102,103,104,105], [0,1,2,3,4,5,30,31,32,33,40,41,42,45,50,51,54,55,60,63,64,65,72,73,74,75,82,83,84,85,110,111,112,113,114,115]];
	alphaArray["a"] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,53,54,61,62,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,2,3,4,10,11,12,13,14,20,24,42,50,51,52,60,72,82,100,110,111,112,113,114]];
	alphaArray["b"] = [[5], [0,1,10,11,20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,100,101,102,103], [2,3,4,12,13,14,24,42,52,62,72,82,104,110,111,112,113,114]];
	alphaArray["c"] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,50,51,60,61,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,2,3,4,10,11,12,13,14,20,24,42,52,53,54,62,63,64,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray["d"] = [[5], [3,4,13,14,21,22,23,24,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,2,10,11,12,20,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray["e"] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,2,3,4,10,11,12,13,14,20,24,42,52,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray["f"] = [[5], [2,3,4,11,12,21,22,30,31,32,33,34,40,41,42,43,44,51,52,61,62,71,72,81,82,91,92,101,102], [0,1,10,13,14,20,23,24,50,53,54,60,63,64,70,73,74,80,83,84,90,93,94,100,103,104,110,111,112,113,114]];
	alphaArray["g"] = [[5], [21,22,23,24,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,71,72,73,74,83,84,90,91,93,94,100,101,102,103,104,111,112,113], [0,1,2,3,4,10,11,12,13,14,20,42,52,70,80,81,82,92,110,114]];
	alphaArray["h"] = [[5], [0,1,10,11,20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104], [2,3,4,12,13,14,24,42,52,62,72,82,92,102,110,111,112,113,114]];
	alphaArray["i"] = [[2], [0,1,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [10,11,110,111]];
	alphaArray["j"] = [[3], [1,2,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101,102,110,111], [0,10,11,12,20,30,40,50,60,70,80,90,112]];
	alphaArray["k"] = [[5], [0,1,10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,52,60,61,62,63,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104], [2,3,4,12,13,14,22,34,43,44,53,54,64,72,82,92,102,110,111,112,113,114]];
	alphaArray["l"] = [[2], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [110,111]];
	alphaArray["m"] = [[8], [20,21,22,24,25,26,30,31,32,33,34,35,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77,80,81,83,84,86,87,90,91,93,94,96,97,100,101,103,104,106,107], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,23,27,42,45,52,55,62,65,72,75,82,85,92,95,102,105,110,111,112,113,114,115,116,117]];
	alphaArray["n"] = [[5], [20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104], [0,1,2,3,4,10,11,12,13,14,24,42,52,62,72,82,92,102,110,111,112,113,114]];
	alphaArray["o"] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,2,3,4,10,11,12,13,14,20,24,42,52,62,72,82,100,104,110,111,112,113,114]];
	alphaArray["p"] = [[5], [20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,100,101,102,103,110,111], [0,1,2,3,4,10,11,12,13,14,24,42,52,62,72,82,104,112,113,114]];
	alphaArray["q"] = [[5], [21,22,23,24,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104,113,114], [0,1,2,3,4,10,11,12,13,14,20,42,52,62,72,82,100,110,111,112]];
	alphaArray["r"] = [[5], [20,22,23,30,31,32,33,34,40,41,43,44,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,2,3,4,10,11,12,13,14,21,24,42,52,53,54,62,63,64,72,73,74,82,83,84,92,93,94,102,103,104,110,111,112,113,114]];
	alphaArray["s"] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,50,51,61,62,63,73,74,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,2,3,4,10,11,12,13,14,20,24,42,52,53,54,60,64,70,71,72,82,100,104,110,111,112,113,114]];
	alphaArray["t"] = [[4], [11,12,20,21,22,23,30,31,32,33,41,42,51,52,61,62,71,72,81,82,91,92,93,102,103], [0,1,2,3,10,13,40,43,50,53,60,63,70,73,80,83,90,100,101,110,111,112,113]];
	alphaArray["u"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray["v"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,82,83,84,91,92,93,102], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,72,90,94,100,101,103,104,110,111,112,113,114]];
	alphaArray["w"] = [[8], [20,21,23,24,26,27,30,31,33,34,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,66,67,70,71,73,74,76,77,80,81,82,83,84,85,86,87,91,92,93,94,95,96,102,105], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,22,25,32,35,42,45,52,55,62,65,72,75,90,97,100,101,103,104,106,107,110,111,112,113,114,115,116,117]];
	alphaArray["x"] = [[5], [20,21,23,24,30,31,33,34,41,43,51,52,53,61,62,63,71,73,81,83,90,91,93,94,100,101,103,104], [0,1,2,3,4,10,11,12,13,14,22,32,40,42,44,50,54,60,64,70,72,74,80,82,84,92,102,110,111,112,113,114]];
	alphaArray["y"] = [[5], [20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,72,73,74,81,82,83,84,93,94,100,101,102,103,104,110,111,112,113], [0,1,2,3,4,10,11,12,13,14,22,32,42,52,62,80,90,91,92,114]];
	alphaArray["z"] = [[5], [20,21,22,23,24,30,31,32,33,34,43,44,52,53,61,62,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,1,2,3,4,10,11,12,13,14,40,41,42,50,51,54,60,63,64,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray["0"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["1"] = [[6], [12,13,21,22,23,30,31,32,33,40,42,43,52,53,62,63,72,73,82,83,90,91,92,93,94,95,100,101,102,103,104,105], [0,1,2,3,4,5,10,11,14,15,20,24,25,34,35,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,110,111,112,113,114,115]];
	alphaArray["2"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,44,45,54,55,63,64,72,73,81,82,90,91,92,93,94,95,100,101,102,103,104,105], [0,1,2,3,4,5,10,15,32,33,40,41,42,43,50,51,52,53,60,61,62,65,70,71,74,75,80,83,84,85,110,111,112,113,114,115]];
	alphaArray["3"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,44,45,52,53,54,62,63,64,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,40,41,42,43,50,51,55,60,61,65,70,71,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["4"] = [[6], [13,14,22,23,24,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,65,70,71,72,73,74,75,83,84,93,94,103,104], [0,1,2,3,4,5,10,11,12,15,20,21,25,30,35,42,45,52,55,80,81,82,85,90,91,92,95,100,101,102,105,110,111,112,113,114,115]];
	alphaArray["5"] = [[6], [10,11,12,13,14,15,20,21,22,23,24,25,30,31,40,41,50,51,52,53,54,60,61,62,63,64,65,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,32,33,34,35,42,43,44,45,55,70,71,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["6"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,50,51,52,53,54,60,61,62,63,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,44,45,55,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["7"] = [[6], [10,11,12,13,14,15,20,21,22,23,24,25,34,35,43,44,52,53,61,62,71,72,81,82,91,92,101,102], [0,1,2,3,4,5,30,31,32,33,40,41,42,45,50,51,54,55,60,63,64,65,70,73,74,75,80,83,84,85,90,93,94,95,100,103,104,105,110,111,112,113,114,115]];
	alphaArray["8"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,51,52,53,54,61,62,63,64,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,50,55,60,65,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray["9"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,52,53,54,55,61,62,63,64,65,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,2,3,4,5,10,15,32,33,42,43,60,70,71,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [1,4,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,2,3,5,10,15,32,33,42,43,52,53,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,3,4,5,10,15,32,33,42,43,52,53,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,84,85,90,91,94,95,100,101,104,105], [0,1,4,5,10,12,13,15,32,33,42,43,52,53,82,83,92,93,102,103,110,111,112,113,114,115]];
	alphaArray[""] = [[5], [2,3,10,11,12,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,1,4,32,33,34,42,43,44,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,2,10,11,12,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,3,4,32,33,34,42,43,44,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,3,10,11,12,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,2,4,32,33,34,42,43,44,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,10,11,13,14,20,21,22,23,24,30,31,40,41,50,51,52,53,54,60,61,62,63,64,70,71,80,81,90,91,92,93,94,100,101,102,103,104], [0,1,3,4,12,32,33,34,42,43,44,72,73,74,82,83,84,110,111,112,113,114]];
	alphaArray[""] = [[4], [0,1,10,11,12,13,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93,100,101,102,103], [2,3,30,33,40,43,50,53,60,63,70,73,80,83,110,111,112,113]];
	alphaArray[""] = [[4], [0,3,10,11,12,13,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93,100,101,102,103], [1,2,30,33,40,43,50,53,60,63,70,73,80,83,110,111,112,113]];
	alphaArray[""] = [[4], [1,2,10,13,20,21,22,23,31,32,41,42,51,52,61,62,71,72,81,82,90,91,92,93,100,101,102,103], [0,3,11,12,30,33,40,43,50,53,60,63,70,73,80,83,110,111,112,113]];
	alphaArray["..."] = [[6], [1,4,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,2,3,5,10,15,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [1,2,11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,3,4,5,10,15,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [2,3,11,14,20,21,22,23,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,4,5,10,12,13,15,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [1,4,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,2,3,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [2,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,3,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [2,3,10,11,14,15,20,21,24,25,30,31,34,35,40,41,44,45,50,51,54,55,60,61,64,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,101,102,103,104], [0,1,4,5,12,13,22,23,32,33,42,43,52,53,62,63,72,73,82,83,100,105,110,111,112,113,114,115]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,32,33,34,40,41,43,44,53,54,61,62,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [2,10,11,12,13,14,20,24,42,50,51,52,60,72,82,100,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,32,33,34,40,41,43,44,53,54,61,62,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,3,4,10,11,14,20,24,42,50,51,52,60,72,82,100,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,32,33,34,40,41,43,44,53,54,61,62,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,3,4,10,12,14,20,24,42,50,51,52,60,72,82,100,110,111,112,113,114]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [2,10,11,12,13,14,20,24,42,52,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,3,11,12,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,4,10,13,14,20,24,42,52,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,2,12,13,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [0,3,4,10,11,14,20,24,42,52,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,62,63,64,70,71,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,3,4,10,12,14,20,24,42,52,72,73,74,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[2], [20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,10,11,110,111]];
	alphaArray[""] = [[2], [0,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [1,10,110,111]];
	alphaArray[""] = [[4], [0,3,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102], [1,2,10,11,12,13,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103,110,111,112,113]];
	alphaArray[""] = [[4], [1,2,10,13,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102], [0,3,11,12,20,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103,110,111,112,113]];
	alphaArray[""] = [[5], [0,1,3,4,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103], [2,10,11,12,13,14,20,24,42,52,62,72,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103], [0,1,3,4,10,12,14,20,24,42,52,62,72,82,100,104,110,111,112,113,114]];
	alphaArray[""] = [[5], [0,1,3,4,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [2,10,11,12,13,14,22,32,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray[""] = [[5], [1,12,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,2,3,4,10,11,13,14,22,32,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray[""] = [[5], [2,11,13,20,21,23,24,30,31,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,3,4,10,12,14,22,32,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray["!"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,100,101], [0,1,90,91,110,111]];
	alphaArray["?"] = [[6], [11,12,13,14,20,21,24,25,30,31,34,35,44,45,54,55,63,64,72,73,82,83,102,103], [0,1,2,3,4,5,10,15,22,23,32,33,40,41,42,43,50,51,52,53,60,61,62,65,70,71,74,75,80,81,84,85,90,91,92,93,94,95,100,101,104,105,110,111,112,113,114,115]];
	alphaArray["("] = [[3], [11,12,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,101,102], [0,1,2,10,22,32,42,52,62,72,82,92,100,110,111,112]];
	alphaArray[")"] = [[3], [10,11,21,22,31,32,41,42,51,52,61,62,71,72,81,82,91,92,100,101], [0,1,2,12,20,30,40,50,60,70,80,90,102,110,111,112]];
	alphaArray["/"] = [[5], [13,14,23,33,42,43,52,62,71,72,81,91,100,101], [0,1,2,3,4,10,11,12,20,21,22,24,30,31,32,34,40,41,44,50,51,53,54,60,61,63,64,70,73,74,80,82,83,84,90,92,93,94,102,103,104,110,111,112,113,114]];
	alphaArray["\\"] = [[5], [10,11,21,31,41,42,52,62,72,73,83,93,103,104], [0,1,2,3,4,12,13,14,20,22,23,24,30,32,33,34,40,43,44,50,51,53,54,60,61,63,64,70,71,74,80,81,82,84,90,91,92,94,100,101,102,110,111,112,113,114]];
	alphaArray["|"] = [[1], [0,10,20,30,40,50,60,70,80,90,100,110], []];
	alphaArray["."] = [[2], [100,101], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,110,111]];
	alphaArray[","] = [[3], [101,102,110,111], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,100,112]];
	alphaArray[":"] = [[2], [20,21,100,101], [0,1,10,11,30,31,40,41,50,51,60,61,70,71,80,81,90,91,110,111]];
	alphaArray[";"] = [[3], [21,22,101,102,110,111], [0,1,2,10,11,12,20,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,100,112]];
	alphaArray["-"] = [[4], [60,61,62,63], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103,110,111,112,113]];
	alphaArray[""] = [[6], [60,61,62,63,64,65], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,50,51,52,53,54,55,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95,100,101,102,103,104,105,110,111,112,113,114,115]];
	alphaArray["+"] = [[6], [62,63,72,73,80,81,82,83,84,85,92,93,102,103], [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,50,51,52,53,54,55,60,61,64,65,70,71,74,75,90,91,94,95,100,101,104,105,110,111,112,113,114,115]];
	alphaArray["="] = [[5], [70,71,72,73,74,90,91,92,93,94], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,80,81,82,83,84,100,101,102,103,104,110,111,112,113,114]];
	alphaArray["_"] = [[5], [100,101,102,103,104], [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,50,51,52,53,54,60,61,62,63,64,70,71,72,73,74,80,81,82,83,84,90,91,92,93,94,110,111,112,113,114]];
	alphaArray[" "] = [[1], [], [0,10,20,30,40,50,60,70,80,90,100,110]];
	alphaArray[""] = [[3], [11,12,20,21], [0,1,2,10,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,100,101,102,110,111,112]];
	alphaArray["'"] = [[1], [10,20,30], [0,40,50,60,70,80,90,100,110]];
	alphaArray["\""] = [[2], [10,11,20,21,30,31], [0,1,40,41,50,51,60,61,70,71,80,81,90,91,100,101,110,111]];
	alphaArray["$"] = [[7], [3,11,12,13,14,15,20,21,22,23,24,25,26,30,31,33,35,36,40,41,43,51,52,53,54,55,62,63,64,65,66,73,75,76,80,81,83,85,86,90,91,92,93,94,95,96,101,102,103,104,113], [0,1,2,4,5,6,10,16,32,34,42,44,45,46,50,56,60,61,70,71,72,74,82,84,100,105,106,110,111,112,114,115,116]];
	alphaArray["%"] = [[6], [10,11,14,15,20,21,23,24,33,43,52,53,62,71,72,81,82,91,94,95,100,101,104,105], [0,1,2,3,4,5,12,13,22,25,30,31,32,34,35,40,41,42,44,45,50,51,54,55,60,61,63,64,65,70,73,74,75,80,83,84,85,90,92,93,102,103,110,111,112,113,114,115]];
	alphaArray["&"] = [[8], [12,13,14,21,22,23,24,25,31,32,34,35,41,42,44,45,50,51,53,54,57,60,61,64,65,66,70,71,74,75,76,80,81,85,86,90,91,92,93,94,95,96,101,102,103,104,106], [0,1,2,3,4,5,6,7,10,11,15,16,17,20,26,27,30,33,36,37,40,43,46,47,52,55,56,62,63,67,72,73,77,82,83,84,87,97,100,105,107,110,111,112,113,114,115,116,117]];
	alphaArray["@"] = [[9], [21,22,23,24,25,26,27,30,31,32,33,34,35,36,37,38,40,41,47,48,50,51,53,54,55,57,58,60,61,63,65,67,68,70,71,73,75,77,80,81,83,84,85,86,87,90,91,93,94,95,96,100,101,111,112,113,114,115,116], [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,20,28,42,43,44,45,46,52,56,62,64,66,72,74,76,78,82,88,92,97,98,102,103,104,105,106,107,108,110,117,118]];
	alphaArray[""] = [[7], [62,63,65,66,71,72,74,75,80,81,83,84,91,92,94,95,102,103,105,106], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,42,43,44,45,46,50,51,52,53,54,55,56,60,61,64,70,73,76,82,85,86,90,93,96,100,101,104,110,111,112,113,114,115,116]];
	alphaArray[""] = [[7], [60,61,63,64,71,72,74,75,82,83,85,86,91,92,94,95,100,101,103,104], [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,42,43,44,45,46,50,51,52,53,54,55,56,62,65,66,70,73,76,80,81,84,90,93,96,102,105,106,110,111,112,113,114,115,116]];
	alphaArray[""] = [[4], [62,63,71,72,80,81,91,92,102,103], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,70,73,82,83,90,93,100,101,110,111,112,113]];
	alphaArray[""] = [[4], [60,61,71,72,82,83,91,92,100,101], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,62,63,70,73,80,81,90,93,102,103,110,111,112,113]];
	alphaArray[""] = [[4], [91,93,101,103,110,112], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,92,100,102,111,113]];
	alphaArray[""] = [[4], [10,12,20,22,31,33], [0,1,2,3,11,13,21,23,30,32,40,41,42,43,50,51,52,53,60,61,62,63,70,71,72,73,80,81,82,83,90,91,92,93,100,101,102,103,110,111,112,113]];
	alphaArray[""] = [[2], [91,101,110], [0,1,10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,100,111]];
	alphaArray[""] = [[2], [10,20,31], [0,1,11,21,30,40,41,50,51,60,61,70,71,80,81,90,91,100,101,110,111]];
	alphaArray["<"] = [[4], [62,63,71,72,80,81,91,92,102,103], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,60,61,70,73,82,83,90,93,100,101,110,111,112,113]];
	alphaArray[">"] = [[4], [60,61,71,72,82,83,91,92,100,101], [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,40,41,42,43,50,51,52,53,62,63,70,73,80,81,90,93,102,103,110,111,112,113]];
	alphaArray["*"] = [[6], [2,3,10,12,13,15,21,22,23,24,31,32,33,34,40,42,43,45,52,53], [0,1,4,5,11,14,20,25,30,35,41,44,50,51,54,55,60,61,62,63,64,65,70,71,72,73,74,75,80,81,82,83,84,85,90,91,92,93,94,95,100,101,102,103,104,105,110,111,112,113,114,115]];
	alphaArray["..."] = [[3], [100,101,102], [0,1,2,10,11,12,20,21,22,30,31,32,40,41,42,50,51,52,60,61,62,70,71,72,80,81,82,90,91,92,110,111,112]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,34,35,40,41,44,45,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,74,75,80,81,84,85,90,91,94,95,96,97,98,99,100,101,104,105,106,107,108,109], [0,1,2,3,4,5,6,7,8,9,10,32,33,36,37,38,39,42,43,46,47,48,49,72,73,76,77,78,79,82,83,86,87,88,89,92,93,102,103,110,111,112,113,114,115,116,117,118,119]];
	alphaArray[""] = [[10], [11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,34,35,40,41,44,45,50,51,54,55,56,57,58,59,60,61,64,65,66,67,68,69,70,71,74,75,80,81,84,85,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,107,108,109], [0,1,2,3,4,5,6,7,8,9,10,32,33,36,37,38,39,42,43,46,47,48,49,52,53,62,63,72,73,76,77,78,79,82,83,86,87,88,89,100,110,111,112,113,114,115,116,117,118,119]];
	alphaArray[""] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,50,51,60,61,70,71,80,81,84,85,90,91,92,93,94,95,101,102,103,104,112,113], [0,1,2,3,4,5,10,15,32,33,42,43,44,45,52,53,54,55,62,63,64,65,72,73,74,75,82,83,100,105,110,111,114,115]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,32,33,34,35,36,37,40,41,43,44,46,47,53,54,56,57,61,62,63,64,65,66,67,70,71,73,74,80,81,83,84,86,87,90,91,92,93,94,95,96,97,101,102,103,104,105,106], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,42,45,50,51,52,55,60,72,75,76,77,82,85,100,107,110,111,112,113,114,115,116,117]];
	alphaArray[""] = [[8], [21,22,23,25,26,30,31,32,33,34,35,36,37,40,41,43,44,46,47,50,51,53,54,56,57,60,61,63,64,65,66,67,70,71,73,74,80,81,83,84,86,87,90,91,92,93,94,95,96,97,101,102,103,105,106], [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,24,27,42,45,52,55,62,72,75,76,77,82,85,100,104,107,110,111,112,113,114,115,116,117]];
	alphaArray[""] = [[5], [21,22,23,30,31,32,33,34,40,41,43,44,50,51,60,61,70,71,80,81,83,84,90,91,92,93,94,101,102,103,112], [0,1,2,3,4,10,11,12,13,14,20,24,42,52,53,54,62,63,64,72,73,74,82,100,104,110,111,113,114]];
	alphaArray[""] = [[6], [1,2,3,10,11,12,13,14,20,21,24,25,30,31,34,35,40,41,43,44,50,51,53,54,60,61,64,65,70,71,74,75,80,81,84,85,90,91,93,94,95,100,101,103,104], [0,4,5,15,22,23,32,33,42,45,52,55,62,63,72,73,82,83,92,102,105,110,111,112,113,114,115]];
	alphaArray[""] = [[6], [12,13,14,15,21,22,23,24,25,26,31,32,35,36,41,42,50,51,52,53,54,55,60,61,62,63,64,65,71,72,81,82,85,86,91,92,93,94,95,96,102,103,104,105], [0,1,2,3,4,5,6,10,11,16,20,30,33,34,40,43,44,45,46,56,66,70,73,74,75,76,80,83,84,90,100,101,106,110,111,112,113,114,115,116]];
	alphaArray["bs"] = [[5], [10,11,20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,100,101,102,103], [0,1,2,3,4,12,13,14,24,42,52,62,72,82,104,110,111,112,113,114]];
	alphaArray["ds"] = [[5], [13,14,21,22,23,24,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,92,93,94,101,102,103,104], [0,1,2,3,4,10,11,12,20,42,52,62,72,82,100,110,111,112,113,114]];
	alphaArray["fs"] = [[5], [12,13,14,21,22,30,31,32,33,34,40,41,42,43,44,51,52,61,62,71,72,81,82,91,92,101,102], [0,1,2,3,4,10,11,20,23,24,50,53,54,60,63,64,70,73,74,80,83,84,90,93,94,100,103,104,110,111,112,113,114]];
	alphaArray["hs"] = [[5], [10,11,20,21,22,23,30,31,32,33,34,40,41,43,44,50,51,53,54,60,61,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104], [0,1,2,3,4,12,13,14,24,42,52,62,72,82,92,102,110,111,112,113,114]];
	alphaArray["is"] = [[2], [10,11,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,20,21,110,111]];
	alphaArray["s"] = [[2], [10,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,11,20,110,111]];
	alphaArray["s"] = [[4], [10,13,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102], [0,1,2,3,11,12,20,21,22,23,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103,110,111,112,113]];
	alphaArray["s"] = [[4], [11,12,20,23,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102], [0,1,2,3,10,13,21,22,30,33,40,43,50,53,60,63,70,73,80,83,90,93,100,103,110,111,112,113]];
	alphaArray["js"] = [[3], [11,12,31,32,41,42,51,52,61,62,71,72,81,82,91,92,101,102,110,111], [0,1,2,10,20,21,22,30,40,50,60,70,80,90,100,112]];
	alphaArray["ks"] = [[5], [10,11,20,21,23,24,30,31,32,33,40,41,42,50,51,52,53,60,61,62,63,64,70,71,73,74,80,81,83,84,90,91,93,94,100,101,103,104], [0,1,2,3,4,12,13,14,22,34,43,44,54,72,82,92,102,110,111,112,113,114]];
	alphaArray["ls"] = [[2], [10,11,20,21,30,31,40,41,50,51,60,61,70,71,80,81,90,91,100,101], [0,1,110,111]];
	alphaArray["s"] = [[6], [11,12,13,14,20,21,22,23,24,25,30,31,34,35,40,41,43,44,50,51,53,54,60,61,64,65,70,71,74,75,80,81,84,85,90,91,93,94,95,100,101,103,104], [0,1,2,3,4,5,10,15,32,33,42,45,52,55,62,63,72,73,82,83,92,102,105,110,111,112,113,114,115]];
	return alphaArray;
}